var m_szFieldDectInfo = new Array();          //区域的XML信息
for (var i = 0; i < 2; i++) {
	m_szFieldDectInfo[i] = '';
}
var m_szFieldDectLink = "";

var m_szDeviceFieldInfo = ""; //从设备获取区域信息列表
var g_FiledDetectTimeSilder = null;  //时间阈值
var g_FiledDetectProptnSilder = null; //占比
var g_FieldDetectSenSilder = null;  //区域入侵侦测灵敏度

var m_iFieldSize = 0;     //警戒区域数目
var m_iDScreenWidth = 0;  //归一化宽度
var m_iDScreenHeigh = 0;  //归一化高度
var m_arrFieldInfoList = new Array();  //先信息集合

var m_iAreaLastIndex = -1;  //前一次区域下拉框索引
var m_iAreaCurIndex = -1;  //区域索引
var m_iPointMin = 4;   //最少封闭点数
var m_iPointMax = 4;   //一个多边形最大点数


/*************************************************
 Function:        StartDrawAreaFun
 Description:    开始绘图
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function StartDrawAreaFun() {
	if ($("#CoverStartMapbutton").val() == getNodeValue('CoverStartMapbutton')) {
		//ClearAreaFun(false);    //不需要提示
		SetPluginPolygonInfo(true);  //可以编辑
		$("#CoverStartMapbutton").val(getNodeValue("CoverStopMapbuttonTips"));
	} else {
		//先把当前的点坐标保存到数组
		if (m_iAreaCurIndex >= 0 && m_arrFieldInfoList.length > 0) {
			SavePolygonFromPlugin(m_iAreaCurIndex);

			m_arrFieldInfoList[m_iAreaCurIndex].iTime = g_FiledDetectTimeSilder.getValue();  //时间阈值
			m_arrFieldInfoList[m_iAreaCurIndex].iProptn = g_FiledDetectProptnSilder.getValue(); //占比
			m_arrFieldInfoList[m_iAreaCurIndex].iCurSen = g_FieldDetectSenSilder.getValue();  //灵敏度

			SetPluginPolygonInfo(false);  //设置多边形信息到插件
		} else {
			HWP.SetSnapDrawMode(-1);
		}
		$("#CoverStartMapbutton").val(getNodeValue("CoverStartMapbutton"));
	}
}

/*************************************************
 Function:        ClearAreaFun
 Description:    清除区域信息
 Input:            bTips true/false是否带提示语言
 Output:            无
 return:            无
 *************************************************/
function ClearAreaFun(bTips) {
	var Warning = true;
	if (bTips) {
		Warning = confirm(getNodeValue('ClearRegionTips'));
	}

	if (Warning) {
		if (m_iAreaCurIndex >= 0 && m_arrFieldInfoList.length > 0) {
			//清除数组中的坐标
			var iLen = m_arrFieldInfoList[m_iAreaCurIndex].arrPointList.length;
			for (var i = 0; i < iLen; i++) {
				m_arrFieldInfoList[m_iAreaCurIndex].arrPointList[i].iX = -1;
				m_arrFieldInfoList[m_iAreaCurIndex].arrPointList[i].iY = -1;
			}
			HWP.ClearSnapInfo(3); //清除模式 0-矩形 1-多边形 2-线  3-多边形和矩形 4-All
			//按钮若为"停止绘制",则需要设置可以绘制
			if ($("#CoverStartMapbutton").val() == getNodeValue('CoverStopMapbuttonTips')) {
				SetPluginPolygonInfo(true);  //可以编辑
			} else {
				HWP.SetSnapDrawMode(-1);
			}
		}
	}
}

/*************************************************
 Function:        SetPluginPolygonInfo
 Description:    将当前多边形点数组中的信息设置到插件
 Input:            bEdit true/false是否设置可以编辑
 Output:            无
 return:            无
 *************************************************/
function SetPluginPolygonInfo(bEdit) {
	//清理下
	HWP.ClearSnapInfo(3); //清除模式 0-矩形 1-多边形 2-线  3-多边形和矩形 4-All
	var szPolygon = "";
	var iSetMode = 2; //默认添加多边形
	var iId = 1;
	if (m_iAreaCurIndex >= 0 && m_arrFieldInfoList.length > 0) {
		szPolygon = MakePolyXmlForPlugin(m_iAreaCurIndex);
		iId = m_arrFieldInfoList[m_iAreaCurIndex].id;
		if (szPolygon == "") {  //若为空，则重新组建
			szPolygon = "<?xml version='1.0' encoding='utf-8'?><SnapPolygonList><SnapPolygon><id>" + iId + "</id><PointNumMax>";
			szPolygon += (m_iPointMax + 1) + "</PointNumMax><polygonType>1</polygonType><tips>#" + iId + "#</tips><MinClosed>" + (m_iPointMin + 1) + "</MinClosed><CheckGon>true</CheckGon><isClosed>false</isClosed><color><r>255</r><g>255</g><b>0</b></color><pointList></pointList></SnapPolygon></SnapPolygonList>";
			iSetMode = 2;
		} else {
			iSetMode = 3;  //说明已经有多边形了，直接设置为任意选择模式
		}
	}
	HWP.SetSnapPolygonInfo(szPolygon);
	if (bEdit) { //设置可以编辑
		HWP.SetSnapDrawMode(iSetMode);//模式-1:不绘图，0-编辑线 1-矩形 2-多边形, 3-任意选择模式
	} else {
		HWP.SetSnapDrawMode(-1);
	}
}


/*************************************************
 Function:        ChangeDrawArea
 Description:    切换区域信息时 -- 需要重新设置下灵敏度等内容
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function ChangeDrawArea() {

	//若第一次初始化调用
	/*if (m_iAreaCurIndex == -1 && m_iAreaLastIndex == -1) {
		//设置当前区域信息到插件，设置其余参数
		m_iAreaCurIndex = 0;
		m_iAreaLastIndex = 0;

		g_FiledDetectTimeSilder.wsetValue(m_arrFieldInfoList[m_iAreaCurIndex].iTime);  //时间阈值
		g_FiledDetectProptnSilder.wsetValue(m_arrFieldInfoList[m_iAreaCurIndex].iProptn);  //占比
		g_FieldDetectSenSilder.wsetValue(m_arrFieldInfoList[m_iAreaCurIndex].iCurSen);   //灵敏度
		SetPluginPolygonInfo(false);  //第一次不可编辑,设置多边形信息到插件
		return;
	}*/

	m_iAreaCurIndex = $('#seAreaIndex').prop('selectedIndex');  //记录下当前索引

	if (m_arrFieldInfoList.length > 0 && m_iAreaCurIndex >= 0) {
		//保存下前一个多边形XY
		if (m_iAreaLastIndex >= 0) {
			SavePolygonFromPlugin(m_iAreaLastIndex);
			m_arrFieldInfoList[m_iAreaLastIndex].iTime = g_FiledDetectTimeSilder.getValue();  //时间阈值
			m_arrFieldInfoList[m_iAreaLastIndex].iProptn = g_FiledDetectProptnSilder.getValue();  //占比
			m_arrFieldInfoList[m_iAreaLastIndex].iCurSen = g_FieldDetectSenSilder.getValue();  //灵敏度

			if ("IPDome" == window.parent.g_szDeviceType) {
				var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Smart/FieldDetection/1/regions/" + (m_iAreaCurIndex + 1);
				$.ajax({
					type: "GET",
					url: szURL,
					async: false,
                    beforeSend: function(xhr) {
                        xhr.setRequestHeader("If-Modified-Since", "0");
                        xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
                    },
					success: function (xmlDoc, textStatus, xhr) {
						var oRegionItem = $(xmlDoc).find("FieldDetectionRegion").eq(0);
						if (m_arrFieldInfoList[m_iAreaCurIndex].id == oRegionItem.find('id').eq(0).text()) {
							m_arrFieldInfoList[m_iAreaCurIndex].iCurSen = parseInt(oRegionItem.find('sensitivityLevel').eq(0).text(), 10);
							m_arrFieldInfoList[m_iAreaCurIndex].iTime = parseInt(oRegionItem.find('timeThreshold').eq(0).text(), 10);
							m_arrFieldInfoList[m_iAreaCurIndex].iProptn = oRegionItem.find('objectOccupation').eq(0).text(); //占比

							var iArrPointList = oRegionItem.find('RegionCoordinates').length;
							for (var j = 0; j < iArrPointList; j++) { //添加点到列表
								m_arrFieldInfoList[m_iAreaCurIndex].arrPointList[j].iX = parseInt(oRegionItem.find('positionX').eq(j).text(), 10);
								m_arrFieldInfoList[m_iAreaCurIndex].arrPointList[j].iY = parseInt(oRegionItem.find('positionY').eq(j).text(), 10);
							}
						}
					}
				});
			}
		}

		m_iAreaLastIndex = m_iAreaCurIndex;    //重置最后一次索引

		g_FiledDetectTimeSilder.wsetValue(m_arrFieldInfoList[m_iAreaCurIndex].iTime);  //时间阈值
		g_FiledDetectProptnSilder.wsetValue(m_arrFieldInfoList[m_iAreaCurIndex].iProptn);  //占比
		g_FieldDetectSenSilder.wsetValue(m_arrFieldInfoList[m_iAreaCurIndex].iCurSen);  //灵敏度

		SetPluginPolygonInfo(false);  //设置多边形信息到插件
	}

	//切换后重置提示语"绘制区域"
	$("#CoverStartMapbutton").val(getNodeValue("CoverStartMapbutton"));

}

/*************************************************
 Function:        MakePolyXmlForPlugin
 Description:    多变形点列表构造插件需要的xml格式
 Input:            iIndex: 多边形索引
 Output:            无
 return:            无
 *************************************************/
function MakePolyXmlForPlugin(iIndex) {
	if (iIndex < 0) {
		return "";
	}

	var iPointNum = m_arrFieldInfoList[iIndex].arrPointList.length; //点数

	if (iPointNum < m_iPointMin) { //未到封闭最小值--这里需要能力来
		return "";
	}

	//区域提示信息
	var szPolygonId = m_arrFieldInfoList[iIndex].id;

	//坐标
	var szPolygonInfo = "<?xml version='1.0' encoding='utf-8'?><SnapPolygonList><SnapPolygon><id>" + szPolygonId + "</id>";
	szPolygonInfo += "<polygonType>1</polygonType><PointNumMax>" + (m_iPointMax + 1) + "</PointNumMax><MinClosed>" + (m_iPointMin + 1) + "</MinClosed><CheckGon>true</CheckGon><isClosed>true</isClosed>";
	szPolygonInfo += "<color><r>255</r><g>255</g><b>0</b></color><Tips>#" + szPolygonId + "#</Tips><pointList>";

	var iTmpX = 0;
	var iTmpY = 0;
	if (m_iDScreenWidth > 0 && m_iDScreenHeigh > 0) {
		for (var i = 0; i < iPointNum; i++) {

			iTmpX = parseInt(m_arrFieldInfoList[iIndex].arrPointList[i].iX, 10);  //默认起点x坐标
			iTmpY = parseInt(m_arrFieldInfoList[iIndex].arrPointList[i].iY, 10);  //默认起点y坐标

			if (iTmpX < 0 || iTmpY < 0) {  //有无效值，则直接返回
				return "";
			}
			iTmpX = parseFloat(iTmpX / m_iDScreenWidth);
			iTmpY = 1 - parseFloat(iTmpY / m_iDScreenHeigh);
			szPolygonInfo += "<point><x>" + iTmpX + "</x>";
			szPolygonInfo += "<y>" + iTmpY + "</y></point>";
		}
		szPolygonInfo += "</pointList></SnapPolygon></SnapPolygonList>";
	}
	return szPolygonInfo;
}

/*************************************************
 Function:        SavePolygonFromPlugin
 Description:    将插件传过来的xml
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function SavePolygonFromPlugin(iIndex) {
	var strOcxInfo = "";
	var xmlTempDoc = "";
	var iPointNum = 0;  //点数
	var i = 0;
	if (iIndex >= 0 && m_arrFieldInfoList.length > 0) {
		strOcxInfo = HWP.GetSnapPolygonInfo();
		xmlTempDoc = parseXmlFromStr(strOcxInfo);
		iPointNum = m_arrFieldInfoList[iIndex].arrPointList.length; //点数
		if ($(xmlTempDoc).find('point').length == 0) { //若没有信息，则将当前xml中当前点的信息清除
			for (i = 0; i < iPointNum; i++) {
				m_arrFieldInfoList[iIndex].arrPointList[i].iX = -1;
				m_arrFieldInfoList[iIndex].arrPointList[i].iY = -1;
			}
		} else {
			for (i = 0; i < $(xmlTempDoc).find('point').length; i++) {
				m_arrFieldInfoList[iIndex].arrPointList[i].iX = $(xmlTempDoc).find('point').eq(i).find('x').eq(0).text() * m_iDScreenWidth;
				m_arrFieldInfoList[iIndex].arrPointList[i].iY = (1 - parseFloat($(xmlTempDoc).find('point').eq(i).find('y').eq(0).text())) * m_iDScreenHeigh;
			}
		}
	}
}


/*************************************************
 Function:        GetXmlFromFieldList
 Description:    将多边形点数组转换成设备需要的xml格式
 Input:            strDeviceInfo:从设备获取的XML
 Output:            无
 return:            无
 *************************************************/
function GetXmlFromFieldList(strDeviceInfo) {
	var xmlDoc = parseXmlFromStr(strDeviceInfo);
	var RegionCoordinatesList = "";

	//总使能
	$(xmlDoc).find('enabled').eq(0).text($("#EnableFieldDetect").prop("checked").toString());
	if ($("#spDualVca").css("display") != "none") {
		$(xmlDoc).find('enableDualVca').eq(0).text($("#chEnableDualVca").prop("checked").toString());
	}

	if (m_iAreaCurIndex >= 0 && m_arrFieldInfoList.length > 0) {
		for (var i = 0; i < m_arrFieldInfoList.length; i++) {
			$(xmlDoc).find("FieldDetectionRegion").eq(i).find('sensitivityLevel').eq(0).text(m_arrFieldInfoList[i].iCurSen);
			$(xmlDoc).find("FieldDetectionRegion").eq(i).find('timeThreshold').eq(0).text(m_arrFieldInfoList[i].iTime);
			$(xmlDoc).find("FieldDetectionRegion").eq(i).find('objectOccupation').eq(0).text(m_arrFieldInfoList[i].iProptn);
			//去除掉坐标信息
			$(xmlDoc).find('FieldDetectionRegion').eq(i).find('RegionCoordinatesList').remove();
			RegionCoordinatesList = "<?xml version='1.0' encoding='UTF-8'?><TmpRegion><RegionCoordinatesList>";
			for (var j = 0; j < m_arrFieldInfoList[i].arrPointList.length; j++) {
				if (m_arrFieldInfoList[i].arrPointList[j].iX < 0 || m_arrFieldInfoList[i].arrPointList[j].iY < 0) {  //无效坐标
					RegionCoordinatesList = "";
					break;
				} else {
					RegionCoordinatesList += "<RegionCoordinates><positionX>" + parseInt(m_arrFieldInfoList[i].arrPointList[j].iX, 10);
					RegionCoordinatesList += "</positionX><positionY>" + parseInt(m_arrFieldInfoList[i].arrPointList[j].iY, 10) + "</positionY></RegionCoordinates>";
				}
			}
			if (RegionCoordinatesList != "") {
				RegionCoordinatesList += "</RegionCoordinatesList></TmpRegion>";
				$(xmlDoc).find("FieldDetectionRegion").eq(i).append($(parseXmlFromStr(RegionCoordinatesList)).find('TmpRegion').eq(0).clone().children());
			}
		}
	}
	return xmlDoc;
}

/*************************************************
 Function:        FieldDetectInitDay
 Description:    区域入侵侦测
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function FieldDetectInitDay() {

	m_szFieldDectLink = '';
	var szInfo = getNodeValue('laPlugin');
	if (!checkPlugin('1', szInfo, 1, 'fielddetect', 0)) { //增加新类型判断
		return;
	}

	if (!CompareFileVersion()) {
		UpdateTips();
	}
	ia(DeviceInfo).queryChannelInfo(); //用于获取视频制式
	m_iPicinform = 1;

	g_iEventPreviewTimer = setTimeout(function () {
		if (HWP.Play() !== 0) {
			/*alert(getNodeValue("previewfailed"));*/
		}
	}, 10);

	GetFieldDetectCpy();   //获取能力
}

/*************************************************
 Function:        GetNewPolygon
 Description:    获取一个多边形
 Input:            无
 Output:            无
 return:            oPolygon
 *************************************************/
function GetNewPolygon() {
	var oPolygon = {
		iSenMin: 0, //最小灵敏度能力
		iSenMax: 100, //最大灵敏度能力
		iTimeMin: 0, //最小时间阈值能力
		iTimeMax: 100, //最大时间阈值能力
		iPropMin: 0, //最小占比能力
		iPropMax: 100, //最大占比能力
		id: -1, //多边形Id
		iTime: 0, //时间阈值
		iCurSen: 0, //当前灵敏度
		iProptn: 0, //占比
		arrPointList: new Array() //点列表
	};
	return oPolygon;
}

/*************************************************
 Function:        GetNewPoint
 Description:    获取一个点
 Input:            无
 Output:            无
 return:            oPoint
 *************************************************/
function GetNewPoint() {
	var oPoint = {
		iX: -1, //x坐标
		iY: -1  //y坐标
	};
	return oPoint;
}

/*************************************************
 Function:        GetFieldDetectCpy
 Description:    获取能力
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function GetFieldDetectCpy() {

	m_iAreaLastIndex = -1;  //前一次区域下拉框索引
	m_iAreaCurIndex = -1;  //区域索引
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Smart/FieldDetection/1/capabilities";
	$.ajax({
		type: "GET",
		url: szURL,
		async: false, //同步
        beforeSend: function(xhr) {
            xhr.setRequestHeader("If-Modified-Since", "0");
            xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
        },
		success: function (xmlDoc, textStatus, xhr) {
			//赋值能力
			m_iDScreenWidth = parseInt($(xmlDoc).find("normalizedScreenWidth").eq(0).text());  //宽度
			m_iDScreenHeigh = parseInt($(xmlDoc).find("normalizedScreenHeight").eq(0).text());  //高度
			m_iFieldSize = parseInt($(xmlDoc).find("FieldDetectionRegionList").eq(0).attr("size"), 10);
			; //多边形数目
			var i = 0;

			var arrFieldList = $(xmlDoc).find("FieldDetectionRegionList").eq(0); //多边形列表对象
			var oRegionItem = null;
			var tmpRegion = null;
			m_arrFieldInfoList.length = 0;  //初始化下--只赋值能力部分，其余都用默认值
			for (i = 0; i < m_iFieldSize; i++) {
				oRegionItem = arrFieldList.find('FieldDetectionRegion').eq(i);
				tmpRegion = GetNewPolygon();
				tmpRegion.id = oRegionItem.find('id').eq(0).text();
				tmpRegion.iSenMin = parseInt(oRegionItem.find('sensitivityLevel').eq(0).attr("min"), 10);
				tmpRegion.iSenMax = parseInt(oRegionItem.find('sensitivityLevel').eq(0).attr("max"), 10);
				tmpRegion.iTimeMin = parseInt(oRegionItem.find('timeThreshold').eq(0).attr("min"), 10);
				tmpRegion.iTimeMax = parseInt(oRegionItem.find('timeThreshold').eq(0).attr("max"), 10);
				tmpRegion.iPropMin = parseInt(oRegionItem.find('objectOccupation').eq(0).attr("min"), 10);
				tmpRegion.iPropMax = parseInt(oRegionItem.find('objectOccupation').eq(0).attr("max"), 10);

				//根据多少个点能力，来判断
				m_iPointMin = parseInt(oRegionItem.find('minRegionCoordinatesNum').eq(0).text(), 10); //用于最小几个点就能封闭
				m_iPointMax = parseInt(oRegionItem.find('maxRegionCoordinatesNum').eq(0).text(), 10); //用于最多几个点
				for (var j = 0; j < m_iPointMax; j++) {
					tmpRegion.arrPointList.push(GetNewPoint());
				}

				m_arrFieldInfoList.push(tmpRegion); //加入列表
			}

			if (m_iFieldSize > 0) {
				//初始化时间阈值滑动条
				g_FiledDetectTimeSilder = new neverModules.modules.slider({targetId: "dvTimeThreshold",
					sliderCss: "imageslider1",
					barCss: "imageBar2",
					step: 1,
					min: m_arrFieldInfoList[0].iTimeMin, //这里后续切换时需要重新创建
					max: m_arrFieldInfoList[0].iTimeMax,
					boxCss: "detectboxBar",
					bBox: true
				});
				g_FiledDetectTimeSilder.create();

				//初始化占比滑动条
				g_FiledDetectProptnSilder = new neverModules.modules.slider({targetId: "dvProportion",
					sliderCss: "imageslider1",
					barCss: "imageBar2",
					step: 1,
					min: m_arrFieldInfoList[0].iPropMin, //这里后续灵切换时需要重新创建
					max: m_arrFieldInfoList[0].iPropMax,
					boxCss: "detectboxBar",
					bBox: true
				});
				g_FiledDetectProptnSilder.create();

				//初始化灵敏度滑动条
				g_FieldDetectSenSilder = new neverModules.modules.slider({targetId: "dvFieldDetectSen",
					sliderCss: "imageslider1",
					barCss: "imageBar2",
					step: 1,
					min: m_arrFieldInfoList[0].iSenMin, //这里后续切换需要重新创建
					max: m_arrFieldInfoList[0].iSenMax,
					boxCss: "detectboxBar",
					bBox: true
				});
				g_FieldDetectSenSilder.create();
				//g_LineDetectSenSilder.wsetValue(0);
			}

			//创建区域下拉列表
			$('#seAreaIndex').empty();
			for (i = 0; i < m_iFieldSize; i++) {
				$("<option value='" + m_arrFieldInfoList[i].id + "'>" + (i + 1) + "</option>").appendTo("#seAreaIndex");
			}
			GetFieldDetectInfo(); //获取当前区域信息
		},
		error: function (xhr, textStatus, errorThrown) {
			if (xhr.status == 403) {
				//清除所画区域
				$("input", document).each(function (i) {
					$(this).prop("disabled", true);
				});
				alert(m_szError77);
				$("#SaveConfigBtn").prop('disabled', true); //保存按钮为不可用状态
				return;
			} else {
				alert(m_szError400);
				return;
			}
		}
	});
}

/*************************************************
 Function:        GetFieldDetectInfo
 Description:    获取区域信息
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function GetFieldDetectInfo() {
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Smart/FieldDetection/1";
	$.ajax({
		type: "GET",
		url: szURL,
        beforeSend: function(xhr) {
            xhr.setRequestHeader("If-Modified-Since", "0");
            xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
        },
		success: function (xmlDoc, textStatus, xhr) {
			GetFieldDetectLink();  //获取联动信息
			m_szDeviceFieldInfo = xhr.responseText;

			$("#EnableFieldDetect").prop("checked", $(xmlDoc).find("enabled").eq(0).text() == "true");
			//智能后检索
			if ($(xmlDoc).find('enableDualVca').length > 0) {
				$("#spDualVca").show();
				$("#chEnableDualVca").prop("checked", $(xmlDoc).find("enableDualVca").eq(0).text() == "true");
			} else {
				$("#spDualVca").hide();
			}

			var arrItemList = $(xmlDoc).find("FieldDetectionRegionList").eq(0);
			var iListLen = arrItemList.find('FieldDetectionRegion').length;
			var oRegionItem = null;
			var iArrPointList = 0;
			if ($(xmlDoc).find("objectOccupation").length == 0) {
				$("#dvProportion").parent().parent().hide();
			} else {
				$("#dvProportion").parent().parent().show();
				autoResizeIframe();
			}
			//赋值区域信息到列表对象
			for (var i = 0; i < iListLen; i++) {
				oRegionItem = arrItemList.find('FieldDetectionRegion').eq(i);  //区域对象
				if (m_arrFieldInfoList[i].id == oRegionItem.find('id').eq(0).text()) {
					m_arrFieldInfoList[i].iCurSen = parseInt(oRegionItem.find('sensitivityLevel').eq(0).text(), 10);
					m_arrFieldInfoList[i].iTime = parseInt(oRegionItem.find('timeThreshold').eq(0).text(), 10);
					m_arrFieldInfoList[i].iProptn = oRegionItem.find('objectOccupation').eq(0).text(); //占比

					iArrPointList = oRegionItem.find('RegionCoordinates').length;
					for (var j = 0; j < iArrPointList; j++) { //添加点到列表
						m_arrFieldInfoList[i].arrPointList[j].iX = parseInt(oRegionItem.find('positionX').eq(j).text(), 10);
						m_arrFieldInfoList[i].arrPointList[j].iY = parseInt(oRegionItem.find('positionY').eq(j).text(), 10);
					}
				}
			}
			ChangeDrawArea(); //赋值区域相关信息--默认第一个
		},
		error: function (xhr, textStatus, errorThrown) {
			m_szDeviceFieldInfo = "";
			GetFieldDetectLink();  //获取联动信
			//alert(m_szError400);
		}
	});
}

/*************************************************
 Function:        GetFieldDetectLink
 Description:    获取区域入侵侦测联动方式
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function GetFieldDetectLink() {
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Event/triggers/fielddetection-1";
	$.ajax({
		type: "GET",
		url: szURL,
        beforeSend: function(xhr) {
            xhr.setRequestHeader("If-Modified-Since", "0");
            xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
        },
		success: function (xmlDoc, textStatus, xhr) {
			m_szFieldDectLink = xhr.responseText;
			GetFieldDetectSchedule();
		},
		error: function (xhr, textStatus, errorThrown) {
			m_szFieldDectLink = '';
			GetFieldDetectSchedule();
		}
	});
}
/*************************************************
 Function:        GetFieldDetectSchedule
 Description:    获取区域入侵侦测布防时间
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function GetFieldDetectSchedule() {
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Event/schedules/fieldDetections";
	$.ajax({
		type: "GET",
		url: szURL,
        beforeSend: function(xhr) {
            xhr.setRequestHeader("If-Modified-Since", "0");
            xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
        },
		success: function (xmlDoc, textStatus, xhr) {
			m_szFieldDectSchedule = xhr.responseText;
			GetFieldDetailInfo();
		},
		error: function (xhr, textStatus, errorThrown) {
			//alert(m_szError400);
			return;
		}
	});
}
/*************************************************
 Function:        GetFieldDetailInfo
 Description:    获取区域入侵侦测详细参数信息
 Input:            无
 Output:            无
 Return:            无
 *************************************************/
function GetFieldDetailInfo() {
	$("#MoveEmail").prop("checked", false);
	$("#MoveSoundAlarm").prop("checked", false);
	$("#MoveMonitorAlarm").prop("checked", false);
	$("#MoveUpload").prop("checked", false);

	for (var i = 0; i < 8; i++) {
		for (var j = 0; j < 8; j++) {
			m_szWeek[i][j][0] = "00:00:00";
			m_szWeek[i][j][1] = "00:00:00";
		}
	}

	var xmlLinkDoc = null;
	var xmlScheduleDoc = null;
	if (m_szFieldDectLink != '') {
		xmlLinkDoc = parseXmlFromStr(m_szFieldDectLink);
		m_szFieldDectInfo[0] = "fielddetection-1";
	}
	if (xmlLinkDoc != null) {
		var iMethodNum = $(xmlLinkDoc).find("notificationMethod").length;
		for (i = 0; i < iMethodNum; i++) {//报警输入联动信息
			if ("email" == $(xmlLinkDoc).find('notificationMethod').eq(i).text()) {
				$("#MoveEmail").prop("checked", true);
			}
			if ("beep" == $(xmlLinkDoc).find('notificationMethod').eq(i).text()) {
				$("#MoveSoundAlarm").prop("checked", true);
			}
			if ("center" == $(xmlLinkDoc).find('notificationMethod').eq(i).text()) {
				$("#MoveUpload").prop("checked", true);
			}
			if ("monitorAlarm" == $(xmlLinkDoc).find('notificationMethod').eq(i).text()) {
				$("#MoveMonitorAlarm").prop("checked", true);
			}
			if ("FTP" == $(xmlLinkDoc).find('notificationMethod').eq(i).text()) {
				$("#MoveFTP").prop("checked", true);
			}
			if ("trace" == $(xmlLinkDoc).find('notificationMethod').eq(i).text()) {
				$("#chLinkTrack").prop("checked", true);
			}
		}
		var iAnalogOutPut = $(xmlLinkDoc).find("outputIOPortID").length;
		for (j = 0; j < iAnalogOutPut; j++) {
			var iNo = $(xmlLinkDoc).find("outputIOPortID").eq(j).text();
			for (var i = 0; i < g_iAlarmOutNum; i++) {
				if ((i + 1) == iNo) {
					iNo = i;
					break;
				}
			}
			$("#AlarmOutputCheckboxChanO-" + (iNo + 1)).prop("checked", true);
		}

		//触发通道录像
		var iAnalogRecord = $(xmlLinkDoc).find('videoInputID').length;
		for (j = 0; j < iAnalogRecord; j++) {
			var iNo = $(xmlLinkDoc).find('videoInputID').eq(j).text();
			if (iNo <= m_iAChannelNum) {
				$("#TriggerRecordCheckboxChan" + iNo).prop("checked", true);
			}
		}
		CheackAlarmOutputAllSel();
	} else {
		m_szFieldDectInfo[0] = "fielddetection-1";
	}

	var xmlDoc = parseXmlFromStr(m_szFieldDectSchedule);
	for (i = 0; i < $(xmlDoc).find('Schedule').length; i++) {
		if ($(xmlDoc).find('eventType').eq(i).text() == 'fielddetection') {
			if ($(xmlDoc).find('eventType').eq(i).next().eq(0).text() == m_iPicinform) {
				m_szFieldDectInfo[1] = $(xmlDoc).find('eventType').eq(i).prev().eq(0).text();
				xmlScheduleDoc = $(xmlDoc).find('Schedule').eq(i);
				break;
			}
		}
	}

	if (xmlScheduleDoc != null) {
		//按能力数量隐藏和显示
		var iMaxSize = $(xmlScheduleDoc).find("TimeBlockList").eq(0).attr("size");
		if (iMaxSize != undefined) {
			iMaxSize = parseInt(iMaxSize, 10);
		} else {
			iMaxSize = 4;
		}
		var aTimeRanges = $("#TimeScheduleEdit").find(".scheduleeditdiv").eq(0).find("tr");
		for (var k = 1; k <= 8; k++) {
			if (k <= iMaxSize) {
				aTimeRanges.eq(k).show();
			} else {
				aTimeRanges.eq(k).hide();
			}
		}

		for (var i = 0; i < $(xmlScheduleDoc).find('dayOfWeek').length; i++) {
			dayofWeek = $(xmlScheduleDoc).find('dayOfWeek').eq(i).text();
			for (var j = 0; j < 8; j++) {
				if (m_szWeek[dayofWeek - 1][j][0] == '00:00:00' && m_szWeek[dayofWeek - 1][j][1] == '00:00:00') {
					m_szWeek[dayofWeek - 1][j][0] = $(xmlScheduleDoc).find('TimeRange').eq(i).children('beginTime').eq(0).text();
					m_szWeek[dayofWeek - 1][j][1] = $(xmlScheduleDoc).find('TimeRange').eq(i).children('endTime').eq(0).text();
					break;
				}
			}
		}
		if (m_bHolidayEnable) {
			for (var i = 0; i < $(xmlScheduleDoc).find('HolidayBlockList').eq(0).children('TimeBlock').length; i++) {
				for (var j = 0; j < 8; j++) {
					if ((m_szWeek[7][j][0] == '00:00:00' && m_szWeek[7][j][1] == '00:00:00') || (m_szWeek[7][j][0] != '00:00:00' && m_szWeek[7][j][1] == '00:00:00')) {
						m_szWeek[7][j][0] = $(xmlScheduleDoc).find('HolidayBlockList').eq(0).find('beginTime').eq(i).text();
						m_szWeek[7][j][1] = $(xmlScheduleDoc).find('HolidayBlockList').eq(0).find('beginTime').eq(i).text();
						break;
					}
				}
			}
		}
	} else {
		m_szFieldDectInfo[1] = "Fielddetection_video" + m_iPicinform;
	}

	g_transStack.push(InitDrawSchedule, true);
	EnableFieldDect();
}

/*************************************************
 Function:        EnableFieldDect
 Description:    是否启用了区域入侵侦测
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function EnableFieldDect() {
	if ($("#EnableFieldDetect").prop("checked")) {
		$("#ScheduleEditBtn").prop("disabled", false);
	} else {
		$("#ScheduleEditBtn").prop("disabled", true);
	}
}

/*************************************************
 Function:        SetFieldDectInfo
 Description:    设置区域入侵侦测信息
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function SetFieldDectInfo() {
	SetFieldLink();
}
/*************************************************
 Function:        SetFieldDectSchedule
 Description:    设置越界侦测布防时间
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function SetFieldDectSchedule() {
	var xmlDoc = CreateScheduleDoc("fielddetection", "", "");
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Event/schedules/fieldDetections";
	$.ajax({
		type: "PUT",
		url: szURL,
		data: xmlDoc,
		async: false,
		processData: false,
        beforeSend: function(xhr) {
            xhr.setRequestHeader("If-Modified-Since", "0");
            xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
        },
		success: function (xmlDoc, textStatus, xhr) {
			SaveState(xhr);
		},
		error: function (xhr, textStatus, errorThrown) {
			SaveState(xhr);
		}
	});
}
/*************************************************
 Function:        SetFieldLink
 Description:    设置区域入侵侦测联动方式
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function SetFieldLink() {
	var xmlDoc = CreateLinkDoc("fielddetection");
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Event/triggers/" + m_szFieldDectInfo[0];
	$.ajax({
		type: "PUT",
		url: szURL,
		data: xmlDoc,
		async: false,
		processData: false,
        beforeSend: function(xhr) {
            xhr.setRequestHeader("If-Modified-Since", "0");
            xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
        },
		success: function (xmlDoc, textStatus, xhr) {
			var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Smart/FieldDetection/1";

			if (m_iAreaCurIndex >= 0 && m_arrFieldInfoList.length > 0) {
				//先把当前的点坐标保存到数组
				SavePolygonFromPlugin(m_iAreaCurIndex);

				m_arrFieldInfoList[m_iAreaCurIndex].iTime = g_FiledDetectTimeSilder.getValue();  //时间阈值
				m_arrFieldInfoList[m_iAreaCurIndex].iProptn = g_FiledDetectProptnSilder.getValue(); //占比
				m_arrFieldInfoList[m_iAreaCurIndex].iCurSen = g_FieldDetectSenSilder.getValue();  //灵敏度
			}

			var xmlDoc = GetXmlFromFieldList(m_szDeviceFieldInfo);
			if ("IPDome" == window.parent.g_szDeviceType) {
				$(xmlDoc).find("FieldDetectionRegionList").eq(0).remove();
			}
			$.ajax({
				type: "PUT",
				url: szURL,
				data: xmlDoc,
				async: false,
				processData: false,
                beforeSend: function(xhr) {
                    xhr.setRequestHeader("If-Modified-Since", "0");
                    xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
                },
				success: function (xmlDoc, textStatus, xhr) {
					if ("IPDome" == window.parent.g_szDeviceType) {
						var szXml = "<?xml version='1.0' encoding='UTF-8'?><FieldDetectionRegion>";
						szXml += "<id>" + (m_iAreaCurIndex + 1) + "</id>";
						szXml += "<sensitivityLevel>" + m_arrFieldInfoList[m_iAreaCurIndex].iCurSen + "</sensitivityLevel>";
						szXml += "<timeThreshold>" + m_arrFieldInfoList[m_iAreaCurIndex].iTime + "</timeThreshold>";
						if ($("#dvProportion").parent().parent().css("display") != "none") {
							szXml += "<objectOccupation>" + m_arrFieldInfoList[m_iAreaCurIndex].iProptn + "</objectOccupation>";
						}

						var iArrPointList = m_arrFieldInfoList[m_iAreaCurIndex].arrPointList.length;
						for (var j = 0; j < iArrPointList; j++) { //添加点到列表
							if (m_arrFieldInfoList[m_iAreaCurIndex].arrPointList[j].iX < 0 || m_arrFieldInfoList[m_iAreaCurIndex].arrPointList[j].iY < 0) {
								break;
							}
						}
						szXml += "<enabled>" + (iArrPointList == j ? "true" : "false") + "</enabled>";
						szXml += "<RegionCoordinatesList>";
						if (iArrPointList > j) {
							for (var j = 0; j < iArrPointList; j++) { //添加点到列表
								szXml += "<RegionCoordinates><positionX>0</positionX><positionY>0</positionY></RegionCoordinates>";
							}
						} else {
							for (var j = 0; j < iArrPointList; j++) { //添加点到列表
								szXml += "<RegionCoordinates><positionX>" + Math.floor(m_arrFieldInfoList[m_iAreaCurIndex].arrPointList[j].iX) + "</positionX><positionY>" + Math.floor(m_arrFieldInfoList[m_iAreaCurIndex].arrPointList[j].iY) + "</positionY></RegionCoordinates>";
							}
						}
						szXml += "</RegionCoordinatesList>";

						szXml += "</FieldDetectionRegion>";
						var xmlDoc = parseXmlFromStr(szXml);
						szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Smart/FieldDetection/1/regions/" + (m_iAreaCurIndex + 1);
						$.ajax({
							type: "PUT",
							url: szURL,
							data: xmlDoc,
							async: false,
							processData: false,
                            beforeSend: function(xhr) {
                                xhr.setRequestHeader("If-Modified-Since", "0");
                                xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
                            },
							success: function (xmlDoc, textStatus, xhr) {
								SetFieldDectSchedule();
							},
							error: function (xhr, textStatus, errorThrown) {
								SaveState(xhr);
							}
						});
					} else {
						SetFieldDectSchedule();
					}

				},
				error: function (xhr, textStatus, errorThrown) {
					SaveState(xhr);
				}
			});
		},
		error: function (xhr, textStatus, errorThrown) {
			SaveState(xhr);
		}
	});
}