/*************************************************
继承，未完成，wuyang
*************************************************/
function User() {
	SingletonInheritor.implement(this);
	this.m_szPermissionInfo = null;
	this.m_iView = 0; //是否普通用户进入 0不是 1是
	this.szUserSetRetInfo = '';
	this.m_oUserXml = null;
    this.m_oOperatorCab = {"RemoteSetParam":false, "RemoteLog":true, "RemoteUpgrade":false, "RemoteTalk":true, "RemoteReboot":false, "RemoteAlarm":false, "RemoteCtrl":false, "RemoteRS":false, "RemotePreview":true, "RemotePTZControl":true, "RemoteManualRecord":true, "RemotePlayback":true};
    this.m_oViewerCab = {"RemoteLog":true, "RemotePreview":false, "RemotePlayback":true};
}
SingletonInheritor.declare(User);
pr(User).update = function() {
    window.parent.$("#dvErrorTips").hide().html("");
	$("#SetResultTips").html("");
	$("#SaveConfigBtn").hide();
	g_transStack.clear();
	var that = this;
	g_transStack.push(function() {
		that.setLxd(parent.translator.getLanguageXmlDoc(["Security", "User"]));
		parent.translator.appendLanguageXmlDoc(that.getLxd(), g_lxdParamConfig);
		parent.translator.translatePage(that.getLxd(), document);
	}, true);
	this.initUserPage();
	if ($.browser.msie && parseInt($.browser.version, 10) == 6) {
		$("#selIPFilterType").hide();
		$("#selEnableAnonymous").hide();
	}
}

function RTSPAuth() {
	SingletonInheritor.implement(this);
	this.g_oRTSPXml = null;
}
SingletonInheritor.declare(RTSPAuth);
pr(RTSPAuth).update = function() {
    window.parent.$("#dvErrorTips").hide().html("");
	$("#SetResultTips").html("");
	$("#SaveConfigBtn").show();
	g_transStack.clear();
	var that = this;
	g_transStack.push(function() {
		that.setLxd(parent.translator.getLanguageXmlDoc(["Security", "RTSPAuth"]));
		parent.translator.appendLanguageXmlDoc(that.getLxd(), g_lxdParamConfig);
		parent.translator.translatePage(that.getLxd(), document);
	}, true);
	this.initRTSPAuth();
	if ($.browser.msie && parseInt($.browser.version, 10) == 6) {
		$("#selIPFilterType").hide();
		$("#selEnableAnonymous").hide();
	}
}
//匿名访问
function AnonymousVisit() {
	SingletonInheritor.implement(this);
}
SingletonInheritor.declare(AnonymousVisit);
pr(AnonymousVisit).update = function () {
    window.parent.$("#dvErrorTips").hide().html("");
	$("#SetResultTips").html("");
	$("#SaveConfigBtn").show();
	g_transStack.clear();
	var that = this;
	g_transStack.push(function () {
		that.setLxd(parent.translator.getLanguageXmlDoc(["Security"]));
		parent.translator.appendLanguageXmlDoc(that.getLxd(), g_lxdParamConfig);
		parent.translator.translatePage(that.getLxd(), document);
	}, true);
	this.initAnonymousVisit();
	if ($.browser.msie && parseInt($.browser.version, 10) == 6) {
		$("#selIPFilterType").hide();
		$("#selEnableAnonymous").show();
	}
}
//IP地址过滤
function IPFilter() {
	SingletonInheritor.implement(this);
}
SingletonInheritor.declare(IPFilter);
pr(IPFilter).update = function () {
    window.parent.$("#dvErrorTips").hide().html("");
	$("#SetResultTips").html("");
	$("#SaveConfigBtn").show();
	g_transStack.clear();
	var that = this;
	g_transStack.push(function () {
		that.setLxd(parent.translator.getLanguageXmlDoc(["Security", "IPFilter"]));
		parent.translator.appendLanguageXmlDoc(that.getLxd(), g_lxdParamConfig);
		parent.translator.translatePage(that.getLxd(), document);
	}, true);
	this.initIPFilter();
	if ($.browser.msie && parseInt($.browser.version, 10) == 6) {
		$("#selIPFilterType").show();
		$("#selEnableAnonymous").hide();
	}
}
/*************************************************
Function:		initUserPage
Description:	用户页面初始化
Input:			无		
Output:			无
return:			无				
*************************************************/
User.prototype.initUserPage = function () {
	try {
	    var iLen = document.getElementById("UserTableList").rows.length;
	} catch (e) {
	    var iLen = 0;	
	}
	for (var i = 1; i < iLen; i++) {
		document.getElementById("UserTableList").deleteRow(1);
	}
    this.HttpGetUserInfo();
    this.getUserDefPriority();//获取各个类型用户能力
}
/*************************************************
Function:		HttpGetUserInfo
Description:	获取用户结构
Input:			无
Output:			无
return:			无
*************************************************/
User.prototype.HttpGetUserInfo = function () {
	$("#DelUserBtn").prop("disabled", true);
	$("#ModifyUserBtn").prop("disabled", true);
	var that = this;
	$.ajax({
		type: "GET",
		url: m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Security/users",
		beforeSend: function(xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		success: function(xmlDoc, textStatus, xhr) {
			m_szIPCUserInfo.length = 0;   			   //存储用户结构信息
			for (var k = 0; k < m_iMaxUser; k++) {
				m_szIPCUserInfo[k] = new Array();
			}
			that.m_oUserXml = xmlDoc;
			that.GetUserPermissionAll(0);
			that.SearchUserNo();
            autoResizeIframe();
		},
		error:function (xhr, textStatus, errorThrown) {
		}
	});	
}

/*************************************************
 Function:        getUserDefPriority
 Description:    获取默认权限
 Input:            无
 Output:            无
 return:            无
 *************************************************/
User.prototype.getUserDefPriority = function () {
    var that = this;
    //操作员权限能力和默认值
    $.ajax({
        type:"GET",
        url:m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Security/UserPermission/operatorCap",
        async:true,
        timeout:15000,
        beforeSend:function (xhr) {
            xhr.setRequestHeader("If-Modified-Since", "0");
            xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
        },
        success:function (xmlDoc, textStatus, xhr) {
            that.m_oOperatorCab = matchPriority(xmlDoc);
            //普通用户权限能力和默认值
            $.ajax({
                type:"GET",
                url:m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Security/UserPermission/viewerCap",
                async:true,
                timeout:15000,
                beforeSend:function (xhr) {
                    xhr.setRequestHeader("If-Modified-Since", "0");
                    xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
                },
                success:function (xmlDoc, textStatus, xhr) {
                    that.m_oViewerCab = matchPriority(xmlDoc);
                }
            });
        }
    });
}

/*************************************************
 Function:        matchPriority
 Description:    匹配权限
 Input:            xmlDoc ：xml数据
 Output:            无
 return:            匹配结果
 *************************************************/
function matchPriority(xmlDoc) {
    var oPrioritySet = {};

    if (xmlDoc != null) {
        var remotePermission = $(xmlDoc).find("UserPermissionCap").eq(0).find("remotePermissionCap").eq(0);
        //预览权限
        if (remotePermission.find('preview').eq(0).attr("def")) {
            oPrioritySet["RemotePreview"] = (remotePermission.find("preview").eq(0).attr("def") == "true");
        }
        //ptz权限
        if (remotePermission.find('ptzControl').eq(0).attr("def")) {
            oPrioritySet["RemotePTZControl"] = (remotePermission.find("ptzControl").eq(0).attr("def") == "true");
        }
        //手动录像
        if (remotePermission.find('record').eq(0).attr("def")) {
            oPrioritySet["RemoteManualRecord"] = (remotePermission.find("record").eq(0).attr("def") == "true");
        }
        //回放权限
        if (remotePermission.find('playBack').eq(0).attr("def")) {
            oPrioritySet["RemotePlayback"] = (remotePermission.find("playBack").eq(0).attr("def") == "true");
        }
        //远程配置权限
        if (remotePermission.find('parameterConfig').eq(0).attr("def")) {
            oPrioritySet["RemoteSetParam"] = (remotePermission.find("parameterConfig").eq(0).attr("def") == "true");
        }
        //关机重启权限
        if (remotePermission.find('restartOrShutdown').eq(0).attr("def")) {
            oPrioritySet["RemoteReboot"] = (remotePermission.find("restartOrShutdown").eq(0).attr("def") == "true");
        }
        //升级权限
        if (remotePermission.find('upgrade').eq(0).attr("def")) {
            oPrioritySet["RemoteUpgrade"] = (remotePermission.find("upgrade").eq(0).attr("def") == "true");
        }
        //日志、状态权限
        if (remotePermission.find('logOrStateCheck').eq(0).attr("def")) {
            oPrioritySet["RemoteLog"] = (remotePermission.find("logOrStateCheck").eq(0).attr("def") == "true");
        }
        //对讲权限
        if (remotePermission.find('voiceTalk').eq(0).attr("def")) {
            oPrioritySet["RemoteTalk"] = (remotePermission.find("voiceTalk").eq(0).attr("def") == "true");
        }
        //远程控制串口权限
        if (remotePermission.find('transParentChannel').eq(0).attr("def")) {
            oPrioritySet["RemoteRS"] = (remotePermission.find("transParentChannel").eq(0).attr("def") == "true");
        }
        //控制本地输出权限
        if (remotePermission.find('contorlLocalOut').eq(0).attr("def")) {
            oPrioritySet["RemoteCtrl"] = (remotePermission.find("contorlLocalOut").eq(0).attr("def") == "true");
        }
        //报警输入和上传权限
        if (remotePermission.find('alarmOutOrUpload').eq(0).attr("def")) {
            oPrioritySet["RemoteAlarm"] = (remotePermission.find("alarmOutOrUpload").eq(0).attr("def") == "true");
        }
    }
    return oPrioritySet;
}
/*************************************************
Function:		SearchUserNo
Description:	获取硬盘录像机的用户号
Input:			无
Output:			无
Return:			无
*************************************************/
User.prototype.SearchUserNo = function () {
	m_iHaveUser = 0;
	m_iSelectUser = -1;

	var xmlDoc = this.m_oUserXml;
	m_iHaveUser = $(xmlDoc).find("User").length;

	for (var i = 0; i < m_iHaveUser; i++) {
		m_szIPCUserInfo[i][0] = $(xmlDoc).find('id').eq(i).text();
		m_szIPCUserInfo[i][1] = $(xmlDoc).find('userName').eq(i).text();
		m_szIPCUserInfo[i][2] = oCheckPassword.m_szDefaultPassword;
		m_szIPCUserInfo[i][4] = "0.0.0.0"; 
		if ($(xmlDoc).find('User').eq(i).find('bondIpAddress').length > 0) {
			if ($(xmlDoc).find('User').eq(i).find('bondIpAddress').eq(0).find('ipAddress').length > 0) {
				m_szIPCUserInfo[i][4] = $(xmlDoc).find('User').eq(i).find('ipAddress').eq(0).text();
			} else {
				m_szIPCUserInfo[i][4] = "0.0.0.0"; //ip地址绑定
			}
		}
		if (m_strUserName == "admin") {
			this.InsertUserList((i+1), m_szIPCUserInfo[i][1],m_szIPCUserInfo[i][3],m_szIPCUserInfo[i][4]);
		} else if (m_szIPCUserInfo[i][1] == m_strUserName) {
			m_iSelectUser = i;
			this.m_iView = 1;
		}
	}
	if (this.m_iView == 1) {
		this.ModifyUserInfo();
		return;
	}

	if(m_iHaveUser == m_iMaxUser) //用户总数达到上限后添加按钮不可用
	{
		$("#AddDigitalIpBtn").prop("disabled", true);
	} else {
		$("#AddDigitalIpBtn").prop("disabled", false);
	}
}
/*************************************************
Function:		GetUserPermissionAll
Description:	获取所有用户的权限
Input:			iType: 0 对用户类型赋值 1 不对用户类型赋值
Output:			无
return:			无
*************************************************/
User.prototype.GetUserPermissionAll = function (iType) {
	var that = this;
	$.ajax({
		type: "GET",
		url: m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Security/UserPermission",
		async: false,
		timeout: 15000,
		beforeSend: function(xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		success:function (xmlDoc, textStatus, xhr) {
			that.m_szPermissionInfo = xmlDoc;

			if (iType == 0) {
				for (var i = 0; i < $(xmlDoc).find('userType').length; i++) {
					try
					{
				    	m_szIPCUserInfo[i][3] = $(xmlDoc).find('userType').eq(i).text();
					}
					catch(e){}
			    }
			}
		},
		error:function (xhr, textStatus, errorThrown) {
		}
	});	
}
/*************************************************
Function:		GetUserInfo
Description:	获取硬盘录像机的用户参数信息
Input:			无
Output:			无
Return:			无
*************************************************/
User.prototype.GetUserInfo = function () {
	$("#UserNameKing").val(m_szIPCUserInfo[m_iSelectUser][1]);
	$("#UserPsw").val(m_szIPCUserInfo[m_iSelectUser][2]);
	$("#UserPswConfirm").val(m_szIPCUserInfo[m_iSelectUser][2]);
	if (m_szIPCUserInfo[m_iSelectUser][3] != '') {
		$("#Priority").val(m_szIPCUserInfo[m_iSelectUser][3]).change();
	}
	/*$("#UserIP").val(m_szIPCUserInfo[m_iSelectUser][4]);*/
	if ($("#UserNameKing").val() != 'admin') {
		document.getElementById('Priority').remove(0);
	}

	var xmlDoc = this.m_szPermissionInfo;
	var remotePermission = null;
	if (xmlDoc != null) {
		remotePermission = $(xmlDoc).find('UserPermission').eq(m_iSelectUser).find('remotePermission').eq(0);
		//远程通道操作
		$.each($(remotePermission).find('videoChannelPermission'),function(){
			$("#RemotePreview input:eq("+ $("id", this).text() +")").prop("checked",$("preview", this).text()=="true");
			$("#RemoteManualRecord input:eq("+ $("id", this).text() +")").prop("checked",$("record", this).text()=="true");
			$("#RemotePlayback input:eq("+ $("id", this).text() +")").prop("checked",$("playBack", this).text()=="true");
		})
		$.each($(remotePermission).find('ptzChannelPermission'),function(){
			$("#RemotePTZControl input:eq("+ $("id", this).text() +")").prop("checked",$("ptzControl", this).text()=="true");
		})
		$("#RemotePreview input:eq(0)").prop("checked", $("#RemotePreview input:checked").length>=m_iAllChannelNum?true:false);
		//$("#RemotePlayback input:eq(0)").prop("checked", $("#RemotePlayback input:checked").length>=m_iAllChannelNum?true:false);
		$("#RemoteManualRecord input:eq(0)").prop("checked", $("#RemoteManualRecord input:checked").length>=m_iAllChannelNum?true:false);
		$("#RemotePTZControl input:eq(0)").prop("checked", $("#RemotePTZControl input:checked").length>=m_iAllChannelNum?true:false);
		
		//远程操作
		$("#RemoteSetParam").prop("checked",$("parameterConfig", remotePermission).text()=="true");
		$("#RemoteReboot").prop("checked",$("restartOrShutdown", remotePermission).text()=="true");
		$("#RemoteUpgrade").prop("checked",$("upgrade", remotePermission).text()=="true");
		$("#RemoteLog").prop("checked",$("logOrStateCheck", remotePermission).text()=="true");
		$("#RemoteTalk").prop("checked",$("voiceTalk", remotePermission).text()=="true");		
		$("#RemoteAlarm").prop("checked",$("alarmOutOrUpload", remotePermission).text()=="true");
		try
		{
			$("#RemoteRS").prop("checked",$("transParentChannel", remotePermission).text()=="true");
		}
		catch(oError)
		{
			$("#RemoteRS").prop("checked",$("transparentChannel", remotePermission).text()=="true");
		}
		try
		{
			$("#RemoteCtrl").prop("checked",$("contorlLocalOut", remotePermission).text()=="true");
		}
		catch(oError)
		{
			$("#RemoteCtrl").prop("checked",false);
		}

	}
	if (m_szIPCUserInfo[m_iSelectUser][1] == "admin" || m_strUserName != "admin" || m_iOperatUserList != 0) {
		$("#UserNameKing").prop("disabled", true);
		$("#Priority").prop("disabled", true);
		$("#userContent").find("input[type='checkbox']").prop("disabled", true);
	} else {
		$("#UserNameKing").prop("disabled", false);
		$("#Priority").prop("disabled", false);
		/*$("#userContent").find("input[type='checkbox']").prop("disabled", false);
		 if ("viewer" == m_szIPCUserInfo[m_iSelectUser][3]) {
			$("#taUserPermission").find(":checkbox").prop("disabled", true);
			$("#RemotePreview").prop("disabled", false);
			$("#RemotePlayback").prop("disabled", false);
			$("#RemoteLog").prop("disabled", false);
		}*/
	}	
}
/*************************************************
Function:		GobackSearchUserNo
Description:	返回获取硬盘录像机的用户号
Input:			无
Output:			无
Return:			无
*************************************************/
User.prototype.GobackSearchUserNo = function()
{
	try
	{
	    var num = document.getElementById("UserTableList").rows.length;
	}
	catch(e)
	{
	    var num = 0;	
	}
	for(var i = 1; i < num; i++)
	{
		document.getElementById("UserTableList").deleteRow(1);
	}
	for(i = 0; i < m_iHaveUser; i ++)
	{
		this.InsertUserList((i+1), m_szIPCUserInfo[i][1],m_szIPCUserInfo[i][3],m_szIPCUserInfo[i][4]);
	}

	if(m_iSelectUser >= 0)
	{
		var iSel = m_iSelectUser + 1;
		$("#usertdA" + iSel).css({ color: "#ffffff", background: "#2882E2" });
		$("#usertdB" + iSel).css({ color: "#ffffff", background: "#2882E2" });
		$("#usertdC" + iSel).css({ color: "#ffffff", background: "#2882E2" });

		if(m_szIPCUserInfo[m_iSelectUser][1] == "admin")
		{
			$("#DelUserBtn").prop("disabled", true);
		}
		else
		{
			$("#DelUserBtn").prop("disabled", false);
		}
		$("#ModifyUserBtn").prop("disabled", false);
	}
	if(m_iHaveUser == m_iMaxUser) //用户总数达到上限后添加按钮不可用
	{
		$("#AddDigitalIpBtn").prop("disabled", true);
	}
	else
	{
		$("#AddDigitalIpBtn").prop("disabled", false);
	}
	parent.translator.translatePage(pr(SingletonInheritor.base).getLxd(), document);
}
/*************************************************
Function:		InsertUserList
Description:	插入文件条目信息到List中
Input:			a : 用户号
                b : 用户名
				c : 权限等级
				d : IP地址绑定
Output:			无
return:			无
*************************************************/
User.prototype.InsertUserList = function(a,b,c,d)
{
   var ObjTr;
   var ObjTd;
   ObjTr = document.getElementById("UserTableList").insertRow(document.getElementById("UserTableList").rows.length);
   ObjTr.style.height = 22 + 'px';
   ObjTr.style.cursor = "pointer";
   for(j = 0;j < document.getElementById("UserTableList").rows[0].cells.length;j++)
   {
		ObjTd = ObjTr.insertCell(j);
		$(ObjTd).css({border:"1px solid #d7d7d7",background:"#ffffff",padding:"0 0 0 5px"});
		switch(j)
		{
	    	case 0:
		    	ObjTd.innerHTML = a;
			   	ObjTd.id = "usertdA"+ a;
				ObjTd.style.color = "#39414A";
			   	break;
		  	case 1:
		       	ObjTd.innerHTML = b.replace(/\&/g, "&amp;");
			  	ObjTd.id = "usertdB"+ a;
				ObjTd.style.color = "#39414A";
			  	break;
		  	case 2:
		  		if(c == "admin")
				{
				    ObjTd.innerHTML = "<label name='PriorityOpt1' id='PriorityOpt1'>" + getNodeValue("PriorityOpt1") + "</label>";
				}
				else if(c == "operator")
				{
					ObjTd.innerHTML = "<label name='PriorityOpt2' id='PriorityOpt2'>" + getNodeValue("PriorityOpt2") + "</label>";
				}
				else
				{
					ObjTd.innerHTML = "<label name='PriorityOpt3' id='PriorityOpt3'>" + getNodeValue("PriorityOpt3") + "</label>";
				}
			   	ObjTd.id = "usertdC"+ a;
				ObjTd.style.color = "#39414A";
			   	break;
			case 3:
		  		ObjTd.innerHTML = d;
			   	ObjTd.id = "usertdD"+ a;
				ObjTd.style.color = "#39414A";
			   	break;
			default:
				break;
	   }
    }
}
/*************************************************
Function:		SelectUserTd
Description:	选中某个用户
Input:			无
Output:			无
return:			无
*************************************************/
User.prototype.SelectUserTd = function(event)
{
   event = event?event:(window.event?window.event:null);
   var ObjTable = event.srcElement?event.srcElement:event.target;
   if(ObjTable.tagName == "TD")
   {
      while(ObjTable.tagName != "TR")
	  {
		  ObjTable = ObjTable.parentNode;
	  }
      ObjParent = ObjTable.parentNode;
      var m_iSelFileIndex = ObjTable.rowIndex - 1;
      if(m_iSelFileIndex == -1)
      {
	      return;
      }
	  while(ObjParent.tagName!="TABLE")
	  {
	      ObjParent = ObjParent.parentNode;
		  if(m_iSelectUser >=  0)
		  {
			  $("#usertdA" + (m_iSelectUser + 1)).css({ color: "#39414A", background: "#ffffff" });
		      $("#usertdB" + (m_iSelectUser + 1)).css({ color: "#39414A", background: "#ffffff" });
		      $("#usertdC" + (m_iSelectUser + 1)).css({ color: "#39414A", background: "#ffffff" });
		   }

		   for(var i = 1;i < ObjParent.rows.length;i ++)
		   {
			    if(ObjTable.rowIndex == i)
				{
					$("#usertdA" + i).css({ color: "#ffffff", background: "#316ac5" });
		            $("#usertdB" + i).css({ color: "#ffffff", background: "#316ac5" });
		            $("#usertdC" + i).css({ color: "#ffffff", background: "#316ac5" });
					
					m_iSelectUser = i - 1;
					document.getElementById("ModifyUserBtn").disabled = 0;  //选择用户后修改按钮可用
					if(m_szIPCUserInfo[m_iSelectUser][1] != "admin" && m_strUserName == "admin")
					{
						$("#DelUserBtn").prop("disabled", false);  //选择用户后删除按钮可用
					}
					else
					{
						$("#DelUserBtn").prop("disabled", true);
					}
				}
			}
	    }
    }
}
/*************************************************
Function:		ModifyUserInfo
Description:	根据用户号修改相关显示信息
Input:			无
Output:			无
return:			无
*************************************************/
User.prototype.ModifyUserInfo = function()
{
	this.szUserSetRetInfo = '';
	if(m_iSelectUser == -1)
	{
		return;
	}
	m_iOperatUserList = 0;
	var that = this;
	$.ajax({
		url: "params/userdetail.asp?version=" + window.parent.global_config.web_version,
		type: "GET",
		dataType:"html",
		error:function() {
			
		},
		success:function(msg) {
			if(that.m_iView == 1)
			{
				$("#UserPage").html(msg);
			}
			else
			{
				$("#UserOperationWnd").html(msg);
				$("#UserOperationWnd").modal();
			}
			parent.translator.translatePage(pr(SingletonInheritor.base).getLxd(), document);
			$("#laUserTitle").html("<label name='laUserModify'>" + getNodeValue('laUserModify') + "</label>");
			ListCopyChannel(m_iAChannelNum, m_iAllChannelNum, ".ChannelList");
			$("#RemotePlayback .ChannelList :checkbox:gt(0)").parent().remove();
			$("#RemotePlayback dd *:lt(2)").hide();
			if(m_strUserName != "admin")
			{
			    $("#GoBackListBtn").hide();
			}
			that.GetUserInfo();
			oCheckPassword.checkUserName(m_szIPCUserInfo[m_iSelectUser][1], $('#UserPsw'), $('#UserPswConfirm'));
			autoResizeIframe();
		}
	});
}
/*************************************************
Function:		AddNewUser
Description:	添加新用户
Input:			无
Output:			无
return:			无
*************************************************/
User.prototype.AddNewUser = function()
{
	$("#SetResultTips").html("");
	this.szUserSetRetInfo = '';
	m_iOperatUserList = 1;
	var that = this;
	$.ajax({ url: "params/userdetail.asp?version=" + window.parent.global_config.web_version,
		type: "GET",
		dataType:"html",
		error:function() {
			
		},
		success:function(msg) {
			$("#UserOperationWnd").html(msg);
			$("#UserOperationWnd").modal();
			parent.translator.translatePage(pr(SingletonInheritor.base).getLxd(), document);
			$("#laUserTitle").html("<label name='UserAddTips'>" + getNodeValue('UserAddTips') + "</label>");
			ListCopyChannel(m_iAChannelNum, m_iAllChannelNum, ".ChannelList");
			$("#RemotePlayback .ChannelList :checkbox:gt(0)").parent().remove();
			$("#RemotePlayback dd *:lt(2)").hide();
			document.getElementById('Priority').remove(0);
			that.ChangeUserTypePriority("operator");
			oCheckPassword.checkUserName("", $('#UserPsw'), $('#UserPswConfirm'));
		}
	});
}
/*************************************************
Function:		GoBackUserList
Description:	返回到用户列表
Input:			无
Output:			无
return:			无
*************************************************/
User.prototype.GoBackUserList = function () {
	var that = this;
	$.ajax({
		url: "params/userlist.asp?version=" + window.parent.global_config.web_version,
		type: "GET",
		dataType:"html",
		error:function() {
			
		},
		success:function(msg) {
			$.modal.impl.close();
			$("#UserPage").html(msg);
			m_iOperatUserList = -2;
			if (m_strUserName == "admin") {
				that.GobackSearchUserNo();
			}
			parent.translator.translatePage(pr(SingletonInheritor.base).getLxd(), document);
			$("#SetResultTips").html(that.szUserSetRetInfo);
		}
	});
}
/*************************************************
Function:		DelUserInfo
Description:	删除用户
Input:			无
Output:			无
return:			无
*************************************************/
User.prototype.DelUserInfo = function () {
	this.szUserSetRetInfo = '';
	if (m_iSelectUser == -1) {
		return;
	}
	m_iOperatUserList = -1;
	Warning =confirm(m_szAsk1);
	if (Warning) {
		this.SaveDelUserInfo();
	}
}
/*************************************************
Function:		SaveUserInfo
Description:	设置硬盘录像机的用户参数信息
Input:			lUserIndex	对应用户号
				lpUserCfgXML 以XML形式记录硬盘录像机用户参数信息的一个字符串。
Output:			无
Return:			-1 -- 失败，0 -- 成功， 1 -- 成功并需要重启设备。
*************************************************/
User.prototype.SaveUserInfo = function () {
	var UserNameKing = $.rtrim($.ltrim($("#UserNameKing").val()));
	$("#UserNameKing").val(UserNameKing);

	if (!CheckDevUserName(UserNameKing, "CheckResultTips", 'geUserName', 0, 32, false)) {
		return -1;
	}
	if ($('#UserPsw').val().length == 0) {
        var szPasswordInfo = getNodeValue("gePassword") + getNodeValue("NullTips");
        showErrorTips("CheckResultTips", szPasswordInfo, false);
		return -1;
	}	
	for(var i = 0; i < m_iHaveUser; i ++) {
		if(m_iOperatUserList == 1) {
			if(m_szIPCUserInfo[i][1] == UserNameKing) {
                		var szAreaNameInfo = getNodeValue('UserExistTips');
                		showErrorTips("CheckResultTips", szAreaNameInfo, false);
			  	return -1;
			}
		} else {
			if (m_szIPCUserInfo[i][1] == UserNameKing && i != m_iSelectUser) {
                		var szAreaNameInfo = getNodeValue('UserExistTips');
                		showErrorTips("CheckResultTips", szAreaNameInfo, false);
				return -1;
			}
		}
	}

	var UserPsw = $("#UserPsw").val();
	if (!CheckDevUserName(UserPsw, "CheckResultTips", 'gePassword', 1, 16, false)) {
		return -1;
	}
	if ($('#UserPsw').val() != $('#UserPswConfirm').val()) {
        	var szAreaNameInfo = getNodeValue('jsPasswordDifferenceTips');
        	showErrorTips("CheckResultTips", szAreaNameInfo, false);
		return -1;
	}	

	var XmlDoc = new createxmlDoc();
	var Instruction = XmlDoc.createProcessingInstruction("xml","version='1.0' encoding='utf-8'");
	XmlDoc.appendChild(Instruction);
	if (m_iOperatUserList == 0) {
		var Root = XmlDoc.createElement("UserList");
		var szUserInfo = new Array();
		for (var j = 0; j < m_iHaveUser; j++) {
			szUserInfo[j] = XmlDoc.createElement("User");

			var Element = XmlDoc.createElement("id");
			var text = XmlDoc.createTextNode(m_szIPCUserInfo[j][0]);
			Element.appendChild(text);
			szUserInfo[j].appendChild(Element);

			Element = XmlDoc.createElement("userName");

			if (j == m_iSelectUser) {
				text = XmlDoc.createTextNode(UserNameKing);
			} else {
				text = XmlDoc.createTextNode(m_szIPCUserInfo[j][1]);
			}
			Element.appendChild(text);
			szUserInfo[j].appendChild(Element);

			if (j == m_iSelectUser && $("#UserPsw").val() != oCheckPassword.m_szDefaultPassword) {
				Element = XmlDoc.createElement("password");
				if (m_szIPCUserInfo[j][1] == m_strUserName) {
					m_strPassword = $("#UserPsw").val();
				}
				text = XmlDoc.createTextNode($("#UserPsw").val());
				Element.appendChild(text);
				szUserInfo[j].appendChild(Element);
			}
					
			Root.appendChild(szUserInfo[j]);
		}
		XmlDoc.appendChild(Root);
	} else if (m_iOperatUserList > 0) {
		m_iSelectUser = m_iHaveUser;
		m_iHaveUser ++;
		m_szIPCUserInfo[m_iSelectUser][3] = 0;

		szUserInfo = XmlDoc.createElement("User");

		Element = XmlDoc.createElement("id");
		text = XmlDoc.createTextNode(m_iHaveUser);
		Element.appendChild(text);
		szUserInfo.appendChild(Element);

		Element = XmlDoc.createElement("userName");
		text = XmlDoc.createTextNode(UserNameKing);
		Element.appendChild(text);
		szUserInfo.appendChild(Element);

		Element = XmlDoc.createElement("password");
		text = XmlDoc.createTextNode($('#UserPsw').val());
		Element.appendChild(text);
		szUserInfo.appendChild(Element);
		XmlDoc.appendChild(szUserInfo);
	}
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Security/users";
	var that = this;	
	$.ajax({
		type: m_iOperatUserList>0?"POST":"PUT",
			beforeSend:function (xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		url: szURL,
		processData: false,
		data: XmlDoc,
			success:function (xmlDoc, textStatus, xhr) {
			if("OK" == $(xmlDoc).find('statusString').eq(0).text()) {
				var szRetInfo = m_szSuccessState + m_szSuccess1;
				if(m_iOperatUserList > 0) {
					m_szIPCUserInfo[m_iSelectUser][0] = $(xmlDoc).find('id').eq(0).text();
                    autoResizeIframe(); //有可能超过最大高度，重新适应高度
				}
				m_szIPCUserInfo[m_iSelectUser][1] = $("#UserNameKing").val();
				m_szIPCUserInfo[m_iSelectUser][2] = $("#UserPsw").val();
				/*m_szIPCUserInfo[m_iSelectUser][4] = $("#UserIP").val();*/
				m_szUserPwdValue = Base64.encode(m_strUserName + ":" + m_strPassword);
				$.cookie('userInfo'+m_lHttpPort,m_szUserPwdValue);
					if (m_strUserName == "admin" && "admin" != $("#Priority").val()) {
					that.SetUserPermission();
					return;
				} else {
					$("#SetResultTips").html(szRetInfo);
						setTimeout(function () {
							$("#SetResultTips").html("");
						}, 5000);
						$.modal.impl.close();
				}
			}
		},
		error:function (xhr, textStatus, errorThrown) {
			if (m_iOperatUserList > 0) {
				m_iHaveUser--;
			 }
			$.modal.impl.close();
			SaveState(xhr);
		}
	});	
}
/*************************************************
Function:		SaveDelUserInfo
Description:	删除用户
Input:			无
Output:			无
Return:			-1 -- 失败，0 -- 成功， 1 -- 成功并需要重启设备。
*************************************************/
User.prototype.SaveDelUserInfo = function () {
	var that = this;
	$.ajax({
		type: "DELETE",
			beforeSend:function (xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		url: m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Security/users/" + m_szIPCUserInfo[m_iSelectUser][0],
		success: function(xmlDoc, textStatus, xhr) {
				if ("OK" == $(xmlDoc).find('statusString').eq(0).text()) {
					szRetInfo = m_szSuccessState + m_szSuccess1;
					if (m_iOperatUserList < 0) {
						for (var i = m_iSelectUser; i < m_iHaveUser - 1; i++) {
							for (var j = 0; j < 5; j++) {
								m_szIPCUserInfo[i][j] = m_szIPCUserInfo[i + 1][j];
							}
						}
						m_iSelectUser = -1;
						m_iHaveUser--;
					}
					that.GobackSearchUserNo();
					$("#DelUserBtn").prop("disabled", true);
					$("#ModifyUserBtn").prop("disabled", true);
			}
		},
		error:function (xhr, textStatus, errorThrown) {
		    if (xhr.status == 403) {
		    	szRetInfo = m_szErrorState + m_szError8;
		    }
		}
	});	
}
/*************************************************
Function:		SetUserPermission
Description:	设置用户权限
Input:			无
Output:			无
Return:			-1 -- 失败，0 -- 成功， 1 -- 成功并需要重启设备。
*************************************************/
User.prototype.SetUserPermission = function () {
	var PermissionXmlDoc = new createxmlDoc();
	var Instruction = PermissionXmlDoc.createProcessingInstruction("xml","version='1.0' encoding='utf-8'");
	PermissionXmlDoc.appendChild(Instruction);
	var Root = PermissionXmlDoc.createElement("UserPermission");

	var Element = PermissionXmlDoc.createElement("id");
	var text = PermissionXmlDoc.createTextNode(m_szIPCUserInfo[m_iSelectUser][0]);
	Element.appendChild(text);
	Root.appendChild(Element);
	
	Element = PermissionXmlDoc.createElement("userID");
	text = PermissionXmlDoc.createTextNode(m_szIPCUserInfo[m_iSelectUser][0]);
	Element.appendChild(text);
	Root.appendChild(Element);

	Element = PermissionXmlDoc.createElement("userType");
	text = PermissionXmlDoc.createTextNode($("#Priority").val());
	Element.appendChild(text);
	Root.appendChild(Element);

	var remotePermission = PermissionXmlDoc.createElement("remotePermission");
	Element = PermissionXmlDoc.createElement("playBack");
	/*if($("#RemotePlayback").prop("checked"))
	{
		text = PermissionXmlDoc.createTextNode('true');
	}
	else
	{
		text = PermissionXmlDoc.createTextNode('false');
	}*/
	text = PermissionXmlDoc.createTextNode('true');
	Element.appendChild(text);
	remotePermission.appendChild(Element);
	
	Element = PermissionXmlDoc.createElement("preview");
	/*if($("#RemotePreview").prop("checked"))
	{
		text = PermissionXmlDoc.createTextNode('true');
	}
	else
	{
		text = PermissionXmlDoc.createTextNode('false');
	}*/
	text = PermissionXmlDoc.createTextNode('true');
	Element.appendChild(text);
	remotePermission.appendChild(Element);
	
	Element = PermissionXmlDoc.createElement("record");
	/*if($("#RemoteManualRecord").prop("checked"))
	{
		text = PermissionXmlDoc.createTextNode('true');
	}
	else
	{
		text = PermissionXmlDoc.createTextNode('false');
	}*/
	text = PermissionXmlDoc.createTextNode('true');
	Element.appendChild(text);
	remotePermission.appendChild(Element);
	
	videoChannelPermissionList = PermissionXmlDoc.createElement("videoChannelPermissionList");
	ptzChannelPermissionList = PermissionXmlDoc.createElement("ptzChannelPermissionList");
	
	for(var a = 0; a < m_iAllChannelNum; a++)
	{
		videoChannelPermission = PermissionXmlDoc.createElement("videoChannelPermission");

		Element = PermissionXmlDoc.createElement("id");
		if(a < m_iAChannelNum)
		{
		    text = PermissionXmlDoc.createTextNode(a+1);
		}
		else
		{
			text = PermissionXmlDoc.createTextNode(m_szDigitChanNo[parseInt(a) - m_iAChannelNum]);
		}
		Element.appendChild(text);
		videoChannelPermission.appendChild(Element);

		Element = PermissionXmlDoc.createElement("preview");
		if($("#RemotePreview :checkbox").eq(a+1).prop("checked"))
		{
			text = PermissionXmlDoc.createTextNode('true');
		}
		else
		{
			text = PermissionXmlDoc.createTextNode('false');
		}
		Element.appendChild(text);
		videoChannelPermission.appendChild(Element);
		
		Element = PermissionXmlDoc.createElement("playBack");
		if($("#RemotePlayback :checkbox").eq(a+1).prop("checked") && a==0)
		{
			text = PermissionXmlDoc.createTextNode('true');
		}
		else
		{
			text = PermissionXmlDoc.createTextNode('false');
		}
		Element.appendChild(text);
		videoChannelPermission.appendChild(Element);
		
		Element = PermissionXmlDoc.createElement("record");
		if($("#RemoteManualRecord :checkbox").eq(a+1).prop("checked"))
		{
			text = PermissionXmlDoc.createTextNode('true');
		}
		else
		{
			text = PermissionXmlDoc.createTextNode('false');
		}
		Element.appendChild(text);
		videoChannelPermission.appendChild(Element);
		videoChannelPermissionList.appendChild(videoChannelPermission);
		
		ptzChannelPermission = PermissionXmlDoc.createElement("ptzChannelPermission");
	
		Element = PermissionXmlDoc.createElement("id");
		if(a < m_iAChannelNum)
		{
			text = PermissionXmlDoc.createTextNode(a + 1);
		}
		else
		{
			text = PermissionXmlDoc.createTextNode(m_szDigitChanNo[parseInt(a) - m_iAChannelNum]);
		}
		Element.appendChild(text);
		ptzChannelPermission.appendChild(Element);

		Element = PermissionXmlDoc.createElement("ptzControl");
		if($("#RemotePTZControl :checkbox").eq(a+1).prop("checked"))
		{
			text = PermissionXmlDoc.createTextNode('true');
		}
		else
		{
			text = PermissionXmlDoc.createTextNode('false');
		}
		Element.appendChild(text);
		ptzChannelPermission.appendChild(Element);

		ptzChannelPermissionList.appendChild(ptzChannelPermission);
	}
	
	remotePermission.appendChild(videoChannelPermissionList);
	
	Element = PermissionXmlDoc.createElement("ptzControl");
	if(true || $("#RemotePTZControl").prop("checked"))
	{
		text = PermissionXmlDoc.createTextNode('true');
	}
	else
	{
		text = PermissionXmlDoc.createTextNode('false');
	}
	Element.appendChild(text);
	remotePermission.appendChild(Element);
	
	remotePermission.appendChild(ptzChannelPermissionList);	

	Element = PermissionXmlDoc.createElement("upgrade");
	if($("#RemoteUpgrade").prop("checked"))
	{
		text = PermissionXmlDoc.createTextNode('true');
	}
	else
	{
		text = PermissionXmlDoc.createTextNode('false');
	}
	Element.appendChild(text);
	remotePermission.appendChild(Element);

	Element = PermissionXmlDoc.createElement("parameterConfig");
	if($("#RemoteSetParam").prop("checked"))
	{
		text = PermissionXmlDoc.createTextNode('true');
	}
	else
	{
		text = PermissionXmlDoc.createTextNode('false');
	}
	Element.appendChild(text);
	remotePermission.appendChild(Element);

	Element = PermissionXmlDoc.createElement("restartOrShutdown");
	if($("#RemoteReboot").prop("checked"))
	{
		text = PermissionXmlDoc.createTextNode('true');
	}
	else
	{
		text = PermissionXmlDoc.createTextNode('false');
	}
	Element.appendChild(text);
	remotePermission.appendChild(Element);

	Element = PermissionXmlDoc.createElement("logOrStateCheck");
	if($("#RemoteLog").prop("checked"))
	{
		text = PermissionXmlDoc.createTextNode('true');
	}
	else
	{
		text = PermissionXmlDoc.createTextNode('false');
	}
	Element.appendChild(text);
	remotePermission.appendChild(Element);

	Element = PermissionXmlDoc.createElement("voiceTalk");
	if($("#RemoteTalk").prop("checked"))
	{
		text = PermissionXmlDoc.createTextNode('true');
	}
	else
	{
		text = PermissionXmlDoc.createTextNode('false');
	}
	Element.appendChild(text);
	remotePermission.appendChild(Element);

	Element = PermissionXmlDoc.createElement("transParentChannel");
	if($("#RemoteRS").prop("checked"))
	{
		text = PermissionXmlDoc.createTextNode('true');
	}
	else
	{
		text = PermissionXmlDoc.createTextNode('false');
	}
	Element.appendChild(text);
	remotePermission.appendChild(Element);
	
	Element = PermissionXmlDoc.createElement("contorlLocalOut");
	if($("#RemoteCtrl").prop("checked"))
	{
		text = PermissionXmlDoc.createTextNode('true');
	}
	else
	{
		text = PermissionXmlDoc.createTextNode('false');
	}
	Element.appendChild(text);
	remotePermission.appendChild(Element);
	
	Element = PermissionXmlDoc.createElement("alarmOutOrUpload");
	if($("#RemoteAlarm").prop("checked"))
	{
		text = PermissionXmlDoc.createTextNode('true');
	}
	else
	{
		text = PermissionXmlDoc.createTextNode('false');
	}
	Element.appendChild(text);
	remotePermission.appendChild(Element);
	Root.appendChild(remotePermission);
	PermissionXmlDoc.appendChild(Root);
	var that = this;
	$.ajax(
	{
		type: "PUT",
		beforeSend: function(xhr) 
		{
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		url: m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Security/UserPermission/" + m_szIPCUserInfo[m_iSelectUser][0],
		processData: false,
		data: PermissionXmlDoc,
		success: function(xmlDoc, textStatus, xhr) 
		{
			szRetInfo = m_szSuccessState + m_szSuccess1;
			m_szIPCUserInfo[m_iSelectUser][3] = $("#Priority").val();
			
			that.GetUserPermissionAll(1);
			$("#SetResultTips").html(szRetInfo);
			setTimeout(function(){$("#SetResultTips").html("");}, 5000);
		},
		error: function(xhr, textStatus, errorThrown)
		{
			if(xhr.status == 403)
			{
			    szRetInfo = m_szErrorState + m_szError8;
			    $("#SetResultTips").html(szRetInfo);
				setTimeout(function(){$("#SetResultTips").html("");}, 5000);
			}
		},
		complete: function(xhr, textStatus)
		{
		    if(m_strUserName == "admin")
		    {
			    $("#SetResultTips").html(szRetInfo);
				setTimeout(function(){$("#SetResultTips").html("");}, 5000);
			    that.GoBackUserList();
		    }
			that.szUserSetRetInfo = szRetInfo;
		}
	});	
}
/*************************************************需修改（3级权限）
Function:		ChangeUserTypePriority
Description:	更改用户类型后改变默认权限
Input:			iType ：0 普通用户 1操作员		
Output:			无
return:			无				
*************************************************/
User.prototype.ChangeUserTypePriority = function(iType) {
	//先把checkbox清空
	var oCheckPriority = $(".userpermission").find(":checkbox");
    oCheckPriority.prop("checked",false).prop("disabled",true);

	if(iType == "operator") {
        for (var property in this.m_oOperatorCab) {
            if ("RemotePreview" == property || "RemotePTZControl" == property
                || "RemoteManualRecord" == property || "RemotePlayback"== property) {  //多通道特殊处理
                $("#" + property).find(":checkbox").prop("disabled", false).prop("checked", this.m_oOperatorCab[property]);
            } else {
                $("#" + property).prop("disabled", false).prop("checked", this.m_oOperatorCab[property]);
            }
        } //多通道的特殊处理
	} else if(iType == "viewer") {
        for (var property in this.m_oViewerCab) {
            if ("RemotePreview" == property || "RemotePTZControl" == property
                || "RemoteManualRecord" == property || "RemotePlayback"== property) {  //多通道特殊处理
                $("#" + property).find(":checkbox").prop("disabled", false).prop("checked", this.m_oViewerCab[property]);
            } else {
                $("#" + property).prop("disabled", false).prop("checked", this.m_oViewerCab[property]);
            }
        }
    } else {
        oCheckPriority.prop("disabled", false);
    }
}
/*************************************************
Function:		initRTSPAuth
Description:	RTSP认证页面初始化
Input:			无		
Output:			无
return:			无				
*************************************************/
RTSPAuth.prototype.initRTSPAuth = function () {
    this.getRTSPAuthInfo();
}
/*************************************************
Function:		getRTSPAuthInfo
Description:	获取RTSP认证信息
Input:			无		
Output:			无
return:			无				
*************************************************/
RTSPAuth.prototype.getRTSPAuthInfo = function () {
	var that = this;
	$.ajax({
		type: "GET",
		url: m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Streaming/channels/101",
		timeout: 15000,
		beforeSend: function(xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		success:function (xmlDoc, textStatus, xhr) {
			that.g_oRTSPXml = xmlDoc;
			var xmlRoot = $(xmlDoc);
			var szRTSPAuthType = xmlRoot.find("Security").eq(0).find("enabled").eq(0).text();
			$("#selRTSPAuth").val(szRTSPAuthType == ""?"false":szRTSPAuthType);
			autoResizeIframe();
		},
		error:function (xhr, textStatus, errorThrown) {
			//alert(getNodeValue('NetworkErrorTips'));
		}
	});
}
/*************************************************
Function:		setRTSPAuthInfo
Description:	设置RTSP认证信息
Input:			无		
Output:			无
return:			无				
*************************************************/
RTSPAuth.prototype.setRTSPAuthInfo = function () {
	if (this.g_oRTSPXml == null) {
		return;
	}
	var xmlDoc = this.g_oRTSPXml;
	$(xmlDoc).find("Security").eq(0).find("enabled").eq(0).text($("#selRTSPAuth").val());
	$.ajax({
		type: "PUT",
		url: m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Streaming/channels/101",
		beforeSend: function(xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		processData: false,
		data: xmlDoc,
		complete:function (xhr, textStatus) {
			SaveState(xhr);
		}
	});
}
/*************************************************
 Function:        initAnonymousVisit
 Description:    匿名访问页面初始化
 Input:            无
 Output:            无
 return:            无
 *************************************************/
AnonymousVisit.prototype.initAnonymousVisit = function () {
	this.getAnonymousVisit();
}
/*************************************************
 Function:        getAnonymousVisit
 Description:    获取匿名访问信息
 Input:            无
 Output:            无
 return:            无
 *************************************************/
AnonymousVisit.prototype.getAnonymousVisit = function () {
	$.ajax({
		type:"GET",
		url:m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Security/UserPermission/anonymouslogin",
		timeout:15000,
		beforeSend:function (xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		success:function (xmlDoc, textStatus, xhr) {
			var xmlRoot = $(xmlDoc);
			$("#selEnableAnonymous").val(xmlRoot.find("anonymouslogin").eq(0).find("enabled").eq(0).text());
			autoResizeIframe();
		},
		error:function (xhr, textStatus, errorThrown) {
			//alert(getNodeValue('NetworkErrorTips'));
		}
	});
}
/*************************************************
 Function:        setAnonymousVisit
 Description:    设置匿名访问信息
 Input:            无
 Output:            无
 return:            无
 *************************************************/
AnonymousVisit.prototype.setAnonymousVisit = function () {
	var szXml = "<?xml version='1.0' encoding='UTF-8' ?><anonymouslogin><enabled>" + $("#selEnableAnonymous").val() + "</enabled></anonymouslogin>"
	var xmlDoc = parseXmlFromStr(szXml);
	$.ajax({
		type:"PUT",
		url:m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Security/UserPermission/anonymouslogin",
		beforeSend:function (xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		processData:false,
		data:xmlDoc,
		complete:function (xhr, textStatus) {
			SaveState(xhr);
		},
		success:function () {
		}
	});
}
/*************************************************
 Function:        initIPFilter
 Description:    IP地址页面初始化
 Input:            无
 Output:            无
 return:            无
 *************************************************/
IPFilter.prototype.initIPFilter = function () {
	$.ajax({
		type:"GET",
		url:m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/System/Network/ipFilter",
		timeout:15000,
		beforeSend:function (xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		success:function (xmlDoc, textStatus, xhr) {
			$("#divIPAddressFilterList").empty();
			$("#btnDeleteIP").prop("disabled", true);
			$("#btnModifyIP").prop("disabled", true);
			var xmlRoot = $(xmlDoc);
			$("#chEnableIPFilter").prop("checked", xmlRoot.find("enabled").eq(0).text() == "true" ? true : false);
			$("#selIPFilterType").val(xmlRoot.find("permissionType").eq(0).text());
			var oIPFilterList = xmlRoot.find("IPFilterAddress");
			var iIPFilterLen = oIPFilterList.length > 48 ? 48 : oIPFilterList.length;
			if (iIPFilterLen >= 48) {
				$("#btnAddIP").prop("disabled", true);
			} else {
				$("#btnAddIP").prop("disabled", false);
			}
			if (iIPFilterLen <= 0) {
				$("#btnCleanIP").prop("disabled", true);
			} else {
				$("#btnCleanIP").prop("disabled", false);
			}
			for (var i = 0; i < iIPFilterLen; i++) {
				if (oIPFilterList.eq(i).find("ipv6Address").length > 0) {
					insertOneIP(i + 1, oIPFilterList.eq(i).find("ipv6Address").eq(0).text());
				} else {
					insertOneIP(i + 1, oIPFilterList.eq(i).find("ipAddress").eq(0).text());
				}
			}
			autoResizeIframe();
		},
		error:function (xhr, textStatus, errorThrown) {
			$("#btnCleanIP").prop("disabled", true);
		}
	});
}
/*************************************************
 Function:        saveIPAddressFilter
 Description:    保存IP地址过滤
 Input:            无
 Output:            无
 return:            无
 *************************************************/
IPFilter.prototype.saveIPAddressFilter = function () {
	if ("allow" == $("#selIPFilterType").val()) {
		if ($("#divIPAddressFilterList").children("div").length == 0) {
			var szTipsInfo = "<img src='../images/config/tips.png' class='verticalmiddle'>&nbsp;";
			szTipsInfo += getNodeValue("jsEmpty");
			$("#SetResultTips").html(szTipsInfo);
			setTimeout(function () {
				$("#SetResultTips").html("");
			}, 10000);
			return;
		}
	}
	var szXml = "<?xml version='1.0' encoding='UTF-8' ?><IPFilter><enabled>" + $("#chEnableIPFilter").prop("checked").toString() + "</enabled><permissionType>" + $("#selIPFilterType").val() + "</permissionType><IPFilterAddressList>";
	$("#divIPAddressFilterList").children("div").each(function (i) {
		if (i >= 48) {
			return false;
		}
		szXml += "<IPFilterAddress><id>" + (i + 1) + "</id><permissionType>" + $("#selIPFilterType").val() + "</permissionType><addressFilterType>mask</addressFilterType><AddressMask>";
		var szIp = $(this).find(".second").eq(0).html();
		if (isIPv6Add(szIp)) {
			szXml += "<ipv6Address>" + szIp + "</ipv6Address>";
		} else {
			szXml += "<ipAddress>" + szIp + "</ipAddress>";
		}
		szXml += "</AddressMask></IPFilterAddress>";
	});
	szXml += "</IPFilterAddressList></IPFilter>";
	var xmlDoc = parseXmlFromStr(szXml);
	$.ajax({
		type:"PUT",
		url:m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/System/Network/ipFilter",
		beforeSend:function (xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		processData:false,
		data:xmlDoc,
		complete:function (xhr, textStatus) {
			SaveState(xhr);
		}
	});
}
/*************************************************
 Function:        insertOneIP
 Description:    插入一条IP地址
 Input:            iNo：序号
 szIP: IP地址
 Output:            无
 return:            无
 *************************************************/
function insertOneIP(iNo, szIP) {
	$("<div id=" + iNo + "><span class='first'>" + iNo + "</span><span class='second'>" + szIP + "</span></div>").appendTo("#divIPAddressFilterList").bind({
			click:function () {
				if (!$(this).hasClass("select")) {
					$(this).siblings(".select").each(function () {
						$(this).removeClass("select");
					});
					$(this).attr("class", "select");
				}
				$("#btnDeleteIP").prop("disabled", false);
				$("#btnModifyIP").prop("disabled", false);
			},
			mouseover:function () {
				if (!$(this).hasClass("select")) {
					$(this).addClass("enter");
				}
			},
			mouseout:function () {
				$(this).removeClass("enter");
			}
		}).addClass((iNo % 2 == 0 ? "even" : "odd"));
	$("#divIPAddressFilterList").scrollTop(1000); //大数值保证滚动条一直在底部
}
/*************************************************
 Function:        showAddIPAddressWnd
 Description:    显示添加IP窗口
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function showAddIPAddressWnd() {
	$("#spAddIPAddress").html("<label name='laAddIPAddress'>" + getNodeValue('laAddIPAddress') + "</label>");
	$("#divAddIpAddress").modal();
	$("#btnIPFilterOK").unbind().bind("click", function () {
		editIPAddressOK(0);
	});
	$("#inIPAddress").focus();
}
/*************************************************
 Function:        editIPAddressOK
 Description:    确认编辑IP地址
 Input:            iType   0 - 添加
 1 - 修改
 Output:            无
 return:            无
 *************************************************/
function editIPAddressOK(iType) {
	var szInsertIp = $("#inIPAddress").val();
	if (isIPv6Add(szInsertIp)) {
		if (!CheckIPV6add(szInsertIp, 'spCheckResultTips', 'laIpAddress', false)) {
			return;
		}
	} else {
		if (!CheckDIPadd(szInsertIp, 'spCheckResultTips', 'laIpAddress', false)) {
			return;
		}
	}
	if (szInsertIp === "0.0.0.0" || szInsertIp == "::") {
		var szTipsInfo = getNodeValue("DIPAddInvalidTips");
		showErrorTips("spCheckResultTips", szTipsInfo, false);
		return;
	}
	var oFilterIpList = $("#divIPAddressFilterList").children("div");
	for (var i = 0; i < oFilterIpList.length; i++) {
		if (1 == iType && oFilterIpList.eq(i).hasClass("select")) {
			continue;
		}
		var szIpVal = oFilterIpList.eq(i).find(".second").eq(0).text();
		if (szInsertIp == szIpVal) {
			var szTipsInfo = getNodeValue("IPExistTips");
			showErrorTips("spCheckResultTips", szTipsInfo, false);
			$("#inIPAddress").focus();
			return;
		}
	}
	if (iType == 0) {
		var iIndex = oFilterIpList.length;
		insertOneIP(iIndex + 1, szInsertIp);
		if ((iIndex + 1) >= 48) {
			$("#btnAddIP").prop("disabled", true);
		}
		$("#btnCleanIP").prop("disabled", false);
	} else {
		$("#divIPAddressFilterList").find(".select").eq(0).find(".second").eq(0).text(szInsertIp);
	}
	$.modal.impl.close();
}
/*************************************************
 Function:        modifyIPAddress
 Description:    修改IP地址
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function modifyIPAddress() {
	$("#spAddIPAddress").html("<label name='laModifyIPAddress'>" + getNodeValue('laModifyIPAddress') + "</label>");
	$("#divAddIpAddress").modal();
	var szVal = $("#divIPAddressFilterList").find(".select").eq(0).find(".second").eq(0).html();
	$("#inIPAddress").focus().val(szVal);
	$("#btnIPFilterOK").unbind().bind("click", function () {
		editIPAddressOK(1);
	});
}
/*************************************************
 Function:        deleteIPAddress
 Description:    删除一条IP地址
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function deleteIPAddress() {
	var oSelect = $("#divIPAddressFilterList").find(".select");
	if (oSelect.length > 0) {
		var iSelectId = parseInt(oSelect.eq(0).attr("id"), 10);
		var iLength = $("#divIPAddressFilterList").children("div").length;
		oSelect.remove();
		$("#divIPAddressFilterList").children("div").each(function (i) {
			$(this).attr("id", i + 1).find(".first").eq(0).html(i + 1);
		});
		if (iSelectId <= 1) {
			$("#btnDeleteIP").prop("disabled", true);
			$("#btnModifyIP").prop("disabled", true);
		} else if (iSelectId < iLength) {
			$("#divIPAddressFilterList").children("div").eq(iSelectId - 1).click();
		} else {
			$("#divIPAddressFilterList").children("div").last().click();
		}
		if (iLength <= 1) {
			$("#btnCleanIP").prop("disabled", true);
		}
		$("#btnAddIP").prop("disabled", false);
	}
}
/*************************************************
 Function:        deleteAllIPAddress
 Description:    删除所有IP地址
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function deleteAllIPAddress() {
	$("#divIPAddressFilterList").empty();
	$("#btnDeleteIP").prop("disabled", true);
	$("#btnModifyIP").prop("disabled", true);
	$("#btnAddIP").prop("disabled", false);
	$("#btnCleanIP").prop("disabled", true);
}