var m_szAlarmInInfo = new Array();          //用户存储列表中的XML信息add20100110
for (var i = 0; i < 128; i++) {
	m_szAlarmInInfo[i] = new Array();
	for (var j = 0; j < 4; j++) {
		m_szAlarmInInfo[i][j] = '0';
	}
}
var m_szAlarmInLink = "";
/*************************************************
 Function:        GetAlarmInInfo
Description:	获取报警输入信息
Input:			无			
Output:			无
return:			无				
*************************************************/
function GetAlarmInInfo() {
	//当前tab已离开报警输入
	if (3 != Event.tabs.curTab) {
		return;
	}
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/System/IO/inputs/" + (parseInt($('#AlarmInNo').val(), 10) + 1);
	$.ajax({
		type: "GET",
		url: szURL,
		beforeSend: function(xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		success: function(xmlDoc, textStatus, xhr) {
			m_szAnalogAlarmInfo = xhr.responseText;
			$("#triggering").val($(xmlDoc).find('triggering').eq(0).text());
			$("#AlarmInName").val($(xmlDoc).find('IOInputPort').eq(0).find('name').eq(0).text());
			}
	});
	GetAlarmInLink();
	GetAlarmInSchedule();
	SelectCurrentChanDis(1);
}
/*************************************************
Function:		GetAlarmInLink
Description:	获取报警输入联动信息
Input:			无			
Output:			无
return:			无				
*************************************************/
function GetAlarmInLink() {
	$("#SelectAllBox").prop("checked", false);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Event/triggers/IO-" + (parseInt($('#AlarmInNo').val(), 10) + 1);
	$.ajax({
		type: "GET",
		url: szURL,
		beforeSend:function (xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		success:function (xmlDoc, textStatus, xhr) {
			//清空联动信息
			$("#tableEventLinkage").find(":checkbox").prop("checked", false);
			if (xmlDoc != null) {
				var iMethodNum = $(xmlDoc).find('notificationMethod').length;
				//报警输入联动信息
				for (i = 0; i < iMethodNum; i++) {
					if ("email" == $(xmlDoc).find('notificationMethod').eq(i).text()) {
						$("#InEmail").prop("checked", true);
					}

					if ("beep" == $(xmlDoc).find('notificationMethod').eq(i).text()) {
						$("#InSoundAlarm").prop("checked", true);
					}
					if ("center" == $(xmlDoc).find('notificationMethod').eq(i).text()) {
						$("#InUpload").prop("checked", true);
					}
					if ("FTP" == $(xmlDoc).find('notificationMethod').eq(i).text()) {
						$("#InFTP").prop("checked", true);
					}
					if ("monitorAlarm" == $(xmlDoc).find('notificationMethod').eq(i).text()) {
						$("#InMonitorAlarm").prop("checked", true);
					}
				}
				//报警输出联动
				var iAnalogOutPut = $(xmlDoc).find("outputIOPortID").length;
				for (var j = 0; j < iAnalogOutPut; j++) {
					var szNo = $(xmlDoc).find("outputIOPortID").eq(j).text();
					$("#AlarmOutputCheckboxChanO-" + szNo).prop("checked", true);
				}
				CheackAlarmOutputAllSel();    //检查报警输出通道是否全选
				//触发录像通道
				var iAnalogRecord = $(xmlDoc).find("videoInputID").length;
				if (iAnalogRecord > 0) {
					$("#TriggerRecordCheckboxChan1").prop("checked", true);
				}
				//PTZ联动
				if ($(xmlDoc).find("ptzAction").length > 0) {
					var ptzChannelID = $(xmlDoc).find("ptzChannelID").eq(0).text();
					var actionNum = $(xmlDoc).find("actionNum").eq(0).text();
					var actionName = $(xmlDoc).find("actionName").eq(0).text();
					if (actionName == 'preset') {
						$("#IsUsePreset").prop('checked', true);
						$("#IsUseCurise").prop('checked', false);
						$("#IsUseTrack").prop('checked', false);
						$("#PresetNo").val(actionNum);
						UnUseOther("IsUsePreset");
					} else if (actionName == 'patrol') {
						$("#IsUsePreset").prop('checked', false);
						$("#IsUseCurise").prop('checked', true);
						$("#IsUseTrack").prop('checked', false);
						$("#CuriseNo").val(actionNum);
						UnUseOther("IsUseCurise");
					} else if (actionName == 'pattern')//轨迹
			{  
						$("#IsUsePreset").prop('checked', false);
						$("#IsUseCurise").prop('checked', false);
						$("#IsUseTrack").prop('checked', true);
						$("#TrackNo").val(actionNum);
						UnUseOther("IsUseTrack");
			}   
				} else {
					$("#PresetNo").prop("disabled", true);
					$("#CuriseNo").prop("disabled", true);
					$("#TrackNo").prop("disabled", true);
				}
			}
		}
	});
}
/*************************************************
Function:		GetAlarmInSchedule
Description:	获取报警输入布防时间
Input:			无			
Output:			无
return:			无				
*************************************************/
function GetAlarmInSchedule() {
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Event/schedules/inputs/" + (parseInt($('#AlarmInNo').val(), 10) + 1);
	$.ajax({
		type: "GET",
		url: szURL,
		beforeSend: function(xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		success: function(xmlDoc, textStatus, xhr) {
			//清空计划
			for(var i = 0; i < 8; i++) {
				for(var j = 0;j < 8;j ++) {
					m_szWeek[i][j][0] = "00:00:00";
					m_szWeek[i][j][1] = "00:00:00"; 
				}
			}
			var xmlScheduleDoc = $(xmlDoc).find("Schedule").eq(0);
			if(xmlScheduleDoc != null) {
				//按能力数量隐藏和显示
				var iMaxSize = $(xmlScheduleDoc).find("TimeBlockList").eq(0).attr("size");
				if(iMaxSize != undefined) {
					iMaxSize = parseInt(iMaxSize, 10);
				} else {
					iMaxSize = 4;
				}
				var aTimeRanges = $("#TimeScheduleEdit").find(".scheduleeditdiv").eq(0).find("tr");
				for(var k = 1; k <= 8; k++) {
					if(k <= iMaxSize) {
						aTimeRanges.eq(k).show();
					} else {
						aTimeRanges.eq(k).hide();
					}
				}
				for(var i = 0; i < $(xmlScheduleDoc).find('dayOfWeek').length; i++) {
					dayofWeek = $(xmlScheduleDoc).find('dayOfWeek').eq(i).text();
					for(var j = 0; j<8; j++) {
						if(m_szWeek[dayofWeek-1][j][0] == '00:00:00' && m_szWeek[dayofWeek-1][j][1] == '00:00:00') {
							m_szWeek[dayofWeek-1][j][0] = $(xmlScheduleDoc).find('TimeRange').eq(i).children('beginTime').eq(0).text();
							m_szWeek[dayofWeek-1][j][1] = $(xmlScheduleDoc).find('TimeRange').eq(i).children('endTime').eq(0).text();
							break;
						}
					}
				}
				if(m_bHolidayEnable) {
					for(var i = 0; i < $(xmlScheduleDoc).find('HolidayBlockList').eq(0).children('TimeBlock').length; i++) {
						for(var j = 0; j<8; j++) {
							if((m_szWeek[7][j][0] == '00:00:00' && m_szWeek[7][j][1] == '00:00:00') || (m_szWeek[7][j][0] != '00:00:00' && m_szWeek[7][j][1] == '00:00:00')) {
								m_szWeek[7][j][0] = $(xmlScheduleDoc).find('HolidayBlockList').eq(0).find('beginTime').eq(i).text();
								m_szWeek[7][j][1] = $(xmlScheduleDoc).find('HolidayBlockList').eq(0).find('endTime').eq(i).text();
								break;
							}
						}
					}
				}
			}
			InitDrawSchedule();
		}
	});
}

/*************************************************
Function:		RecordPTZInitDay
Description:	添加ptz模拟通道名称 、预置点序号、巡航序号、轨迹号
Input:			无			
Output:			无
return:			无				
*************************************************/
function RecordPTZInitDay() {
	$("#PresetNo").empty();
	for (var i = 1; i < 9; i++) {
		$("<option value='"+ i +"'>"+ i +"</option>").appendTo("#PresetNo");
	}
	$("#CuriseNo").empty();
	for (var i = 1; i < 9; i++) {
		$("<option value='"+ i +"'>"+ i +"</option>").appendTo("#CuriseNo");
	}
	$("#TrackNo").empty();
	for (var i = 1; i < 5; i++) {
		$("<option value='"+ i +"'>"+ i +"</option>").appendTo("#TrackNo");
	}
}
/*************************************************
Function:		SaveAlarmInInfo	
Description:	设置硬盘录像机的报警输入参数信息
Input:			lAlarmInNum	对应报警输入通道
				lpAlarmInCfgXML 以XML形式记录硬盘录像机报警输入参数信息的一个字符串。
Output:			无	
Return:			-1 -- 失败，0 -- 成功， 1 -- 成功并需要重启设备。
*************************************************/
function SaveAlarmInInfo() {
	//没有报警输入
	if (g_iAlarmInNum == 0) {
		var szRetInfo = m_szErrorState + m_szError10;
		$("#SetResultTips").html(szRetInfo);
		return;
	}

	if (!CheckDeviceName($("#AlarmInName").val(), 'AlarmInNametips', 1)) {
		return;
	}
	
	var bSetAlarmInSucc = true;
	var temp = document.getElementsByName("SingleCheckbox");
	for (var i = 0; i < temp.length; i++) {
		if (temp[i].checked == true) {
			var xmlAlarmInOneDoc = new createxmlDoc();
			var Instruction = xmlAlarmInOneDoc.createProcessingInstruction("xml", "version='1.0' encoding='utf-8'");
			xmlAlarmInOneDoc.appendChild(Instruction);
		
			var IOInputPort = xmlAlarmInOneDoc.createElement('IOInputPort');
		
			var id = xmlAlarmInOneDoc.createElement("id");
			var text = xmlAlarmInOneDoc.createTextNode(i+1);
			id.appendChild(text);
			IOInputPort.appendChild(id);
			
			var alarmEnable = xmlAlarmInOneDoc.createElement("enabled");
			text = xmlAlarmInOneDoc.createTextNode("true");
			alarmEnable.appendChild(text);
			IOInputPort.appendChild(alarmEnable);
		
			var triggeringType = xmlAlarmInOneDoc.createElement("triggering");
			text = xmlAlarmInOneDoc.createTextNode($("#triggering").val());
			triggeringType.appendChild(text);
			IOInputPort.appendChild(triggeringType);
			
			if (i == parseInt($('#AlarmInNo').val(), 10)) {
				var alarmName = xmlAlarmInOneDoc.createElement("name");
				text = xmlAlarmInOneDoc.createTextNode($("#AlarmInName").val());
				alarmName.appendChild(text);
				IOInputPort.appendChild(alarmName);
			}
		
			xmlAlarmInOneDoc.appendChild(IOInputPort);
			
			var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/System/IO/inputs/"+(i+1);
			$.ajax({
				type:"PUT",
				url:szURL,
				data:xmlAlarmInOneDoc,
				async:false,
				processData:false,
				beforeSend:function (xhr) {
					xhr.setRequestHeader("If-Modified-Since", "0");
					xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
				},
				error:function (xhr, textStatus, errorThrown) {
					bSetAlarmInSucc = false;
					SaveState(xhr);
				}
			});
			if (!bSetAlarmInSucc) {
				break;
			}
		}
	}
	if (bSetAlarmInSucc) {
		SetAlarmInLink();
	}
}

/*************************************************
 Function:        SetAlarmInLink
 Description:    设置报警输入联动方式
Input:			无			
Output:			无
return:			无				
*************************************************/
	
function SetAlarmInLink() {
	
	var XmlLinkDoc = CreateAlarmInLinkDoc(); //联动xml
	var bSetAlarmInSucc = true;
	var temp = document.getElementsByName("SingleCheckbox");
	for (var i = 0; i < temp.length; i++) {
		if (temp[i].checked == true) {
			$(XmlLinkDoc).find('id').eq(0).text('IO_' + (i + 1));
			$(XmlLinkDoc).find('inputIOPortID').eq(0).text(i + 1);
			var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Event/triggers/IO-" + (i + 1);
            $.ajax({
                type: "PUT",
                url: szURL,
                data:XmlLinkDoc,
                async: false,
                processData: false,
                beforeSend: function(xhr) {
                    xhr.setRequestHeader("If-Modified-Since", "0");
                    xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
                },
                error:function (xhr, textStatus, errorThrown) {
                    bSetAlarmInSucc = false;
                    SaveState(xhr);
                }
            });
		}
        if (!bSetAlarmInSucc) {
            break;
        }
    }
	if (bSetAlarmInSucc) {
		SetAlarmInSchedule();
	}
}
/*************************************************
Function:		SetAlarmInSchedule
Description:	设置报警输入布防时间
 Input:            无
Output:			无
return:			无				
*************************************************/
function SetAlarmInSchedule() {
	var oScheduleListDoc = new createxmlDoc();
	var Instruction = oScheduleListDoc.createProcessingInstruction("xml", "version='1.0' encoding='utf-8'");
	oScheduleListDoc.appendChild(Instruction);

	var oInputScheduleList = oScheduleListDoc.createElement('InputScheduleList');
	var temp = document.getElementsByName("SingleCheckbox");
	for (var i = 0; i < temp.length; i++) {
		if (temp[i].checked == true) {
            var XmlScheduleDoc = CreateScheduleDoc("IO", "ALARMIN", "");//修改创建布防时间xml方式
            //var oScheduleDocTemp = $(XmlScheduleDoc).clone(true);
			$(XmlScheduleDoc).find('id').eq(0).text('IO_IN_' + (i + 1));
			$(XmlScheduleDoc).find('inputIOPortID').eq(0).text(i + 1);
			oInputScheduleList.appendChild($(XmlScheduleDoc).find("Schedule").eq(0).get(0));
		}
    }

	oScheduleListDoc.appendChild(oInputScheduleList);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Event/schedules/inputs";
	$.ajax({
		type: "PUT",
		url: szURL,
		data:oScheduleListDoc,
		async:true,
		processData: false,
		beforeSend: function(xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		complete:function (xhr, textStatus) {
			SaveState(xhr);
		}
	});
}
/*************************************************
Function:		DeleteAlarmInLink
Description:	删除报警输入联动
Input:			iNo:报警输入号			
Output:			无
return:			无				
*************************************************/
function DeleteAlarmInLink(iNo) {
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Event/triggers/IO-" + parseInt(iNo + 1);
	
	$.ajax({
		type: "DELETE",
		url: szURL,
		async: false,
		beforeSend: function(xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		success:function (xmlDoc, textStatus, xhr) {

		},
		error:function (xhr, textStatus, errorThrown) {

		}
	});
}
/*************************************************
Function:		CreateAlarmInLinkDoc
Description:	创建报警输入联动信息
Input:			无			
Output:			无
return:			无				
*************************************************/
function CreateAlarmInLinkDoc() {
	var szXml = "<?xml version='1.0' encoding='utf-8'?><EventTrigger>";
	szXml += "<id>IO-" + (parseInt($('#AlarmInNo').val(), 10) + 1) + "</id>";
	szXml += "<eventType>IO</eventType><eventDescription>IO Event is detected.</eventDescription>";
	szXml += "<inputIOPortID>" + (parseInt($('#AlarmInNo').val(), 10) + 1) + "</inputIOPortID>";
	szXml += "<EventTriggerNotificationList>";
	//邮件联动
	if ($("#InEmail").prop("checked")) {
		szXml += "<EventTriggerNotification><id>email</id><notificationMethod>email</notificationMethod><notificationRecurrence>beginning</notificationRecurrence></EventTriggerNotification>";
	}
	//声音报警
	if ($("#InSoundAlarm").prop("checked")) {
		szXml += "<EventTriggerNotification><id>beep</id><notificationMethod>beep</notificationMethod><notificationRecurrence>beginning</notificationRecurrence></EventTriggerNotification>";
	}
	//上传中心
	if ($("#InUpload").prop("checked")) {
		szXml += "<EventTriggerNotification><id>center</id><notificationMethod>center</notificationMethod><notificationRecurrence>beginning</notificationRecurrence></EventTriggerNotification>";
	}
	//上传FTP
	if ($("#InFTP").prop("checked")) {
		szXml += "<EventTriggerNotification><id>FTP</id><notificationMethod>FTP</notificationMethod><notificationRecurrence>beginning</notificationRecurrence></EventTriggerNotification>";
	}	
	//触发报警输出
	for (var i = 1; i <= g_iAlarmOutNum; i++) {
		var szTriggerAlarmOut = "AlarmOutputCheckboxChanO-" + i;
		if ($("#" + szTriggerAlarmOut).prop("checked")) {
			szXml += "<EventTriggerNotification>";
				szXml += "<id>IO-"+i+"</id>";

			
			szXml += "<notificationMethod>IO</notificationMethod><notificationRecurrence>beginning</notificationRecurrence><outputIOPortID>" + i + "</outputIOPortID></EventTriggerNotification>";
		}
	}
	//PTZ联动
	if ($("#IsUsePreset").prop("checked") || $("#IsUseCurise").prop("checked") || $("#IsUseTrack").prop("checked")) {
		szXml += "<EventTriggerNotification>";
	
		var szPTZAction = "<ptzAction><ptzChannelID>1</ptzChannelID>";
		if ($("#IsUsePreset").prop("checked")) {
			szPTZAction += "<actionName>preset</actionName><actionNum>"+$("#PresetNo").val()+"</actionNum>";
			ptzId = "ptz1-preset"+$("#PresetNo").val();
		} else if ($("#IsUseCurise").prop("checked")) {
			szPTZAction += "<actionName>patrol</actionName><actionNum>"+$("#CuriseNo").val()+"</actionNum>";
			ptzId = "ptz1-patrol"+$("#CuriseNo").val();
		} else if ($("#IsUseTrack").prop("checked")) {
			szPTZAction += "<actionName>pattern</actionName><actionNum>"+$("#TrackNo").val()+"</actionNum>";
			ptzId = "ptz1-pattern"+$("#TrackNo").val();
		}
		szPTZAction += "</ptzAction>";
		
		szXml += "<id>"+ptzId+"</id>";
		szXml += "<notificationMethod>ptz</notificationMethod><notificationRecurrence>beginning</notificationRecurrence>";
		szXml += szPTZAction + "</EventTriggerNotification>";
	}
	//录像联动
	if ($("#TriggerRecordCheckboxChan1").prop("checked")) {
		szXml += "<EventTriggerNotification><id>record-1</id><notificationMethod>record</notificationMethod><notificationRecurrence>beginning</notificationRecurrence><videoInputID>1</videoInputID></EventTriggerNotification>";
	}
	szXml += "</EventTriggerNotificationList></EventTrigger>";
	
	return parseXmlFromStr(szXml);
}
/*************************************************
Function:		UnUseOther	
Description:	ptz联动只选择其中一个
Input:			id：表单id
Output:			无	
Return:			无
*************************************************/
function UnUseOther(id) {
	var szId1 = "IsUsePreset";   
	var szId2 = "IsUseCurise";
	var szId3 = "IsUseTrack";
	if (id == szId1) {
		if ($("#" + id).prop("checked")) {
			$("#PresetNo").prop("disabled", false);
			$("#CuriseNo").prop("disabled", true);
			$("#TrackNo").prop("disabled", true);
			
			$("#"+szId2).prop("checked", false);
			$("#"+szId3).prop("checked", false);
		} else {
			$("#PresetNo").prop("disabled", true);
			$("#CuriseNo").prop("disabled", true);
			$("#TrackNo").prop("disabled", true);
		}
	} else if (id == szId2) {
		if ($("#" + id).prop("checked")) {
			$("#PresetNo").prop("disabled", true);
			$("#CuriseNo").prop("disabled", false);
			$("#TrackNo").prop("disabled", true);
			
			$("#"+szId1).prop("checked", false);
			$("#"+szId3).prop("checked", false);
		} else {
			$("#PresetNo").prop("disabled", true);
			$("#CuriseNo").prop("disabled", true);
			$("#TrackNo").prop("disabled", true);
		}
	} else {
		if ($("#" + id).prop("checked")) {
			$("#PresetNo").prop("disabled", true);
			$("#CuriseNo").prop("disabled", true);
			$("#TrackNo").prop("disabled", false);
			
			$("#"+szId2).prop("checked", false);
			$("#"+szId1).prop("checked", false);
		} else {
			$("#PresetNo").prop("disabled", true);
			$("#CuriseNo").prop("disabled", true);
			$("#TrackNo").prop("disabled", true);
		}
	}
}
/**********************************
 Function:        ListCopyChannelAlarm
 Description:    根据报警量列出复制报警量checkbox
 Input:            iAnalogChan: 模拟通道
 iTotalChan: 模拟+IP总通道数
 Output:            无
 return:            无
 ***********************************/
function ListCopyChannelAlarm(iAnalogChan) {
	var szDivInfo = "";
	for (var i = 0; i < iAnalogChan; i++) {
		szDivInfo = szDivInfo + "<input name='SingleCheckbox' id='SingleCheckboxChan" + i + "' type='checkbox'  onclick='CheackListAllSel(1, this)'>" + "A<-" + (i + 1) + "&nbsp;";
		if ((i + 1) % 6 == 0 && i != 0) {
			szDivInfo = szDivInfo + "<br>";
		}
	}
	$("#DisPlayChanList").html(szDivInfo);
	if (iAnalogChan <= 1) {
		$("#SelectAllBox").prop("disabled", true);
	}
}
/*************************************************
 Function:        SelectAllChanToCopy
 Description:    全选/全不选复制通道
 Input:            无
 Output:            无
 return:            无
 *************************************************/
/*function SelectAllChanToCopy() {
	try {
		var bCheck = true;
		if ($("#SelectAllBox").prop("checked") == true) {
			bCheck = true;
		} else {
			bCheck = false;
		}
		var temp = document.getElementsByName("SingleCheckbox");
		for (var i = 0; i < temp.length; i++) {
			if (!temp[i].disabled) {
				temp[i].checked = bCheck;
			}
		}
	} catch (err) {
		//alert(err.description);
	}
}*/
/*************************************************
 Function:        SelectCurrentChanDisEx
 Description:    当前通道始终是选中并disabled
 Input:            iType: 0 通道 1 报警量
 Output:            无
 return:            无
 *************************************************/
/*function SelectCurrentChanDisEx() {
	$("#DisPlayChanList").find(":checkbox[name='SingleCheckbox']").prop("checked", false).prop("disabled", false);
	$("#SingleCheckboxChan" + $('#AlarmInNo').val()).prop("checked", true);
	$("#SingleCheckboxChan" + $('#AlarmInNo').val()).prop("disabled", true);
}*/
/*************************************************
 Function:        CheackListAllSel
 Description:    判断是否全选复制通道
 Input:            无
 Output:            无
 return:            无
 *************************************************/
/*function CheackListAllSel() {
	var bCheck = true;
	var temp = document.getElementsByName("SingleCheckbox");
	for (var i = 0; i < temp.length; i++) {
		if (temp[i].checked == false) {
			bCheck = false;
			break;
		}
	}
	$("#SelectAllBox").prop("checked", bCheck);
}*/