/*************************************************
Function:		RecordDisplayInit
Description:	添加通道名称
Input:			无			
Output:			无
return:			无				
*************************************************/
function RecordDisplayInit()
{
	//m_iPicinform = 1;
	var szInfo = getNodeValue('laPlugin');
	if(checkPlugin('1', szInfo, 1, 'osdsetting', 0))
	{
		if(!CompareFileVersion())
		{
			UpdateTips();
		}
		ia(DeviceInfo).queryChannelInfo(); //用于获取视频制式
		/*$('#main_plugin').css('display', 'block');*/
		$('#imageLeft').css('display', 'block');
		HWP.Stop(0);
		setTimeout(function() {
			if (HWP.Play(m_iPicinform, 0, 1) !== 0) {
				alert(getNodeValue("previewfailed"));
			}
		}, 10);

	}
	if(m_iPicinform != null)
	{
	    GetOSDInfo();
	}
}
/*************************************************
Function:		GetOSDCab
Description:	获取OSD能力
Input:			无			
Output:			无
return:			无				
*************************************************/
function GetOSDCab() {
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/System/Video/inputs/channels/" + m_iPicinform + "/overlays/capabilities";
	$.ajax({
		type: "GET",
		url: szURL,
		beforeSend: function(xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		async:false,
		success: function(xmlDoc, textStatus, xhr) {
		    if($(xmlDoc).find('fontSize').length > 0) {//字体大小
				$("#OSDFontSize_tr").show();
				$("#OSDFontSize").show();
				$("#OSDFontSize").empty();
				var sizeOpt = $(xmlDoc).find("fontSize").attr("opt").split(",");
				var szTmp = 0;
				for(var i = 0; i < sizeOpt.length; i++){
					szTmp = sizeOpt[i];
					if ("0" == szTmp) {
						$("<option value='"+szTmp+"' name='windowAuto'>"+getNodeValue("windowAuto")+"</option>").appendTo("#OSDFontSize");
					} else {
						$("<option value='"+szTmp+"'>"+szTmp+"*"+szTmp+"</option>").appendTo("#OSDFontSize");
					}
				}
			}
			//日期格式
			if($(xmlDoc).find('DateTimeOverlay').eq(0).find("dateStyle[opt]").length > 0){
				$("#OSDType").empty();
				var aDateTimeType = $(xmlDoc).find('DateTimeOverlay').eq(0).find("dateStyle").eq(0).attr("opt").split(",");
				insertOptions2Select(aDateTimeType, ["YYYY-MM-DD", "MM-DD-YYYY", "DD-MM-YYYY", "CHR-YYYY-MM-DD", "CHR-MM-DD-YYYY", "CHR-DD-MM-YYYY", "CHR-YYYY/MM/DD", "CHR-MM/DD/YYYY", "CHR-DD/MM/YYYY"], ["OSDTypeOpt1", "OSDTypeOpt2", "OSDTypeOpt5", "OSDTypeOpt3", "OSDTypeOpt4", "OSDTypeOpt6", "OSDTypeOpt8", "OSDTypeOpt7", "OSDTypeOpt9"], "OSDType");
				parent.translator.translateElements(ia(OSDSettings).getLxd(), $("#OSDType")[0], "option", "innerText");
			}
			//OSD属性
			/*if ($(xmlDoc).find('attribute[opt]').length > 0) {
				$("#OSDAttrib").empty();
				var OSDAttribOpt = $(xmlDoc).find('attribute').eq(0).attr("opt").split(",");
				for(var j = 0; j < OSDAttribOpt.length; j++){
					$("<option value='"+OSDAttribOpt[j]+"' name='OSDAttribOpt"+(parseInt(OSDAttribOpt[j], 10))+"'>"+getNodeValue("OSDAttribOpt"+(parseInt(OSDAttribOpt[j], 10)))+"</option>").appendTo("#OSDAttrib");
				}
			}*/
		},
		error: function(xhr, textStatus, errorThrown){
			
		}
	});
}

// 往select里插option，不刷新页面翻译的方式，要求每个option都有自己的Id，wuyang
// szCapabilitySet: 从设备获取的能力集
// szOptionalSet: 可选能力集
// szIds: 用来翻译的option的Id
// szSelectId: select的Id
function insertOptions2Select(szCapabilitySet, szOptionalSet, szOptionIds, szSelectId) {
	$.each(szCapabilitySet, function(i, szCapability) {
		if($("#" + szSelectId).find("option[value='" + szCapability + "']").length === 0)
		{
			var index = $.inArray(szCapability, szOptionalSet);
			if (index !== -1) {
				$("<option id='" + szOptionIds[index] + "' name='" + szOptionIds[index] + "' value='" + szCapability +"'></option>").appendTo("#" + szSelectId);
			}
			else {
				if (szOptionalSet[szOptionalSet.length - 1] === "*") {
					$("<option id='" + szOptionIds[szOptionalSet.length - 1] + "' name='" + szOptionIds[szOptionalSet.length - 1] + "' value='" + szCapability +"'></option>").appendTo("#" + szSelectId);
				}
			}
		}
	});
}

/*************************************************
Function:		GetOSDInfo
Description:	获取OSD叠加信息
Input:			无			
Output:			无
return:			无				
*************************************************/
function GetOSDInfo() {
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/System/Video/inputs/channels/" + m_iPicinform + "/overlays";
	$.ajax(
	{
		type: "GET",
		url: szURL,
		beforeSend: function(xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		success: function(xmlDoc, textStatus, xhr) 
		{
		    GetOSDCab();   //基线里面需要，鱼眼这边视情况而定
		    m_szOSDXmlStr = xhr.responseText;
			$("#OSDAttrib").val($(xmlDoc).find('transparent').eq(0).text()+"_"+$(xmlDoc).find('flashing').eq(0).text());
			//字体大小
			if ($(xmlDoc).find('fontSize').length > 0) {
				$("#OSDFontSize").attr('value', $(xmlDoc).find('fontSize').eq(0).text());  //兼容IE6
			} else {
				$("#OSDFontSize_tr").hide();
			}
						
			if($(xmlDoc).find('DateTimeOverlay').length > 0) //若支持
			{
				$('#divShowDay').show();
				$('#divShowWeek').show();
				$('#divShowHour').show();
				$('#divShowOsdType').show();
				$('#divShowOSDAttrib').show();	
				
				var DatetimeOverlay = $(xmlDoc).find('DateTimeOverlay').eq(0);
				if ("true" == $(DatetimeOverlay).find('enabled').eq(0).text()) {
					$("#IsShowOSD").prop("checked", true);
				}
				else
				{
					$("#IsShowOSD").prop("checked", false);
				}
	 
				if("true" == $(DatetimeOverlay).find('displayWeek').eq(0).text())
				{
					$("#IsShowWeek").prop("checked", true);
				}
				else
				{
					$("#IsShowWeek").prop("checked", false);
				}
	
				$("#HourOSDType").val($(DatetimeOverlay).find('timeStyle').eq(0).text());
				$("#OSDType").val($(DatetimeOverlay).find('dateStyle').eq(0).text());
			    $("#OSDXPos").val($(DatetimeOverlay).find('positionX').eq(0).text());
			    $("#OSDYPos").val($(DatetimeOverlay).find('positionY').eq(0).text());
			}
			else  //不支持
			{
				$('#divShowDay').css('display', 'none');
				$('#divShowWeek').css('display', 'none');
				$('#divShowHour').css('display', 'none');
				$('#divShowOsdType').css('display', 'none');
				$('#divShowOSDAttrib').css('display', 'none');	
			}
			
			if($(xmlDoc).find('channelNameOverlay').length > 0)
			{
				channelNameOverlay = $(xmlDoc).find('channelNameOverlay').eq(0);
				if("true" == $(channelNameOverlay).find('enabled').eq(0).text())
				{
					$("#IsShowChanNme").prop("checked", true);
				}
				else
				{
					$("#IsShowChanNme").prop("checked", false);
				}
				$("#ChannelNameXPos").val($(channelNameOverlay).find('positionX').eq(0).text());
			    $("#ChannelNameYPos").val($(channelNameOverlay).find('positionY').eq(0).text());
				GetChannelName();
			}
			var strTemp = CreateOSDDateInfo();

			HWP.SetTextOverlay(strTemp);
			EnabledChanNme();
			EnableDate();
		},
		error: function(xhr, textStatus, errorThrown)
		{
			alert(m_szError400);   
		    return;
		}
	});
}
/*************************************************
Function:		SetOSDInfoAll
Description:	设置OSD时间叠加信息
Input:			无			
Output:			无
return:			无				
*************************************************/
function SetOSDInfoAll(iChannel)
{
	if(typeof iChannel == "undefined")
	{
		iChannel = m_iPicinform;
	}
	
	var iSetSuccess = 1;
	SetOSDInfo(iChannel);
	if(m_b403Error)
	{
		szRetInfo = m_szErrorState + m_szError8;
		$("#SetResultTips").html(szRetInfo); 
		return;
	}		
	if(m_bNetAbnormal)
	{
		szRetInfo = m_szErrorState + m_szError1;
		$("#SetResultTips").html(szRetInfo); 
		return;
	}

	if(iSetSuccess == 1)
	{
		var szRetInfo = m_szSuccessState + m_szSuccess1;
		GetOSDInfo();//重新获取OSD显示信息
		$("#SetResultTips").html(szRetInfo);
	}
	else
	{
		var szRetInfo = m_szErrorState + m_szError55  + szErrorChan + m_szError44;
		$("#SetResultTips").html(szRetInfo);
	}
}
/*************************************************
Function:		SetOSDInfo
Description:	设置OSD时间信息
Input:			iNo:通道号			
Output:			无
return:			无				
*************************************************/
function SetOSDInfo(iNo)
{
	m_bSetOSD = false;
	m_b403Error = false;
	m_bNetAbnormal = false;
	
	
	var _szOverlayInfo = "";
	try {
		_szOverlayInfo = HWP.GetTextOverlay();
	} catch(eo) {
		_szOverlayInfo = "";
	}
	
	if (_szOverlayInfo != "") {
		var XmlTempDoc = parseXmlFromStr(_szOverlayInfo);
        var _iBaseHeight = parseInt($(XmlTempDoc).find("videoResolutionHeight").eq(0).text(), 10);
		var OSDPositionX = $(XmlTempDoc).find('DateTimeOverlay').eq(0).find('positionX').eq(0).text();
		//var OSDPositionY = $(XmlTempDoc).find('DateTimeOverlay').eq(0).find('positionY').eq(0).text();
        var OSDPositionY = _iBaseHeight - parseInt($(XmlTempDoc).find('DateTimeOverlay').eq(0).find('positionY').eq(0).text(), 10);
		var ChannelPositionX = $(XmlTempDoc).find('channelNameOverlay').eq(0).find('positionX').eq(0).text();
		//var ChannelPositionY = $(XmlTempDoc).find('channelNameOverlay').eq(0).find('positionY').eq(0).text();
        var ChannelPositionY = _iBaseHeight - parseInt($(XmlTempDoc).find('channelNameOverlay').eq(0).find('positionY').eq(0).text(), 10);
	} else {
		var OSDPositionX = $("#OSDXPos").val();
		var OSDPositionY = $("#OSDYPos").val();
		var ChannelPositionX = $("#ChannelNameXPos").val();
		var ChannelPositionY = $("#ChannelNameYPos").val();
	}
	
	
	var XmlDoc = parseXmlFromStr(m_szOSDXmlStr);
	
	$(XmlDoc).find('id').eq(0).text(iNo);
	$(XmlDoc).find('videoInputID').eq(0).text(iNo);
	
	if ($('#OSDAttrib').val() == null) {
		$(XmlDoc).find('transparent').eq(0).text('true');
		$(XmlDoc).find('flashing').eq(0).text('true');
	} else {
		$(XmlDoc).find('transparent').eq(0).text($('#OSDAttrib').val().split("_")[0]);
		$(XmlDoc).find('flashing').eq(0).text($('#OSDAttrib').val().split("_")[1]);
	}
		
	if ($(XmlDoc).find('fontSize').length > 0) {
		$(XmlDoc).find('fontSize').eq(0).text($('#OSDFontSize').val()); 
	}
	if ($(XmlDoc).find('DateTimeOverlay').length > 0) {
		var DatetimeOverlay = $(XmlDoc).find('DateTimeOverlay').eq(0);
		if ($("#IsShowOSD").prop("checked")) {
			$(DatetimeOverlay).find('enabled').eq(0).text("true");
		} else {
			$(DatetimeOverlay).find('enabled').eq(0).text("false");
		}
	
		if ($("#IsShowWeek").prop("checked")) {
			$(DatetimeOverlay).find('displayWeek').eq(0).text("true");
		} else {
			$(DatetimeOverlay).find('displayWeek').eq(0).text("false");
		}
		$(DatetimeOverlay).find('dateStyle').eq(0).text($('#OSDType').val());
		$(DatetimeOverlay).find('positionX').eq(0).text(OSDPositionX);
		$(DatetimeOverlay).find('positionY').eq(0).text(OSDPositionY);
		$(DatetimeOverlay).find('timeStyle').eq(0).text($('#HourOSDType').val());
	} else {
		var OSD = XmlDoc.documentElement.getElementsByTagName('VideoOverlay')[0];
		var DatetimeOverlay = XmlDoc.createElement("DateTimeOverlay");
		
		var Element = XmlDoc.createElement("enabled");
		if ($("#IsShowOSD").prop("checked")) {
		text = XmlDoc.createTextNode("true");
		} else {
		text = XmlDoc.createTextNode("false");
		}
		Element.appendChild(text);
		DatetimeOverlay.appendChild(Element);
		
		Element = XmlDoc.createElement("positionX");
		var text = XmlDoc.createTextNode(OSDPositionX);
		Element.appendChild(text);
		DatetimeOverlay.appendChild(Element);
		
		Element = XmlDoc.createElement("positionY");
		text = XmlDoc.createTextNode(OSDPositionY);
		Element.appendChild(text);
		DatetimeOverlay.appendChild(Element);
		
		Element = XmlDoc.createElement("dateStyle");
		text = XmlDoc.createTextNode($('#OSDType').val());
		Element.appendChild(text);
		DatetimeOverlay.appendChild(Element);
		
		Element = XmlDoc.createElement("timeStyle");
		text = XmlDoc.createTextNode($('#HourOSDType').val());
		Element.appendChild(text);
		DatetimeOverlay.appendChild(Element);
		
		Element = XmlDoc.createElement("displayWeek");
		if ($("#IsShowWeek").prop("checked")) {
			text = XmlDoc.createTextNode("true");
		} else {
			text = XmlDoc.createTextNode("false");
		}
		Element.appendChild(text);
		DatetimeOverlay.appendChild(Element);
		OSD.appendChild(DatetimeOverlay);
	}
	if ($(XmlDoc).find('channelNameOverlay').length > 0) {
		var channelNameOverlay = $(XmlDoc).find('channelNameOverlay').eq(0);
		if ($("#IsShowChanNme").prop("checked")) {
			$(channelNameOverlay).find('enabled').eq(0).text("true");
		} else {
			$(channelNameOverlay).find('enabled').eq(0).text("false");
		}
		$(channelNameOverlay).find('positionX').eq(0).text(ChannelPositionX);
		$(channelNameOverlay).find('positionY').eq(0).text(ChannelPositionY);
	} else {
		var OSD = XmlDoc.documentElement.getElementsByTagName('VideoOverlay')[0];
		var channelNameOverlay = XmlDoc.createElement("channelNameOverlay");
		
		var Element = XmlDoc.createElement("enabled");
		if ($("#IsShowChanNme").prop("checked")) {
			text = XmlDoc.createTextNode("true");
		} else {
			text = XmlDoc.createTextNode("false");
		}
		Element.appendChild(text);
		channelNameOverlay.appendChild(Element);
		
		Element = XmlDoc.createElement("positionX");
		text = XmlDoc.createTextNode(ChannelPositionX);
		Element.appendChild(text);
		channelNameOverlay.appendChild(Element);
		
		Element = XmlDoc.createElement("positionY");
		text = XmlDoc.createTextNode(ChannelPositionY);
		Element.appendChild(text);
		channelNameOverlay.appendChild(Element);
		OSD.appendChild(channelNameOverlay);
	}
	if ($(XmlDoc).find('TextOverlayList').length > 0) {
		$(XmlDoc).find('TextOverlayList').eq(0).remove();
	}
	
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/System/Video/inputs/channels/" + m_iPicinform + "/overlays";
	$.ajax( {
		type: "PUT",
		url: szURL,
		data: XmlDoc,
		async: false,
		processData: false,
		beforeSend: function(xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		success: function(xmlDoc, textStatus, xhr) {
		    if("OK" == $(xmlDoc).find('statusString').eq(0).text()) {
			m_bSetOSD = true;
		    } else {
			 m_bSetOSD = false;
		    }		
		},
		error: function(xhr, textStatus, errorThrown) {
		    if(xhr.status == 403) {
		        m_b403Error = true;
		    } else {
		        m_bNetAbnormal = true;
		    }
		}
	});
}
/*************************************************
Function:		EnableDate
Description:	是否启用显示日期
Input:			无			
Output:			无
return:			无				
*************************************************/
function EnableDate()
{
	if($("#IsShowOSD").prop("checked"))
	{
		$("#IsShowWeek").prop("disabled",false);   
		$("#OSDType").prop("disabled",false);
		$("#OSDXPos").prop("disabled",false);   
		$("#OSDYPos").prop("disabled",false);
		$("#HourOSDType").prop("disabled",false);
	}
	else
	{
		$("#IsShowWeek").prop("disabled",true);   
		$("#OSDType").prop("disabled",true);
		$("#OSDXPos").prop("disabled",true);   
		$("#OSDYPos").prop("disabled",true);
		$("#HourOSDType").prop("disabled",true);
	}
	var strTemp = HWP.GetTextOverlay();
	if(strTemp != "")
	{
	    var xmlDoc = parseXmlFromStr(strTemp);	
		if($("#IsShowOSD").prop("checked"))
		{
	        $(xmlDoc).find('DateTimeOverlay').eq(0).find('enabled').eq(0).text("true");
		}
		else
		{
			$(xmlDoc).find('DateTimeOverlay').eq(0).find('enabled').eq(0).text("false");
		}
	}
	
	strTemp = xmlToStr(xmlDoc);
	HWP.SetTextOverlay(strTemp);
}
/*************************************************
Function:		EnabledChanNme
Description:	是否显示通道名称
Input:			无			
Output:			无
return:			无				
*************************************************/
function EnabledChanNme()
{
	if($("#IsShowChanNme").prop("checked"))
	{
      	$("#ChannelName").prop("disabled",false);
	} 
	else
	{
      	$("#ChannelName").prop("disabled",true);
	}
	var strTemp = HWP.GetTextOverlay();
	if(strTemp != "")
	{
	    var xmlDoc = parseXmlFromStr(strTemp);	
		if($("#IsShowChanNme").prop("checked"))
		{
	        $(xmlDoc).find('channelNameOverlay').eq(0).find('enabled').eq(0).text("true");
		}
		else
		{
			$(xmlDoc).find('channelNameOverlay').eq(0).find('enabled').eq(0).text("false");
		}
	}
	
	strTemp = xmlToStr(xmlDoc);
	HWP.SetTextOverlay(strTemp);
}
/*************************************************
Function:		EnabledWeek
Description:	是否显示星期
Input:			无			
Output:			无
return:			无				
*************************************************/
function EnabledWeek()
{
	var strTemp = HWP.GetTextOverlay();
	if(strTemp != "")
	{
	    var xmlDoc = parseXmlFromStr(strTemp);	
		if($("#IsShowWeek").prop("checked"))
		{
	        $(xmlDoc).find('displayWeek').eq(0).text("true");
		}
		else
		{
			$(xmlDoc).find('displayWeek').eq(0).text("false");
		}
	}
	
	strTemp = xmlToStr(xmlDoc);
	HWP.SetTextOverlay(strTemp);
}
/*************************************************
Function:		GetChannelName
Description:	获取通道名称
Input:			无
Output:			无
return:			无
*************************************************/
function GetChannelName()
{
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/System/Video/inputs/channels/" + m_iPicinform;
	$.ajax(
	{
		type: "GET",
		url: szURL,
		async: false,
		beforeSend: function(xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		success: function(xmlDoc, textStatus, xhr) 
		{
		    m_szChanNameXmlStr = xhr.responseText;
			try
		    {
				$("#ChannelName").val($(xmlDoc).find('name').eq(0).text());
			}
			catch(err)
			{
				$("#ChannelName").val('');
			}
		},
		error: function(xhr, textStatus, errorThrown)
		{
			alert(m_szError400);   
		    return;
		}
	});
}
/*************************************************
Function:		SetChannelName
Description:	设置通道名称
Input:			无
Output:			无
return:			无
*************************************************/
function SetChannelName(iChannel)
{
	if(typeof iChannel == "undefined")
	{
		iChannel = m_iPicinform;
	}
	var xmlDoc = new createxmlDoc();			
	var Instruction = xmlDoc.createProcessingInstruction("xml","version='1.0' encoding='utf-8'");
	xmlDoc.appendChild(Instruction);
	
	var Root = xmlDoc.createElement("VideoInputChannel");	

	Element = xmlDoc.createElement("id");
	text = xmlDoc.createTextNode(iChannel);
	Element.appendChild(text);
	Root.appendChild(Element); 
	
	Element = xmlDoc.createElement("inputPort");
	text = xmlDoc.createTextNode(iChannel);
	Element.appendChild(text);
	Root.appendChild(Element); 
	
	Element = xmlDoc.createElement("name");
	text = xmlDoc.createTextNode($("#ChannelName").val());
	Element.appendChild(text);
	Root.appendChild(Element);
	
	xmlDoc.appendChild(Root);

	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/System/Video/inputs/channels/" + iChannel;
	$.ajax(
	{
		type: "PUT",
		url: szURL,
		data: xmlDoc,
		async: false,
		processData: false,
		beforeSend: function(xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		complete:function (xhr, textStatus) {
			SaveState(xhr);
		}
	});
}
/*************************************************
Function:		CreateOSDDateInfo
Description:	创建设置给插件的叠加信息
Input:			无
Output:			无
return:			无
*************************************************/
function CreateOSDDateInfo() {
	var xmlDoc = new createxmlDoc();			
	var Instruction = xmlDoc.createProcessingInstruction("xml","version='1.0' encoding='utf-8'");
	xmlDoc.appendChild(Instruction);
		
	var Root = xmlDoc.createElement("OSD");	
	
	var Element = xmlDoc.createElement("videoResolutionWidth");
	var text = xmlDoc.createTextNode('704');
	Element.appendChild(text);
	Root.appendChild(Element);
	
	Element = xmlDoc.createElement("videoResolutionHeight");
	if (m_iVideoOutNP == 'PAL') {
	    text = xmlDoc.createTextNode('576');
	} else {
		text = xmlDoc.createTextNode('480');
	}
	Element.appendChild(text);
	Root.appendChild(Element);
	
	Element = xmlDoc.createElement("fontSize");
	text = xmlDoc.createTextNode($("#OSDFontSize").val());
	Element.appendChild(text);
	Root.appendChild(Element);
	
	var channelNameOverlay = xmlDoc.createElement("channelNameOverlay");
	Element = xmlDoc.createElement("enabled");
	if ($("#IsShowChanNme").prop("checked")) {
		text = xmlDoc.createTextNode('true');
	} else {
		text = xmlDoc.createTextNode('false');
	}
	Element.appendChild(text);
	channelNameOverlay.appendChild(Element);
	
	Element = xmlDoc.createElement("ChannelName");
	text = xmlDoc.createTextNode($("#ChannelName").val());
	Element.appendChild(text);
	channelNameOverlay.appendChild(Element);
		
	Element = xmlDoc.createElement("positionX");
	text = xmlDoc.createTextNode($("#ChannelNameXPos").val());
	Element.appendChild(text);
	channelNameOverlay.appendChild(Element);
	
	Element = xmlDoc.createElement("positionY");
	if (m_iVideoOutNP == 'PAL') {
		text = xmlDoc.createTextNode(576 - parseInt($("#ChannelNameYPos").val(), 10));
	} else {
		text = xmlDoc.createTextNode(480 - parseInt($("#ChannelNameYPos").val(), 10));
	}
	Element.appendChild(text);
	channelNameOverlay.appendChild(Element);
	Root.appendChild(channelNameOverlay);
	
	var DateTimeOverlay = xmlDoc.createElement("DateTimeOverlay");
	Element = xmlDoc.createElement("enabled");
	if ($("#IsShowOSD").prop("checked")) {
		text = xmlDoc.createTextNode('true');
	} else {
		text = xmlDoc.createTextNode('false');
	}
	Element.appendChild(text);
	DateTimeOverlay.appendChild(Element);
	
	Element = xmlDoc.createElement("type");
	text = xmlDoc.createTextNode($("#OSDType").val());
	Element.appendChild(text);
	DateTimeOverlay.appendChild(Element);
	
	Element = xmlDoc.createElement("clockType");
	text = xmlDoc.createTextNode($('#HourOSDType').val());
	Element.appendChild(text);
	DateTimeOverlay.appendChild(Element);
	
	Element = xmlDoc.createElement("displayWeek");
	if ($("#IsShowWeek").prop("checked")) {
	    text = xmlDoc.createTextNode("true");
	} else {
		text = xmlDoc.createTextNode("false");
	}
	Element.appendChild(text);
	DateTimeOverlay.appendChild(Element);
		
	Element = xmlDoc.createElement("positionX");
	text = xmlDoc.createTextNode($("#OSDXPos").val());
	Element.appendChild(text);
	DateTimeOverlay.appendChild(Element);
	
	Element = xmlDoc.createElement("positionY");
	if (m_iVideoOutNP == 'PAL') {
		text = xmlDoc.createTextNode(576 - parseInt($("#OSDYPos").val(), 10));
	} else {
		text = xmlDoc.createTextNode(480 - parseInt($("#OSDYPos").val(), 10));
	}
	Element.appendChild(text);
	DateTimeOverlay.appendChild(Element);
	Root.appendChild(DateTimeOverlay);
	
	xmlDoc.appendChild(Root);
	return xmlToStr(xmlDoc);
}
/*************************************************
Function:		SetHourOSDType
Description:	切换时间格式时重新设置传入插件的信息
Input:			无
Output:			无
return:			无
*************************************************/
function SetHourOSDType() {
	var strTemp = HWP.GetTextOverlay();
	if(strTemp != "") {
	    var xmlDoc = parseXmlFromStr(strTemp);	
		$(xmlDoc).find('clockType').eq(0).text($('#HourOSDType').val());
	}
	
	strTemp = xmlToStr(xmlDoc);
	HWP.SetTextOverlay(strTemp);
}
/*************************************************
Function:		SetOSDType
Description:	切换日期格式时重新设置传入插件的信息
Input:			无
Output:			无
return:			无
*************************************************/
function SetOSDType() {
	var strTemp = HWP.GetTextOverlay();
	if (strTemp != "") {
	    var xmlDoc = parseXmlFromStr(strTemp);	
	    $(xmlDoc).find('Type').eq(0).text($('#OSDType').val()); 
	}
	
	strTemp = xmlToStr(xmlDoc);
	HWP.SetTextOverlay(strTemp);
}