var m_szLineDectInfo = new Array();          //用户存储列表中的XML信息
for (var i = 0; i < 2; i++) {
	m_szLineDectInfo[i] = '';
}
var m_szLineDectLink = "";

var m_szDeviceLineInfo = ""; //从设备获取线信息列表
var g_LineDetectSenSilder = null;  //越界侦测灵敏度

var m_iLineSize = 0;  //警戒线数目
var m_iDScreenWidth = 0;  //归一化宽度
var m_iDScreenHeigh = 0;  //故意画高度
var m_arrLineInfoList = new Array();  //先信息集合

var m_iLineLastIndex = -1;  //前一次线下拉框索引
var m_iLineCurIndex = -1;  //线索引
var m_szLineDectSchedule = ""; //越界侦测布防信息

/*************************************************
 Function:        SetPluginLineInfo
 Description:    将当前线数组中的信息设置到插件
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function SetPluginLineInfo() {
	//清理下
	HWP.ClearSnapInfo(2); //清除模式 0-矩形 1-多边形 2-线  3-多边形和矩形 4-All
	HWP.SetSnapLineInfo(MakeXmlForPlugin(m_iLineCurIndex));
	HWP.SetSnapDrawMode(0);//模式-1:不绘图，0-编辑线 1-矩形 2-多边形
}


/*************************************************
 Function:        ChangeLineDirect
 Description:    改变线的方向，若数组内有该线，则更新数组并塞入插件
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function ChangeLineDirect() {
	if (m_iLineCurIndex >= 0 && m_arrLineInfoList.length > 0) {
		if ($('#seLineIndex').val() == m_arrLineInfoList[m_iLineCurIndex].id) {
			m_arrLineInfoList[m_iLineCurIndex].szCurDirect = $('#seLineDirect').val(); //设置方向
			//从插件获取XY坐标
			SaveLineFromPlugin(m_iLineCurIndex);

			if (m_arrLineInfoList[m_iLineCurIndex].iSX >= 0) { //判断当前线下拉框线段，是否具有线坐标，有说明需要更新下插件线方向，否则不用塞入插件
				SetPluginLineInfo();  //设置线信息到插件
			}
		}
	}
}
/*************************************************
 Function:        ChangeDrawLine
 Description:    切换线条信息时 -- 需要重新设置下灵敏度，方向下拉框内容
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function ChangeDrawLine() {
	var arrDirect = "";
	//若第一次初始化调用
	/*if (m_iLineCurIndex == -1 && m_iLineLastIndex == -1) {
		//设置当前线信息到插件，设置其余下拉框参数
		m_iLineCurIndex = 0;
		m_iLineLastIndex = 0;
		try {
			arrDirect = m_arrLineInfoList[m_iLineCurIndex].arrDirect.split(','); //方向值数组
		} catch (ex) {
			arrDirect = "";
		}
		//生成线方向列表
		if (arrDirect.length > 0) {
			for (i = 0; i < arrDirect.length; i++) {
				szTmp = arrDirect[i];
				if (szTmp == 'left-right') {
					szTmp = 'A->B';
				} else if (szTmp == 'right-left') {
					szTmp = 'B->A';
				} else if (szTmp == 'any') {
					szTmp = 'A<->B';
				}
				$("<option value='" + arrDirect[i] + "'>" + szTmp + "</option>").appendTo("#seLineDirect");
			}
		}
		//方向
		setTimeout($('#seLineDirect').val(m_arrLineInfoList[m_iLineCurIndex].szCurDirect), 10);
		//灵敏度
		g_LineDetectSenSilder.wsetValue(m_arrLineInfoList[m_iLineCurIndex].iCurSen);
		SetPluginLineInfo();  //设置线信息到插件
		return;
	}*/

	m_iLineCurIndex = $('#seLineIndex').prop('selectedIndex');  //记录下当前索引

	if (m_arrLineInfoList.length > 0 && m_iLineCurIndex >= 0) {
		arrDirect = ""; //方向值数组
		var szTmp = "";  //暂时方向保存字符
		//保存下前一个线XY
		if (m_iLineLastIndex >= 0) {
			SaveLineFromPlugin(m_iLineLastIndex);
			m_arrLineInfoList[m_iLineLastIndex].szCurDirect = $('#seLineDirect').val();  //方向
			m_arrLineInfoList[m_iLineLastIndex].iCurSen = g_LineDetectSenSilder.getValue();  //灵敏度

			if ("IPDome" == window.parent.g_szDeviceType) {
				var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Smart/LineDetection/1/lineItem/" + (m_iLineCurIndex+1);
				$.ajax({
					type: "GET",
					url: szURL,
                    beforeSend: function(xhr) {
                        xhr.setRequestHeader("If-Modified-Since", "0");
                        xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
                    },
					async: false,
					success: function (xmlDoc, textStatus, xhr) {
						var oLineItem = $(xmlDoc).find("LineItem").eq(0);
						if (m_arrLineInfoList[m_iLineCurIndex].id == oLineItem.find('id').eq(0).text()) {
							m_arrLineInfoList[m_iLineCurIndex].iCurSen = parseInt(oLineItem.find('sensitivityLevel').eq(0).text(), 10);
							m_arrLineInfoList[m_iLineCurIndex].szCurDirect = oLineItem.find('directionSensitivity').eq(0).text();
							m_arrLineInfoList[m_iLineCurIndex].iSX = parseInt(oLineItem.find('positionX').eq(0).text(), 10);
							m_arrLineInfoList[m_iLineCurIndex].iSY = parseInt(oLineItem.find('positionY').eq(0).text(), 10);
							m_arrLineInfoList[m_iLineCurIndex].iEX = parseInt(oLineItem.find('positionX').eq(1).text(), 10);
							m_arrLineInfoList[m_iLineCurIndex].iEY = parseInt(oLineItem.find('positionY').eq(1).text(), 10);
						}
					}
				});
			}
		}

		m_iLineLastIndex = m_iLineCurIndex;    //重置最后一次索引

		$('#seLineDirect').empty();  //方向
		try {
			arrDirect = m_arrLineInfoList[m_iLineCurIndex].arrDirect.split(','); //方向值数组
		} catch (ex) {
			arrDirect = "";
		}

		//重新生成线方向列表
		if (arrDirect != '' && arrDirect.length > 0) {
			for (i = 0; i < arrDirect.length; i++) {
				szTmp = arrDirect[i];
				if (szTmp == 'left-right') {
					szTmp = 'A->B';
				} else if (szTmp == 'right-left') {
					szTmp = 'B->A';
				} else if (szTmp == 'any') {
					szTmp = 'A<->B';
				}
				$("<option value='" + arrDirect[i] + "'>" + szTmp + "</option>").appendTo("#seLineDirect");
			}
		}
		//方向
		setTimeout($('#seLineDirect').val(m_arrLineInfoList[m_iLineCurIndex].szCurDirect), 10);
		//灵敏度
		g_LineDetectSenSilder.wsetValue(m_arrLineInfoList[m_iLineCurIndex].iCurSen);

		SetPluginLineInfo();  //设置线信息到插件
	}
}

/*************************************************
 Function:        AddLineFun
 Description:    添加一条
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function AddLineFun() {
	if (m_iLineCurIndex >= 0 && m_arrLineInfoList.length > 0 && m_iDScreenWidth > 0 && m_iDScreenHeigh > 0) { //有线信息
		var fSx = m_iDScreenWidth * 0.5;  //默认起点x坐标
		var fSy = m_iDScreenHeigh * 0.25;  //默认起点y坐标
		var fEx = m_iDScreenWidth * 0.5;  //默认终点x坐标
		var fEy = m_iDScreenHeigh * 0.75;  //默认终点y坐标
		/*//越界侦测有参考W H，而插件是按照归一化的，所以这里需要清理下
		 if (m_iDScreenWidth > 0 && m_iDScreenHeigh > 0) {
		 fSx = parseFloat(fSx/m_iDScreenWidth);
		 fSy = parseFloat(fSy/m_iDScreenHeigh);
		 fEx = parseFloat(fEx/m_iDScreenWidth);
		 fEy = parseFloat(fEy/m_iDScreenHeigh);
		 }*/

		m_arrLineInfoList[m_iLineCurIndex].iSX = fSx;
		m_arrLineInfoList[m_iLineCurIndex].iSY = fSy;
		m_arrLineInfoList[m_iLineCurIndex].iEX = fEx;
		m_arrLineInfoList[m_iLineCurIndex].iEY = fEy;

		SetPluginLineInfo();  //设置线信息到插件
	}
}

/*************************************************
 Function:        ClearLineFun
 Description:    清除线信息
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function ClearLineFun(bTips) {
	var Warning = confirm(getNodeValue('ClearRegionTips'));
	if (Warning) {
		if (m_iLineCurIndex >= 0 && m_arrLineInfoList.length > 0) {
			//清除数组中的坐标
			m_arrLineInfoList[m_iLineCurIndex].iSX = -1;
			m_arrLineInfoList[m_iLineCurIndex].iSY = -1;
			m_arrLineInfoList[m_iLineCurIndex].iEX = -1;
			m_arrLineInfoList[m_iLineCurIndex].iEY = -1;
			HWP.ClearSnapInfo(2); //清除模式 0-矩形 1-多边形 2-线  3-多边形和矩形 4-All
		}
	}
}

/*************************************************
 Function:        CheckLineVaild
 Description:    检测有效性
 Input:            iIndex：线数组索引
 Output:            无
 return:            false/true
 *************************************************/
function CheckLineVaild(iIndex) {
	if (iIndex < 0) {
		return false;
	}

	if (m_arrLineInfoList[iIndex].iSX < 0 || m_arrLineInfoList[iIndex].iSY < 0 || m_arrLineInfoList[iIndex].iEX < 0 || m_arrLineInfoList[iIndex].iEY < 0 || (m_arrLineInfoList[iIndex].iSX == m_arrLineInfoList[iIndex].iEX && m_arrLineInfoList[iIndex].iSY == m_arrLineInfoList[iIndex].iEY)) {
		return false;
	}
	return true;
}

/*************************************************
 Function:        MakeXmlForPlugin
 Description:    线列表构造插件需要的xml格式
 Input:            iIndex: 线索引
 Output:            无
 return:            无
 *************************************************/
function MakeXmlForPlugin(iIndex) {
	if (iIndex < 0) {
		return "";
	}

	var iLineType = '0';  //0- A->B;  1- B->A; 2- A<->B
	var szType = m_arrLineInfoList[iIndex].szCurDirect;  //方向

	if ("" == szType || typeof szType == "undefined" || false == CheckLineVaild(iIndex)) {
		return "";
	}

	if ('left-right' == szType) {
		iLineType = 0;
	} else if ('right-left' == szType) {
		iLineType = 1;
	} else if ('any' == szType) {
		iLineType = 2;
	}

	var fSx = parseInt(m_arrLineInfoList[iIndex].iSX, 10);  //默认起点x坐标
	var fSy = parseInt(m_arrLineInfoList[iIndex].iSY, 10);  //默认起点y坐标
	var fEx = parseInt(m_arrLineInfoList[iIndex].iEX, 10);  //默认终点x坐标
	var fEy = parseInt(m_arrLineInfoList[iIndex].iEY, 10);  //默认终点y坐标
	//越界侦测有参考W H，而插件是按照归一化的，所以这里需要清理下
	if (m_iDScreenWidth > 0 && m_iDScreenHeigh > 0) {
		fSx = parseFloat(fSx / m_iDScreenWidth);
		fSy = 1 - parseFloat(fSy / m_iDScreenHeigh);
		fEx = parseFloat(fEx / m_iDScreenWidth);
		fEy = 1 - parseFloat(fEy / m_iDScreenHeigh);
	}

	if (fSx < 0 || fSy < 0 || fEx < 0 || fEy < 0) {  //线必须要>=0
		return "";
	}

	//线提示信息
	var szLineTips = "#" + m_arrLineInfoList[iIndex].id + "#";

	//坐标
	var szLineInfo = "<?xml version='1.0' encoding='utf-8'?><SnapLineList><SnapLine><id>" + m_arrLineInfoList[iIndex].id + "</id>";
	szLineInfo += "<LineType>" + iLineType + "</LineType><color><r>255</r><g>255</g><b>0</b></color><Tips>" + szLineTips + "</Tips>";
	szLineInfo += "<StartPos><x>" + fSx + "</x><y>" + fSy + "</y></StartPos><EndPos><x>" + fEx + "</x><y>" + fEy + "</y></EndPos></SnapLine></SnapLineList>";

	return szLineInfo;
}

/*************************************************
 Function:        SaveLineFromPlugin
 Description:    将插件传过来的xml
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function SaveLineFromPlugin(iIndex) {
	var strOcxInfo = "";
	var xmlTempDoc = "";
	if (iIndex >= 0 && m_arrLineInfoList.length > 0) {
		strOcxInfo = HWP.GetSnapLineInfo();
		xmlTempDoc = parseXmlFromStr(strOcxInfo);
		if ($(xmlTempDoc).find('SnapLine').length == 0) { //若没有信息，则将当前xml中当前线的信息清除
			m_arrLineInfoList[iIndex].iSX = -1;
			m_arrLineInfoList[iIndex].iSY = -1;
			m_arrLineInfoList[iIndex].iEX = -1;
			m_arrLineInfoList[iIndex].iEY = -1;
		} else {
			m_arrLineInfoList[iIndex].iSX = $(xmlTempDoc).find('StartPos').eq(0).find('x').eq(0).text() * m_iDScreenWidth;
			m_arrLineInfoList[iIndex].iSY = (1 - parseFloat($(xmlTempDoc).find('StartPos').eq(0).find('y').eq(0).text())) * m_iDScreenHeigh;
			m_arrLineInfoList[iIndex].iEX = $(xmlTempDoc).find('EndPos').eq(0).find('x').eq(0).text() * m_iDScreenWidth;
			m_arrLineInfoList[iIndex].iEY = (1 - parseFloat($(xmlTempDoc).find('EndPos').eq(0).find('y').eq(0).text())) * m_iDScreenHeigh;
		}
	}
}


/*************************************************
 Function:        GetXmlFromLineList
 Description:    将线数组转换成设备需要的xml格式
 Input:            strDeviceInfo:从设备获取的XML
 Output:            无
 return:            无
 *************************************************/
function GetXmlFromLineList(strDeviceInfo) {
	var xmlDoc = parseXmlFromStr(strDeviceInfo);
	var CoordinatesList = "";

	//总使能
	$(xmlDoc).find('enabled').eq(0).text($("#EnableLineDetect").prop("checked").toString());
	if ($("#spDualVca").css("display") != "none") {
		$(xmlDoc).find('enableDualVca').eq(0).text($("#chEnableDualVca").prop("checked").toString());
	}

	if (m_iLineCurIndex >= 0 && m_arrLineInfoList.length > 0) {
		for (var i = 0; i < m_arrLineInfoList.length; i++) {
			//总使能
			$(xmlDoc).find("LineItem").eq(i).find('sensitivityLevel').eq(0).text(m_arrLineInfoList[i].iCurSen);
			$(xmlDoc).find("LineItem").eq(i).find('directionSensitivity').eq(0).text(m_arrLineInfoList[i].szCurDirect);

			//去除掉坐标信息
			$(xmlDoc).find('LineItem').eq(i).find('CoordinatesList').remove();
			if (!CheckLineVaild(i)) {  //无效坐标  则约定将所有坐标设置为0
				CoordinatesList = "<?xml version='1.0' encoding='UTF-8'?><TmpLineList><CoordinatesList><Coordinates><positionX>0</positionX><positionY>0</positionY></Coordinates><Coordinates><positionX>0</positionX><positionY>0</positionY></Coordinates></CoordinatesList></TmpLineList>";
			} else {
				//$(xmlDoc).find('LineItem').eq(i).find('CoordinatesList').remove();
				CoordinatesList = "<?xml version='1.0' encoding='UTF-8'?><TmpLineList><CoordinatesList><Coordinates><positionX>" + parseInt(m_arrLineInfoList[i].iSX, 10);
				CoordinatesList += "</positionX><positionY>" + parseInt(m_arrLineInfoList[i].iSY, 10) + "</positionY></Coordinates>";
				CoordinatesList += "<Coordinates><positionX>" + parseInt(m_arrLineInfoList[i].iEX, 10) + "</positionX><positionY>" + parseInt(m_arrLineInfoList[i].iEY, 10) + "</positionY></Coordinates></CoordinatesList></TmpLineList>";
			}
			$(xmlDoc).find("LineItem").eq(i).append($(parseXmlFromStr(CoordinatesList)).find('TmpLineList').eq(0).clone().children());
		}
	}

	return xmlDoc;
}

/*************************************************
 Function:        LineDetectInitDay
 Description:    添加通道名称
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function LineDetectInitDay() {

	m_iLineLastIndex = -1;  //前一次线下拉框索引
	m_iLineCurIndex = -1;  //线索引
	m_szLineDectLink = '';
	var szInfo = getNodeValue('laPlugin');
	if (!checkPlugin('1', szInfo, 1, 'linedetect', 0)) { //增加新类型判断
		return;
	}

	if (!CompareFileVersion()) {
		UpdateTips();
	}
	ia(DeviceInfo).queryChannelInfo(); //用于获取视频制式
	m_iPicinform = 1;

	g_iEventPreviewTimer = setTimeout(function () {
		if (HWP.Play() !== 0) {
			/*alert(getNodeValue("previewfailed"));*/
		}
	}, 10);

	GetLineDetectCpy();   //获取能力
}

/*************************************************
 Function:        GetNewLine
 Description:    获取一个新线
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function GetNewLine() {
	var oLine = {
		iSenMin: 0, //最小灵敏度能力
		iSenMax: 100, //最大灵敏度能力
		arrDirect: "", //方向能力
		id: -1, //线Id
		iCurSen: 0, //当前灵敏度
		szCurDirect: "", //当前方向
		iSX: -1, //默认起点x坐标
		iSY: -1, //默认起点y坐标
		iEX: -1, //默认终点x坐标
		iEY: -1  //默认终点y坐标
	};
	return oLine;
}

/*************************************************
 Function:        GetLineDetectCpy
 Description:    获取能力
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function GetLineDetectCpy() {
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Smart/LineDetection/1/capabilities";
	$.ajax({
		type: "GET",
		url: szURL,
		async: false, //同步
        beforeSend: function(xhr) {
            xhr.setRequestHeader("If-Modified-Since", "0");
            xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
        },
		success: function (xmlDoc, textStatus, xhr) {
			//赋值能力
			m_iDScreenWidth = parseInt($(xmlDoc).find("normalizedScreenWidth").eq(0).text());  //宽度
			m_iDScreenHeigh = parseInt($(xmlDoc).find("normalizedScreenHeight").eq(0).text());  //高度
			m_iLineSize = parseInt($(xmlDoc).find("LineItemList").eq(0).attr("size"), 10);
			; //线数目
			var i = 0;

			var arrLineList = $(xmlDoc).find("LineItemList").eq(0); //线列表对象
			var oLineItem = null;
			var tmpLine = null;
			m_arrLineInfoList.length = 0;  //初始化下--只赋值能力部分，其余都用默认值
			for (i = 0; i < m_iLineSize; i++) {
				oLineItem = arrLineList.find('LineItem').eq(i);
				tmpLine = GetNewLine();
				tmpLine.id = oLineItem.find('id').eq(0).text();
				tmpLine.iSenMin = parseInt(oLineItem.find('sensitivityLevel').eq(0).attr("min"), 10);
				tmpLine.iSenMax = parseInt(oLineItem.find('sensitivityLevel').eq(0).attr("max"), 10);
				tmpLine.arrDirect = oLineItem.find('directionSensitivity').eq(0).attr("opt");
				m_arrLineInfoList.push(tmpLine); //加入列表
			}

			if (m_iLineSize > 0) {
				//初始化灵敏度滑动条
				g_LineDetectSenSilder = new neverModules.modules.slider({targetId: "dvLineDetectSen",
					sliderCss: "imageslider1",
					barCss: "imageBar2",
					step: 1,
					min: m_arrLineInfoList[0].iSenMin, //这里后续灵敏度可能切换线时需要重新创建
					max: m_arrLineInfoList[0].iSenMax,
					boxCss: "detectboxBar",
					bBox: true
				});
				g_LineDetectSenSilder.create();
				g_LineDetectSenSilder.wsetValue(0);
			}

			//创建线下拉列表
			$('#seLineIndex').empty();
			for (i = 0; i < m_iLineSize; i++) {
				$("<option value='" + m_arrLineInfoList[i].id + "'>" + (i + 1) + "</option>").appendTo("#seLineIndex");
			}

			GetLineDetectInfo(); //获取当前线信息

		},
		error: function (xhr, textStatus, errorThrown) {
			if (xhr.status == 403) {
				//清除所画区域
				$("input", document).each(function (i) {
					$(this).prop("disabled", true);
				});
				alert(m_szError77);
				$("#SaveConfigBtn").prop('disabled', true); //保存按钮为不可用状态
				return;
			} else {
				alert(m_szError400);
				return;
			}
		}
	});
}

/*************************************************
 Function:        GetLineDetectInfo
 Description:    获取线信息
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function GetLineDetectInfo() {
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Smart/LineDetection/1";
	$.ajax({
		type: "GET",
		url: szURL,
        beforeSend: function(xhr) {
            xhr.setRequestHeader("If-Modified-Since", "0");
            xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
        },
		success: function (xmlDoc, textStatus, xhr) {
			GetLineDetectLink();  //获取联动信息
			m_szDeviceLineInfo = xhr.responseText;
			var arrItemList = $(xmlDoc).find("LineItemList").eq(0);
			var iLen = arrItemList.find('LineItem').length;
			var oLineItem = null;

			$("#EnableLineDetect").prop("checked", ($(xmlDoc).find("enabled").eq(0).text() == "true"));
			//智能后检索
			if ($(xmlDoc).find('enableDualVca').length > 0) {
				$("#spDualVca").show();
				$("#chEnableDualVca").prop("checked", $(xmlDoc).find("enableDualVca").eq(0).text() == "true");
			} else {
				$("#spDualVca").hide();
			}
			//赋值当前线信息到列表对象
			for (var i = 0; i < iLen; i++) {
				oLineItem = arrItemList.find('LineItem').eq(i);  //线对象

				if (m_arrLineInfoList[i].id == oLineItem.find('id').eq(0).text()) {
					m_arrLineInfoList[i].iCurSen = parseInt(oLineItem.find('sensitivityLevel').eq(0).text(), 10);
					m_arrLineInfoList[i].szCurDirect = oLineItem.find('directionSensitivity').eq(0).text();
					m_arrLineInfoList[i].iSX = parseInt(oLineItem.find('positionX').eq(0).text(), 10);
					m_arrLineInfoList[i].iSY = parseInt(oLineItem.find('positionY').eq(0).text(), 10);
					m_arrLineInfoList[i].iEX = parseInt(oLineItem.find('positionX').eq(1).text(), 10);
					m_arrLineInfoList[i].iEY = parseInt(oLineItem.find('positionY').eq(1).text(), 10);
				}
			}

			ChangeDrawLine(); //赋值线相关信息--默认第一个
		},
		error: function (xhr, textStatus, errorThrown) {
			m_szDeviceLineInfo = "";
			GetLineDetectLink();  //获取联动信息
			//alert(m_szError400);
		}
	});
}

/*************************************************
 Function:        GetLineDetectLink
 Description:    获取越界侦测联动方式
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function GetLineDetectLink() {
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Event/triggers/linedetection-1";
	$.ajax({
		type: "GET",
		url: szURL,
        beforeSend: function(xhr) {
            xhr.setRequestHeader("If-Modified-Since", "0");
            xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
        },
		success: function (xmlDoc, textStatus, xhr) {
			m_szLineDectLink = xhr.responseText;
			GetLineDetectSchedule();
		},
		error: function (xhr, textStatus, errorThrown) {
			m_szLineDectLink = '';
			GetLineDetectSchedule();
		}
	});
}
/*************************************************
 Function:        GetLineDetectSchedule
 Description:    获取越界侦测布防时间
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function GetLineDetectSchedule() {
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Event/schedules/lineDetections/1";
	$.ajax({
		type: "GET",
		url: szURL,
        beforeSend: function(xhr) {
            xhr.setRequestHeader("If-Modified-Since", "0");
            xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
        },
		success: function (xmlDoc, textStatus, xhr) {
			m_szLineDectSchedule = xhr.responseText;
			GetLineDetailInfo();
		},
		error: function (xhr, textStatus, errorThrown) {
            m_szLineDectSchedule = "";
            GetLineDetailInfo();
			return;
		}
	});
}
/*************************************************
 Function:        GetLineDetailInfo
 Description:    获取越界侦测参数信息
 Input:            无
 Output:            无
 Return:            无
 *************************************************/
function GetLineDetailInfo() {
	$("#MoveEmail").prop("checked", false);
	$("#MoveSoundAlarm").prop("checked", false);
	$("#MoveMonitorAlarm").prop("checked", false);
	$("#MoveUpload").prop("checked", false);

	for (var i = 0; i < 8; i++) {
		for (var j = 0; j < 8; j++) {
			m_szWeek[i][j][0] = "00:00:00";
			m_szWeek[i][j][1] = "00:00:00";
		}
	}

	var xmlLinkDoc = null;
	var xmlScheduleDoc = null;
	if (m_szLineDectLink != '') {
		xmlLinkDoc = parseXmlFromStr(m_szLineDectLink);
		m_szLineDectInfo[0] = "linedetection-" + m_iPicinform;
	}
	if (xmlLinkDoc != null) {
		var iMethodNum = $(xmlLinkDoc).find("notificationMethod").length;
		for (i = 0; i < iMethodNum; i++)//报警输入联动信息
		{
			if ("email" == $(xmlLinkDoc).find('notificationMethod').eq(i).text()) {
				$("#MoveEmail").prop("checked", true);
			}
			if ("beep" == $(xmlLinkDoc).find('notificationMethod').eq(i).text()) {
				$("#MoveSoundAlarm").prop("checked", true);
			}
			if ("center" == $(xmlLinkDoc).find('notificationMethod').eq(i).text()) {
				$("#MoveUpload").prop("checked", true);
			}
			if ("monitorAlarm" == $(xmlLinkDoc).find('notificationMethod').eq(i).text()) {
				$("#MoveMonitorAlarm").prop("checked", true);
			}
			if ("FTP" == $(xmlLinkDoc).find('notificationMethod').eq(i).text()) {
				$("#MoveFTP").prop("checked", true);
			}
			if ("trace" == $(xmlLinkDoc).find('notificationMethod').eq(i).text()) {
				$("#chLinkTrack").prop("checked", true);
			}
		}
		var iAnalogOutPut = $(xmlLinkDoc).find("outputIOPortID").length;
		for (j = 0; j < iAnalogOutPut; j++) {
			var iNo = $(xmlLinkDoc).find("outputIOPortID").eq(j).text();
			for (var i = 0; i < g_iAlarmOutNum; i++) {
				if ((i + 1) == iNo) {
					iNo = i;
					break;
				}
			}
			$("#AlarmOutputCheckboxChanO-" + (iNo + 1)).prop("checked", true);
		}
		//CheackAlarmOutputAllSel();

		//触发通道录像
		var iAnalogRecord = $(xmlLinkDoc).find('videoInputID').length;
		for (j = 0; j < iAnalogRecord; j++) {
			var iNo = $(xmlLinkDoc).find('videoInputID').eq(j).text();
			if (iNo <= m_iAChannelNum) {
				$("#TriggerRecordCheckboxChan" + iNo).prop("checked", true);
			}
		}
		CheackAlarmOutputAllSel();
	} else {
		m_szLineDectInfo[0] = "linedetection-" + m_iPicinform;
	}

	var xmlDoc = parseXmlFromStr(m_szLineDectSchedule);
	for (i = 0; i < $(xmlDoc).find('Schedule').length; i++) {
		if ($(xmlDoc).find('eventType').eq(i).text() == 'linedetection') {
			if ($(xmlDoc).find('eventType').eq(i).next().eq(0).text() == m_iPicinform) {
				m_szLineDectInfo[1] = $(xmlDoc).find('eventType').eq(i).prev().eq(0).text();
				xmlScheduleDoc = $(xmlDoc).find('Schedule').eq(i);
				break;
			}
		}
	}

	if (xmlScheduleDoc != null) {
		//按能力数量隐藏和显示
		var iMaxSize = $(xmlScheduleDoc).find("TimeBlockList").eq(0).attr("size");
		if (iMaxSize != undefined) {
			iMaxSize = parseInt(iMaxSize, 10);
		} else {
			iMaxSize = 4;
		}
		var aTimeRanges = $("#TimeScheduleEdit").find(".scheduleeditdiv").eq(0).find("tr");
		for (var k = 1; k <= 8; k++) {
			if (k <= iMaxSize) {
				aTimeRanges.eq(k).show();
			} else {
				aTimeRanges.eq(k).hide();
			}
		}

		for (var i = 0; i < $(xmlScheduleDoc).find('dayOfWeek').length; i++) {
			dayofWeek = $(xmlScheduleDoc).find('dayOfWeek').eq(i).text();
			for (var j = 0; j < 8; j++) {
				if (m_szWeek[dayofWeek - 1][j][0] == '00:00:00' && m_szWeek[dayofWeek - 1][j][1] == '00:00:00') {
					m_szWeek[dayofWeek - 1][j][0] = $(xmlScheduleDoc).find('TimeRange').eq(i).children('beginTime').eq(0).text();
					m_szWeek[dayofWeek - 1][j][1] = $(xmlScheduleDoc).find('TimeRange').eq(i).children('endTime').eq(0).text();
					break;
				}
			}
		}
		if (m_bHolidayEnable) {
			for (var i = 0; i < $(xmlScheduleDoc).find('HolidayBlockList').eq(0).children('TimeBlock').length; i++) {
				for (var j = 0; j < 8; j++) {
					if ((m_szWeek[7][j][0] == '00:00:00' && m_szWeek[7][j][1] == '00:00:00') || (m_szWeek[7][j][0] != '00:00:00' && m_szWeek[7][j][1] == '00:00:00')) {
						m_szWeek[7][j][0] = $(xmlScheduleDoc).find('HolidayBlockList').eq(0).find('beginTime').eq(i).text();
						m_szWeek[7][j][1] = $(xmlScheduleDoc).find('HolidayBlockList').eq(0).find('beginTime').eq(i).text();
						break;
					}
				}
			}
		}
	} else {
		m_szLineDectInfo[1] = "Linedetection_video" + m_iPicinform;
	}

	g_transStack.push(InitDrawSchedule, true);
	//InitDrawSchedule();
	EnableLineDect();
}

/*************************************************
 Function:        EnableLineDect
 Description:    是否启用了越界侦测
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function EnableLineDect() {
	if ($("#EnableLineDetect").prop("checked")) {
		$("#ScheduleEditBtn").prop("disabled", false);
	} else {
		$("#ScheduleEditBtn").prop("disabled", true);
	}
}

/*************************************************
 Function:        SetLineDectInfo
 Description:    设置越界侦测信息
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function SetLineDectInfo() {
	SetLineLink();
}
/*************************************************
 Function:        SetLineDectSchedule
 Description:    设置越界侦测布防时间
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function SetLineDectSchedule() {
	var xmlDoc = CreateScheduleDoc("linedetection", "", "");
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Event/schedules/lineDetections";
	$.ajax({
		type: "PUT",
		url: szURL,
		data: xmlDoc,
		async: false,
		processData: false,
        beforeSend: function(xhr) {
            xhr.setRequestHeader("If-Modified-Since", "0");
            xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
        },
		success: function (xmlDoc, textStatus, xhr) {
			SaveState(xhr);
		},
		error: function (xhr, textStatus, errorThrown) {
			SaveState(xhr);
		}
	});
}
/*************************************************
 Function:        SetLineLink
 Description:    设置越界侦测联动方式
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function SetLineLink() {
	var xmlDoc = CreateLinkDoc("linedetection");
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Event/triggers/" + m_szLineDectInfo[0];
	$.ajax({
		type: "PUT",
		url: szURL,
		data: xmlDoc,
		async: false,
		processData: false,
        beforeSend: function(xhr) {
            xhr.setRequestHeader("If-Modified-Since", "0");
            xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
        },
		success: function (xmlDoc, textStatus, xhr) {
			setLineDetect();
		},
		error: function (xhr, textStatus, errorThrown) {
			SaveState(xhr);
		}
	});
}
/*************************************************
 Function:       setLineDetect
 Description:    设置越界侦测
 Input:          无
 Output:         无
 return:         无
 *************************************************/
function setLineDetect() {
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Smart/LineDetection/1";

	if (m_iLineCurIndex >= 0 && m_arrLineInfoList.length > 0) {
		//先把当前的线保存到数组
		SaveLineFromPlugin(m_iLineCurIndex);
		m_arrLineInfoList[m_iLineCurIndex].szCurDirect = $('#seLineDirect').val();  //方向
		m_arrLineInfoList[m_iLineCurIndex].iCurSen = g_LineDetectSenSilder.getValue();  //灵敏度
	}

	var xmlDoc = GetXmlFromLineList(m_szDeviceLineInfo);
	if ("IPDome" == window.parent.g_szDeviceType) {
		$(xmlDoc).find("LineItemList").eq(0).remove();
	}

	$.ajax({
		type: "PUT",
		url: szURL,
		data: xmlDoc,
		async: false,
		processData: false,
        beforeSend: function(xhr) {
            xhr.setRequestHeader("If-Modified-Since", "0");
            xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
        },
		success: function (xmlDoc, textStatus, xhr) {
			if ("IPDome" !== window.parent.g_szDeviceType) {
				SetLineDectSchedule();
			} else {
				var szXml = "<?xml version='1.0' encoding='UTF-8'?><LineItem>";
				szXml += "<id>" + (m_iLineCurIndex + 1) + "</id>";
				if (CheckLineVaild(m_iLineCurIndex)) {
					szXml += "<enabled>true</enabled>";
					szXml += "<CoordinatesList>";
					szXml += "<Coordinates><positionX>" + Math.floor(m_arrLineInfoList[m_iLineCurIndex].iSX) + "</positionX><positionY>" + Math.floor(m_arrLineInfoList[m_iLineCurIndex].iSY) + "</positionY></Coordinates>";
					szXml += "<Coordinates><positionX>" + Math.floor(m_arrLineInfoList[m_iLineCurIndex].iEX) + "</positionX><positionY>" + Math.floor(m_arrLineInfoList[m_iLineCurIndex].iEY) + "</positionY></Coordinates>";
					szXml += "</CoordinatesList>";
				} else {
					szXml += "<enabled>false</enabled>";
					szXml += "<CoordinatesList>";
					szXml += "<Coordinates><positionX>0</positionX><positionY>0</positionY></Coordinates>";
					szXml += "<Coordinates><positionX>0</positionX><positionY>0</positionY></Coordinates>";
					szXml += "</CoordinatesList>";
				}
				szXml += "<sensitivityLevel>" + m_arrLineInfoList[m_iLineCurIndex].iCurSen + "</sensitivityLevel>";
				szXml += "<directionSensitivity>" + m_arrLineInfoList[m_iLineCurIndex].szCurDirect + "</directionSensitivity>";

				szXml += "</LineItem>";
				var xmlDoc = parseXmlFromStr(szXml);
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Smart/LineDetection/1/lineItem/" + (m_iLineCurIndex + 1);

				$.ajax({
					type: "PUT",
					url: szURL,
					data: xmlDoc,
					async: false,
					processData: false,
                    beforeSend: function(xhr) {
                        xhr.setRequestHeader("If-Modified-Since", "0");
                        xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
                    },
					success: function (xmlDoc, textStatus, xhr) {
						SetLineDectSchedule();
					},
					error: function (xhr, textStatus, errorThrown) {
						SaveState(xhr);
					}
				});
			}
		},
		error: function (xhr, textStatus, errorThrown) {
			SaveState(xhr);
		}
	});
}