var sliderBright = null;
var sliderContrast = null;
var sliderSaturation = null;
var sliderHue = null;
var sliderGain = null;
var sliderGainLimit = null;  //增益限制
var sliderSharpness = null;
var sliderDayNightFilterTime = null;
var sliderWDRLevel1 = null;
var sliderWDRLevel2 = null;
var sliderWDRContrastLevel = null;
var sliderBLCLevel = null;
var sliderWhiteBlanceRed = null;
var sliderWhiteBlanceBlue = null;
var sliderAutoIrisLevel = null;
var generalLevel = null;
var interFrameNoiseReduceLevel = null;
var frameNoiseReduceLevel = null;
var g_oSliderDehazeLevel = null;
var g_oSliderEISLevel = null;
var g_oSliderCSLevel = null;
var g_oSliderHLCLevel = null;
var g_oSliderExpCompLevel = null;
var g_oIRLightBrightSlider = null;
var g_oIRLightSenSlider = null;
var g_oSliderGamaCorrLevel = null;
var g_oSliderExDis = null;
var g_oSliderPIrisLevel = null;
var g_oIRLightLimitSlider = null; //红外灯亮度限制滑动条

var isSupportGain = false;            		//是否支持增益
var isSupportGainLimit = false;            	//是否支持增益限制
var isSupportWDR = false;        		//是否支持宽动态
var isSupportWDRLevel = false;        		//是否支持宽动态等级
var isSupportWDRLevel1 = false;       		//是否支持宽动态等级1
var isSupportWDRLevel2 = false;       		//是否支持宽动态等级2
var isSupportWDRContrastLevel = false;		//是否支持宽动态对比度等级
var isSupportBLCLevel = false;        		//是否支持背光补偿等级
var isSupportBLCMode = false;       		//是否支持背光补偿区域
var isSupportWhiteBlanceRed = false;		//是否支持白平衡红增益
var isSupportWhiteBlanceBlue = false;		//是否支持白平衡蓝增益
var isSupportAutoIrisLevel = false;		//是否支持自动光圈灵敏度
var g_IsSupportDehaze = false;		    //是否支持去雾
var g_IsSupportDehazeMode = false;		//是否支持去雾模式
var g_IsSupportDehazeLevel = false;		//是否支持去雾等级
var g_IsSupportDayNightLevel = false;   //是否支持日夜转换灵敏度
var g_IsSupportDayNightFilterTime = false;   //是否支持日夜转换时间
var g_bSupportShutter = false;          //是否支持快门
var g_bSupportIris = false;          //是否支持光圈
var g_bSupportSharpness = false;     //是否支持锐度

var DSSLevelEnabled = false;

var g_BLCRegionXml = null;    //自定义背光补偿区域信息
var g_oISPSwitchTabs = null;   //高级前端参数切换tab
/*************************************************
 Function:       getISPMode
 Description:    获取前端参数控制模式
 Input:          无
 Output:         无
 return:         无
 *************************************************/
function getISPMode() {
	$.ajax({
		type:"GET",
		url:m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/ISPMode",
		async:true,
		beforeSend:function (xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		success:function (xmlDoc, textStatus, xhr) {
			$("#dvISPSwitchMode").show();
			g_bSupportAdvanceISP = true;
			var szISPMode = $(xmlDoc).find("mode").eq(0).text();
			$("#seISPSwitchMode").val(szISPMode);
			$("#inISPStartTime").val($(xmlDoc).find("beginTime").eq(0).text());
			$("#inISPEndTime").val($(xmlDoc).find("endTime").eq(0).text());
			if ("schedule" == szISPMode) {
				$("#ulSwitchTabs").show();
				$("#dvISPStartTime").show();
				$("#dvISPEndTime").show();
			} else {
				$("#ulSwitchTabs").hide();
				$("#dvISPStartTime").hide();
				$("#dvISPEndTime").hide();
			}
			g_oISPSwitchTabs = $("#ulSwitchTabs").tabs("", {markCurrent:false});
		},
		error:function () {
			g_bSupportAdvanceISP = false;
			$("#dvISPSwitchMode").hide();
			$("#dvISPStartTime").hide();
			$("#dvISPEndTime").hide();
			$("#ulSwitchTabs").hide();
			g_oISPSwitchTabs = null;
			getFrontParaConfig();
		}
	});
}
/*************************************************
 Function:       switchDayOrNight
 Description:    切换白天夜晚
 Input:          无
 Output:         无
 return:         无
 *************************************************/
function switchDayOrNight() {
	$("#taBaseVideoSettings select").not($("#taBaseVideoSettings select[class$='noempty']")).empty();
	setTimeout("getFrontParaConfig()",25); //获取前端参数
	//HWP.SetCanFullScreen(1);  //设置是否可以双击全屏
}
/*************************************************
 Function:       setISPMode
 Description:    设置前端参数控制模式
 Input:          无
 Output:         无
 return:         无
 *************************************************/
function setISPMode() {
	var szXml = "<?xml version='1.0' encoding='UTF-8'?><ISPMode><mode>" + $("#seISPSwitchMode").val() + "</mode>";
	szXml += "<Schedule><scheduleType>day</scheduleType><TimeRange><beginTime>"+$("#inISPStartTime").val()+"</beginTime><endTime>"+$("#inISPEndTime").val()+"</endTime></TimeRange></Schedule>";
	szXml += "</ISPMode>";
	var xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/ISPMode";
	$.ajax({
			type:"PUT",
			beforeSend:function (xhr) {
				xhr.setRequestHeader("If-Modified-Since", "0");
				xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
			},
			url:szURL,
			processData:false,
			data:xmlDoc,
			complete:function (xhr, textStatus) {
				SaveState(xhr);
			}
		});
	$("#inISPStartTime").blur();
	$("#inISPEndTime").blur();
}
/*************************************************
 Function:        getFrontParaConfig
 Description:    获取前端参数
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function getFrontParaConfig() {
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/night";
			}
		}
	}
	if ((m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1") == szURL) {
		getLocalOutputInfo(); //获取本地输出
	} else {
		g_bSupportLocalOutput = false;
	}
	$.ajax({
			type:"GET",
			url:szURL,
			async:true,
			beforeSend:function (xhr) {
				xhr.setRequestHeader("If-Modified-Since", "0");
				xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
			},
			success:function (xmlDoc, textStatus, xhr) {
				GetFrontParaCapabilities(xmlDoc);
				if ($(xmlDoc).find("BLCRegionList").length > 0) {
					g_BLCRegionXml = $(xmlDoc).find("BLCRegionList").get(0);
				} else {
					g_BLCRegionXml = null;
				}
			}
		});
}
/*************************************************
 Function:        延时赋值
 Description:    setValueDelay
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function setValueDelayIE6(szId, oXml, szXmlNode, szValue) {
	if ($.browser.msie && parseInt($.browser.version, 10) == 6) {
		setTimeout(function () {
			if (szValue == undefined || szValue == null || szValue == "") {
				$("#" + szId).val($(oXml).find(szXmlNode).eq(0).text());
			} else {
				$("#" + szId).val(szValue);
			}
		}, 20);
	} else {
		if (szValue == undefined || szValue == null || szValue == "") {
			$("#" + szId).val($(oXml).find(szXmlNode).eq(0).text());
		} else {
			$("#" + szId).val(szValue);
		}
	}
}
// 往select里插option，不刷新页面翻译的方式，要求每个option都有自己的Id，wuyang
// szCapabilitySet: 从设备获取的能力集
// szOptionalSet: 可选能力集
// szOptionIds: 用来翻译的option的Id，如果首字母是#，则表示此选项不需要翻译，直接显示#字符后面的字符串
// szSelectId: select的Id
function insertOptions2Select(szCapabilitySet, szOptionalSet, szOptionIds, szSelectId) {
	$.each(szCapabilitySet, function (i, szCapability) {

		var index = $.inArray(szCapability, szOptionalSet);
		if (index !== -1) {
			if (szOptionIds[index].charAt(0) == '#') {
				var szOptStr = szOptionIds[index].substr(1, szOptionIds[index].length - 1);
				var opt = $("<option value='" + szCapability + "'>" + szOptStr + "</option>").appendTo("#" + szSelectId);
				var objStringTest = window.parent.$("#dvStringLenTest");
				objStringTest.html(szOptStr);  //用这个来检测字符串的宽度
				if ($("#" + szSelectId).width() < objStringTest.width()) {
					opt.attr("title", szOptStr);
				}
			} else {
				$("<option id='" + szOptionIds[index] + "' name='" + szOptionIds[index] + "' value='" + szCapability + "'></option>").appendTo("#" + szSelectId);
			}
		} else {
			if (szOptionalSet[szOptionalSet.length - 1] === "*") {
				$("<option id='" + szOptionIds[szOptionalSet.length - 1] + "' name='" + szOptionIds[szOptionalSet.length - 1] + "' value='" + szCapability + "'></option>").appendTo("#" + szSelectId);
			} else {
				$("<option value='" + szCapability + "'>" + szCapability + "</option>").appendTo("#" + szSelectId);
			}
		}
	});
}
/*************************************************
 Function:        isShowGain
 Description:    在切换日夜转换模式时，需要再次获取下增益是否支持
 Input:            无
 Output:            无
 return:            false-不支持需要隐藏， true-支持需要显示
 *************************************************/
function isShowGain() {

	if (window.parent.g_szDeviceType != "IPCamera") {  //非IPC不需要变更
		return;
	}
	
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/capabilities";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (0 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/common/capabilities";
			} else if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/day/capabilities";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/night/capabilities";
			}
		}
	}
	$.ajax({
		type:"GET",
		url:szURL,
		async:false,
		beforeSend:function (xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		success:function (xmlDoc, textStatus, xhr) {
			if ($(xmlDoc).find('GainLevel').length > 0) {
				isSupportGain = true;
			} else {
				isSupportGain = false;
			}
			//能力会在保存日切切换后再次获取
			if (isSupportGain) {
				$("#VideoGain_tr").show();
				var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/Gain";
				$.ajax({
					type:"GET",
					beforeSend:function (xhr) {
						xhr.setRequestHeader("If-Modified-Since", "0");
						xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
					},
					url:szURL,
					success:function (xmlDocValue, textStatus, xhr) {
						var oExposureType = $("#dvISPParam").children("div .imagetype").eq(1).children("div").eq(1);
						//隐藏情况下滑动条无法设置位置
						if (oExposureType.css("display") == "none") {
							oExposureType.show();
							sliderGain.wsetValue(parseInt($(xmlDocValue).find('GainLevel').eq(0).text(), 10));
							oExposureType.hide();
						} else {
							sliderGain.wsetValue(parseInt($(xmlDocValue).find('GainLevel').eq(0).text(), 10));
						}
					}
				});
			} else {
				$("#VideoGain_tr").hide();
			}
		},
		error:function (xhr, textStatus, errorThrown) {
			isSupportGain = false;
			$("#VideoGain_tr").hide();
		}
	});
}
/*************************************************
 Function:       resetGlobalParam
 Description:    重置全局变量
 Input:          无
 Output:         无
 return:         无
 *************************************************/
function resetGlobalParam() {
	isSupportGain = false;            		//是否支持增益
	isSupportWDR = false;        		//是否支持宽动态
	isSupportWDRLevel = false;        		//是否支持宽动态等级
	isSupportWDRLevel1 = false;       		//是否支持宽动态等级1
	isSupportWDRLevel2 = false;       		//是否支持宽动态等级2
	isSupportWDRContrastLevel = false;		//是否支持宽动态对比度等级
	isSupportBLCLevel = false;        		//是否支持背光补偿等级
	isSupportBLCMode = false;       		//是否支持背光补偿区域
	isSupportWhiteBlanceRed = false;		//是否支持白平衡红增益
	isSupportWhiteBlanceBlue = false;		//是否支持白平衡蓝增益
	isSupportAutoIrisLevel = false;		//是否支持自动光圈灵敏度
	g_IsSupportDehaze = false;		    //是否支持去雾
	g_IsSupportDehazeMode = false;		//是否支持去雾模式
	g_IsSupportDehazeLevel = false;		//是否支持去雾等级
	g_IsSupportDayNightLevel = false;   //是否支持日夜转换灵敏度
	g_IsSupportDayNightFilterTime = false;   //是否支持日夜转换时间
	g_bSupportShutter = false;          //是否支持快门
	g_bSupportIris = false;          //是否支持光圈
	g_bSupportSharpness = false;     //是否支持锐度
	DSSLevelEnabled = false;
	//自定义背光补偿区域状态复原
	$("#divBLCEdit").hide();
	var szXml = "<?xml version='1.0' encoding='utf-8' ?><DetectionRegionInfo><videoFormat>" + m_iVideoOutNP + "</videoFormat><RegionType>roi</RegionType><ROI><HorizontalResolution>704</HorizontalResolution><VerticalResolution>" + (m_iVideoOutNP == 'PAL' ? 576 : 480) + "</VerticalResolution></ROI><DisplayMode>transparent</DisplayMode><MaxRegionNum>1</MaxRegionNum><DetectionRegionList></DetectionRegionList></DetectionRegionInfo>";
	HWP.SetRegionInfo(szXml);
}
/*************************************************
 Function:        GetFrontParaCapabilities
 Description:    获取设备前端参数能力集
 Input:            xmlDocVal 前端参数的实际值
 Output:            无
 return:            无
 *************************************************/
function GetFrontParaCapabilities(xmlDocVal) {
	var xmlDoc1 = xmlDocVal;
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/capabilities";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (0 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/common/capabilities";
			} else if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/day/capabilities";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/night/capabilities";
			}
		}
	}
	resetGlobalParam();
	$.ajax({
			type:"GET",
			url:szURL,
			async:true,
			beforeSend:function (xhr) {
				xhr.setRequestHeader("If-Modified-Since", "0");
				xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
			},
			success:function (xmlDoc, textStatus, xhr) {
				//显示前端参数分类
				$("#dvISPParam").children("div").each(function (i) {
					$(this).show();
					$(this).children("div").eq(1).show();
					$(this).children("div").eq(1).children("div").hide();
				});
				//亮度
				if ($(xmlDoc).find("Color").eq(0).find('brightnessLevel').length > 0) {
					$("#VideoBright_tr").show();
					sliderBright.wsetValue(parseInt($(xmlDoc1).find("Color").eq(0).find('brightnessLevel').eq(0).text(), 10));
				}
				//对比度
				if ($(xmlDoc).find("Color").eq(0).find('contrastLevel').length > 0) {
					$("#VideoContrast_tr").show();
					sliderContrast.wsetValue(parseInt($(xmlDoc1).find('contrastLevel').eq(0).text(), 10));
				}
				//饱和度
				if ($(xmlDoc).find("Color").eq(0).find('saturationLevel').length > 0) {
					$("#VideoSaturation_tr").show();
					sliderSaturation.wsetValue(parseInt($(xmlDoc1).find('saturationLevel').eq(0).text(), 10));
				}
				//色度
				if ($(xmlDoc).find("Color").eq(0).find('hueLevel').length > 0) {
					$("#VideoHue_tr").show();
					sliderHue.wsetValue(parseInt($(xmlDoc1).find('hueLevel').eq(0).text(), 10));
				}
				//增益
				if ($(xmlDoc).find('GainLevel').length > 0) {
					isSupportGain = true;
					$("#VideoGain_tr").show();
					sliderGain.wsetValue(parseInt($(xmlDoc1).find('GainLevel').eq(0).text(), 10));
				}
				//增益限制
				if ($(xmlDoc).find('GainLimit').length > 0) {
					isSupportGainLimit = true;
					$("#dvVideoGainLimit").show();
					if ($("#dvVideoGainLimitLevel").html() == "" || sliderGainLimit === null) {
						sliderGainLimit = new neverModules.modules.slider({targetId:"dvVideoGainLimitLevel",
							sliderCss:"imageslider1",
							barCss:"imageBar2",
							boxCss:"boxBar",
							bBox:true,
							min:0,
							max:100,
							hints:""
						});
						sliderGainLimit.create();

						sliderGainLimit.onchange = function () {

						};
						sliderGainLimit.onend = function () {
							SetVideoGainLimit();
						};
					}
					sliderGainLimit.wsetValue(parseInt($(xmlDoc1).find('GainLimit').eq(0).text(), 10));
				}
				//锐度模式
				if ($(xmlDoc).find('SharpnessMode').length > 0) {
					$("#dvSharpnessMode").show();
					var szSharpnessModeOptions = $(xmlDoc).find('SharpnessMode').eq(0).attr("opt").split(",");
					insertOptions2Select(szSharpnessModeOptions, ["auto", "manual"], ["aModeAuto", "aModeManual"], "selSharpnessMode");
					setValueDelayIE6("selSharpnessMode", xmlDoc1, "SharpnessMode");
				}
				//锐度
				if ($(xmlDoc).find('SharpnessLevel').length > 0) {
					g_bSupportSharpness = true;
					$("#Sharpness_tr").show();
					sliderSharpness.wsetValue(parseInt($(xmlDoc1).find('SharpnessLevel').eq(0).text(), 10));
				}
				if ($(xmlDoc).find('resetImage').length > 0) {
					$("#ImageReset_tr").show();
				}
				//聚焦模式
				if ($(xmlDoc).find('focusStyle').length > 0) {
					var szFocusStyleOptions = $(xmlDoc).find('focusStyle').eq(0).attr("opt").split(",");
					if (szFocusStyleOptions.length > 1) {
						$("#FocusMode_tr").show();
						insertOptions2Select(szFocusStyleOptions, ["AUTO", "MANUAL", "SEMIAUTOMATIC"], ["aModeAuto", "aModeManual", "FocusModeAutoManual"], "FocusMode");
						setValueDelayIE6("FocusMode", xmlDoc1, "focusStyle");
					}
				}
				//最小聚焦限制
				if ($(xmlDoc).find('focusLimited').length > 0) {
					var FocusLimitedOptions = $(xmlDoc).find('focusLimited').eq(0).attr("opt").split(",");
					if (FocusLimitedOptions.length > 1) {
						$("#FocusLimited").empty();
						$("#FocusLimited_tr").show();
						for (var i = 0; i < FocusLimitedOptions.length; i++) {
							var _iFocusLimited = parseInt(FocusLimitedOptions[i], 10);
							if (65535 == _iFocusLimited) {
								$("#FocusLimited").append("<option value='65535'>INFINITE</option>");
							} else if (_iFocusLimited == 0) {
								$("#FocusLimited").append("<option value='0'>AUTO</option>");
							} else if (_iFocusLimited >= 100) {
								$("#FocusLimited").append("<option value='"+_iFocusLimited+"'>"+(_iFocusLimited/100).toFixed(1)+"m</option>");
							} else {
								$("#FocusLimited").append("<option value='"+_iFocusLimited+"'>"+_iFocusLimited+"cm</option>");
							}
						}
						setValueDelayIE6("FocusLimited", xmlDoc1, "focusLimited");
					}
				}
				//曝光模式
				if ($(xmlDoc).find('ExposureType').length > 0) {
					$("#IrisMode_tr").show();
					var szExposureTypeOptions = $(xmlDoc).find('ExposureType').eq(0).attr("opt").split(",");
					insertOptions2Select(szExposureTypeOptions, ["auto", "IrisFirst", "manual", "ShutterFirst", "gainFirst", "pIris"], ["aModeAuto", "IrisFirst", "aModeManual", "ShutterFirst", "GainFirst", "#Tamron 2.8-8mm F1.2(M13VP288-IR)"], "IrisMode");   //IPC 自动模式显示为DC-Iris
					setValueDelayIE6("IrisMode", xmlDoc1, "ExposureType");

					if ($(xmlDoc).find('pIris').length > 0) {
						$("#dvPIrisMode").show();
						$("#sePIrisMode").val($(xmlDoc1).find("pIris").eq(0).find("pIrisType").eq(0).text());
						$("#dvPIrisLevel").show();
						//PIris
						if ($("#dvPIrisLevelSlider").html() == "" || g_oSliderPIrisLevel === null) {
							g_oSliderPIrisLevel = new neverModules.modules.slider({targetId:"dvPIrisLevelSlider",
								sliderCss:"imageslider1",
								barCss:"imageBar2",
								boxCss:"boxBar",
								bBox:true,
								min:1,
								max:100,
								hints:""
							});
							g_oSliderPIrisLevel.create();

							g_oSliderPIrisLevel.onend = function () {
								setPIris();
							};
						}
						g_oSliderPIrisLevel.wsetValue(parseInt($(xmlDoc1).find("pIris").eq(0).find('IrisLevel').eq(0).text(), 10));
					}
				}
				//防过曝
				if ($(xmlDoc).find("OverexposeSuppress").length > 0) {
					$("#dvOverExposeSuppress").show();
					$("#seOverExposeSuppress").val($(xmlDoc1).find("OverexposeSuppress").eq(0).find("enabled").eq(0).text());
					//防红外过曝模式
					if ($(xmlDoc).find("OverexposeSuppress").eq(0).find("Type").length > 0) {
						$("#dvOverExposeMode").show();
						$("#dvOverExposeDis").show();
						$("#seOverExposeMode").val($(xmlDoc1).find("OverexposeSuppress").eq(0).find("Type").eq(0).text());

						if ($("#dvOverExposeDisSlider").html() == "" || g_oSliderExDis === null) {
							g_oSliderExDis = new neverModules.modules.slider({targetId:"dvOverExposeDisSlider",
								sliderCss:"imageslider1",
								barCss:"imageBar2",
								boxCss:"boxBar",
								bBox:true,
								min:1,
								max:100
							});
							g_oSliderExDis.create();

							g_oSliderExDis.onend = function () {
								SetOverExposeSuppress();
							};
						}
						g_oSliderExDis.wsetValue(parseInt($(xmlDoc1).find('DistanceLevel').eq(0).text(), 10));
					}
				}
				//自动光圈灵敏度
				if ($(xmlDoc).find('autoIrisLevel').length > 0) {
					isSupportAutoIrisLevel = true;
					$("#AutoIrisLevel_tr").show();
					sliderAutoIrisLevel.wsetValue(parseInt($(xmlDoc1).find('autoIrisLevel').eq(0).text(), 10));
				}
				//曝光时间
				if ($(xmlDoc).find('ShutterLevel').length > 0) {
					g_bSupportShutter = true;
					$("#Shutter_tr").show();
					var ShutterOptions = $(xmlDoc).find('ShutterLevel').eq(0).attr("opt").split(",");
					for (i = 0; i < ShutterOptions.length; i++) {
						/*var _iShutterVal = Math.floor(1000000/parseInt(ShutterOptions[i], 10));
						var _szShutterVal = "" + _iShutterVal;
						if (_iShutterVal > 1) {
							_szShutterVal = "1/" + _iShutterVal;
						}*/
						$("<option value='" + ShutterOptions[i] + "'>" + ShutterOptions[i] + "</option>").appendTo("#Shutter");
					}
					setValueDelayIE6("Shutter", xmlDoc1, "ShutterLevel");
				}
				//光圈
				if ($(xmlDoc).find("Iris").eq(0).find('IrisLevel').length > 0) {
					g_bSupportIris = true;
					$("#IrisLevel_tr").show();
					var IrisLevelOptions = $(xmlDoc).find("Iris").eq(0).find('IrisLevel').eq(0).attr("opt").split(",");
					for (var i = 0; i < IrisLevelOptions.length; i++) {
						if (IrisLevelOptions[i] == "0") {
							$("<option value='0' name='laClose'></option>").appendTo("#IrisLevel");
						} else {
							var _iIrisLevel = parseInt(IrisLevelOptions[i], 10);
							if (IrisLevelOptions[i].length > 3) {
								var _szIrisLevel = "f" + Math.floor(_iIrisLevel / 100);
							} else {
								var _szIrisLevel = "f" + (_iIrisLevel / 100).toFixed(1);
							}
							$("<option value='"+IrisLevelOptions[i]+"'>"+_szIrisLevel+"</option>").appendTo("#IrisLevel");
						}
					}
					setValueDelayIE6("IrisLevel", xmlDoc1, "IrisLevel");
				}
				//低照度电子快门
				if ($(xmlDoc).find('DSS').length > 0) {
					if ($(xmlDoc).find('DSS').eq(0).children().length > 0) {
						$("#DSS_tr").show();
						if ("true" == $(xmlDoc1).find('DSS').eq(0).find('enabled').eq(0).text()) {
							$("#seDSSEnabled").val("true");
							$("#DSSLevel").prop("disabled", false);
						} else {
							$("#seDSSEnabled").val("false");
							$("#DSSLevel").prop("disabled", true);
						}
					}
					//低照度电子快门等级
					if ($(xmlDoc).find('DSSLevel').length > 0) {
						$("#DSSLevel").empty();
						DSSLevelEnabled = true;
						$("#DSSLevel_tr").show();
						var DSSLevelOptions = $(xmlDoc).find('DSSLevel').eq(0).attr("opt").split(",");
						/*insertOptions2Select(DSSLevelOptions, ["low", "normal", "high"], ["aLevelLow", "aLevelNormal", "aLevelHigh"], "DSSLevel");*/
						for (var i = 0; i < DSSLevelOptions.length; i++) {
							$("<option value='"+DSSLevelOptions[i]+"'>"+(getNodeValue("laSlowShutter")+DSSLevelOptions[i])+"</option>").appendTo("#DSSLevel");
						}
						if ($(xmlDoc1).find('DSSLevel').length > 0) {
							setValueDelayIE6("DSSLevel", xmlDoc1, "DSSLevel");
						}
					}
				}
				//视频制式
				if ($(xmlDoc).find('powerLineFrequencyMode').length > 0) {
					$("#powerLine_tr").show();
					var powerLineFrequencyModeOptions = $(xmlDoc).find('powerLineFrequencyMode').eq(0).attr("opt").split(",");
					for (i = 0; i < powerLineFrequencyModeOptions.length; i++) {
						$("<option value='" + powerLineFrequencyModeOptions[i] + "'>" + powerLineFrequencyModeOptions[i] + "</option>").appendTo("#PowerLineFrequencyMode");
					}
					setValueDelayIE6("PowerLineFrequencyMode", xmlDoc1, "powerLineFrequencyMode");
				}
				//日夜切换
				if ($(xmlDoc).find('IrcutFilterType').length > 0) {
					$("#DayNightFilterType_tr").show();
					var IrcutFilterTypeOptions = $(xmlDoc).find('IrcutFilterType').eq(0).attr("opt").split(",");
					insertOptions2Select(IrcutFilterTypeOptions, ["auto", "day", "night", "schedule", "eventTrigger"], ["aModeAuto", "IrcutFilterTypeDay", "IrcutFilterTypeNight", "Schedule", "EventTrigger"], "DayNightFilterType");
					setValueDelayIE6("DayNightFilterType", xmlDoc1, "IrcutFilterType");
					//给日夜切换计划模式开始、结束时间赋默认值
					if ($(xmlDoc).find('Schedule').length > 0) {
						var szStartTime = $(xmlDoc).find('Schedule').eq(0).find('beginTime').eq(0).text();
						var szEndTime = $(xmlDoc).find('Schedule').eq(0).find('endTime').eq(0).text();
						if (szStartTime != "") {
							$('#inFilterStartTime').val(szStartTime);
						} else {
							$('#inFilterStartTime').val('00:00:00');
						}
						if (szEndTime != "") {
							$('#inFilterEndTime').val(szEndTime);
						} else {
							$('#inFilterEndTime').val('00:00:00');
						}
					}
				}
				//日夜转换等级
				if ($(xmlDoc).find('nightToDayFilterLevel').length > 0) {
					g_IsSupportDayNightLevel = true;
					$("#DayToNightFilterLevel_tr").show();
					var IrcutFilterLevelOptions = $(xmlDoc).find('nightToDayFilterLevel').eq(0).attr("opt").split(",");
					for (i = 0; i < IrcutFilterLevelOptions.length; i++) {
						$("<option value='" + IrcutFilterLevelOptions[i] + "'>" + IrcutFilterLevelOptions[i] + "</option>").appendTo("#DayToNightFilterLevel");
					}
					setValueDelayIE6("DayToNightFilterLevel", xmlDoc1, "nightToDayFilterLevel");
				}
				//日夜转换时间
				if ($(xmlDoc).find('nightToDayFilterTime').length > 0) {
					g_IsSupportDayNightFilterTime = true;
					$("#DayNightFilterTime_tr").show();
					if ($(xmlDoc).find('nightToDayFilterTime').eq(0).attr("opt")) {
						var IrcutFilterTimeOptions = $(xmlDoc).find('nightToDayFilterTime').eq(0).attr("opt").split(",");
						var _szIrcutTimeOpt = "<select id='seDayNightFilterTime' class='imgselectwidth' onchange='SetIrcutFilter()'>"
						for (i = 0; i < IrcutFilterTimeOptions.length; i++) {
							_szIrcutTimeOpt += ("<option value='" + IrcutFilterTimeOptions[i] + "'>" + IrcutFilterTimeOptions[i] + "</option>");
						}
						_szIrcutTimeOpt += "</select>";
						$("#DayNightFilterTime_tr").children("span").eq(1).html(_szIrcutTimeOpt);
						setValueDelayIE6("seDayNightFilterTime", xmlDoc1, "nightToDayFilterTime");
					} else {
						if ($("#DayNightFilterTime").html() == "" || sliderDayNightFilterTime === null) {
							var DayNightFilterTimeMin = parseInt($(xmlDoc).find('nightToDayFilterTime').eq(0).attr("min"), 10);
							var DayNightFilterTimeMax = parseInt($(xmlDoc).find('nightToDayFilterTime').eq(0).attr("max"), 10);
							sliderDayNightFilterTime = new neverModules.modules.slider({
								targetId:"DayNightFilterTime",
								sliderCss:"imageslider1",
								barCss:"imageBar2",
								boxCss:"boxBar",
								bBox:true,
								min:DayNightFilterTimeMin,
								max:DayNightFilterTimeMax,
								hints:""
							});
							sliderDayNightFilterTime.create();
							//sliderDayNightFilterTime.wsetValue(60);

							sliderDayNightFilterTime.onchange = function () {
							};
							sliderDayNightFilterTime.onend = function () {
								SetIrcutFilter();
							};
						}

						sliderDayNightFilterTime.wsetValue(parseInt($(xmlDoc1).find('nightToDayFilterTime').eq(0).text(), 10));
					}

				}

				//镜像翻转方向
				if ($(xmlDoc).find('ImageFlip').length > 0) {
					var szEnableImageFlip = $(xmlDoc1).find('ImageFlip').eq(0).find('enabled').eq(0).text();
					$("#ImageFlipStyle_tr").show();
					if ($(xmlDoc).find('ImageFlipStyle').length > 0) {
						var ImageFlipStyleOptions = $(xmlDoc).find('ImageFlipStyle').eq(0).attr("opt").split(",");
						insertOptions2Select(ImageFlipStyleOptions, ["LEFTRIGHT", "UPDOWN", "CENTER"], ["ImageFlipStyleLR", "ImageFlipStyleUD", "aModeCenter"], "ImageFlipStyle");
						$("<option name='laClose' value='false'></option>").appendTo("#ImageFlipStyle");
						//是否启用镜像翻转
						if (szEnableImageFlip == "true") {
							setValueDelayIE6("ImageFlipStyle", xmlDoc1, "ImageFlipStyle");
						} else {
							setValueDelayIE6("ImageFlipStyle", null, "", "false");
						}
					} else {
						$("<option name='laToOpen' value='true'></option><option name='laClose' value='false'></option>").appendTo("#ImageFlipStyle");
						//是否启用镜像翻转
						if (szEnableImageFlip == "true") {
							setValueDelayIE6("ImageFlipStyle", null, "", "true");
						} else {
							setValueDelayIE6("ImageFlipStyle", null, "", "false");
						}
					}
				}
				//支持宽动态
				if ($(xmlDoc).find('WDR').length > 0) {
					if ($(xmlDoc).find('WDR').eq(0).find('mode').length > 0) {
						$("#WDR_tr").show();
						isSupportWDR = true;
						//2011-07-14 [guibo] add  宽动态支持3种模式   START
						var szWDROptions = $(xmlDoc).find('WDR').eq(0).find('mode').eq(0).attr("opt").split(",");
						insertOptions2Select(szWDROptions, ["close", "open", "auto"], ["laClose", "laToOpen", "aModeAuto"], "WDREnabled");
						//2011-07-14 [guibo] add  宽动态支持3种模式   END

						if ($(xmlDoc).find("WDR").eq(0).find('WDRLevel').length > 0) {
							isSupportWDRLevel = true;
							isSupportWDRLevel1 = true;
						}
						if ($(xmlDoc).find("WDR").eq(0).find('WDRLevel1').eq(0).find("Level2").length > 0) {
							isSupportWDRLevel = true;
							isSupportWDRLevel2 = true;
						}
						//支持宽动态对比度等级
						if ($(xmlDoc).find("WDR").eq(0).find('WDRContrastLevel').length > 0) {
							isSupportWDRContrastLevel = true;
						}
						//宽动态当前参数值
						var WDRCurValue = $(xmlDoc1).find('WDR').eq(0).find('mode').eq(0).text();

						setValueDelayIE6("WDREnabled", null, "", WDRCurValue);
						//支持宽动态等级
						if (isSupportWDRLevel) {
							//支持宽动态等级1
							if (isSupportWDRLevel1) {
								$("#WDRLevel_tr1").show();
								if ($("#WDRLevel1").html() == "" || sliderWDRLevel1 === null) {  //未创建滑动条
									var iMin = 0;
									var iMax = 100;
									if ($(xmlDoc).find("WDR").eq(0).find('WDRLevel[min][max]').length > 0) {
										iMin = parseInt($(xmlDoc).find("WDR").eq(0).find('WDRLevel').eq(0).attr("min"), 10);
										iMax = parseInt($(xmlDoc).find("WDR").eq(0).find('WDRLevel').eq(0).attr("max"), 10);
									}
									sliderWDRLevel1 = new neverModules.modules.slider({targetId:"WDRLevel1",
										sliderCss:"imageslider1",
										barCss:"imageBar2",
										boxCss:"boxBar",
										bBox:true,
										min:iMin,
										max:iMax,
										hints:""
									});
									sliderWDRLevel1.create();
									sliderWDRLevel1.onend = function () {
										SetWDR();
									};
								}
								sliderWDRLevel1.wsetValue(parseInt($(xmlDoc1).find("WDR").eq(0).find('WDRLevel').eq(0).text(), 10));
							}
							//支持宽动态等级2
							if (isSupportWDRLevel2) {
								$("#WDRLevel_tr2").show();
								$("#laWDRNumberOne").show();
								if ($("#WDRLevel2").html() == "" || sliderWDRLevel2 === null) {  //未创建滑动条
									var iMin = 0;
									var iMax = 100;
									if ($(xmlDoc).find("WDR").eq(0).find('WDRLevel1[min][max]').length > 0) {
										iMin = parseInt($(xmlDoc).find("WDR").eq(0).find('WDRLevel1').eq(0).attr("min"), 10);
										iMax = parseInt($(xmlDoc).find("WDR").eq(0).find('WDRLevel1').eq(0).attr("max"), 10);
									}
									sliderWDRLevel2 = new neverModules.modules.slider({targetId:"WDRLevel2",
										sliderCss:"imageslider1",
										barCss:"imageBar2",
										boxCss:"boxBar",
										bBox:true,
										min:iMin,
										max:iMax,
										hints:""
									});
									sliderWDRLevel2.create();
									sliderWDRLevel2.onend = function () {
										SetWDR();
									};
								}
								sliderWDRLevel2.wsetValue(parseInt($(xmlDoc1).find("WDR").eq(0).find('WDRLevel1').eq(0).text(), 10));
							} else {
								$("#laWDRNumberOne").hide();
							}
						}
						//支持宽动态对比度等级
						if (isSupportWDRContrastLevel) {
							$("#WDRContrastLevel_tr").show();
							if ($("#WDRContrastLevel").html() == "" || sliderWDRContrastLevel === null) {  //未创建滑动条
								var iMin = 0;
								var iMax = 100;
								if ($(xmlDoc).find("WDR").eq(0).find('WDRContrastLevel[min][max]').length > 0) {
									iMin = parseInt($(xmlDoc).find("WDR").eq(0).find('WDRContrastLevel').eq(0).attr("min"), 10);
									iMax = parseInt($(xmlDoc).find("WDR").eq(0).find('WDRContrastLevel').eq(0).attr("max"), 10);
								}
								sliderWDRContrastLevel = new neverModules.modules.slider({targetId:"WDRContrastLevel",
									sliderCss:"imageslider1",
									barCss:"imageBar2",
									boxCss:"boxBar",
									bBox:true,
									min:iMin,
									max:iMax,
									hints:""
								});
								sliderWDRContrastLevel.create();
								sliderWDRContrastLevel.onend = function () {
									SetWDR();
								};
							}
							sliderWDRContrastLevel.wsetValue(parseInt($(xmlDoc1).find('WDRContrastLevel').eq(0).text(), 10));
						}
						//禁用宽动态
						if (WDRCurValue == "close") {
							$("#WDRLevel_tr1").hide();
							$("#WDRLevel_tr2").hide();
							$("#WDRContrastLevel_tr").hide();
						}
					}
				}
				//镜头初始化
				if ($(xmlDoc).find('LensInitialization').length > 0) {
					if ($(xmlDoc).find('LensInitialization').eq(0).find('enabled').length > 0) {
						$("#LensInit_tr").show();
						$("#LensInitEnabled").prop("checked", $(xmlDoc1).find('LensInitialization').eq(0).find('enabled').eq(0).text() == "true");
					}
				}
				//背光补偿
				if ($(xmlDoc).find('BLC').length > 0) {
					if ($(xmlDoc).find('BLC').eq(0).find('enabled').length > 0) {
						if (window.parent.g_szDeviceType != "IPCamera") {
							$("#BLCMode_tr").show();
							if ($(xmlDoc).find('BLCMode').length > 0) {
								$("<option name='laClose' value='false'></option>").appendTo("#BLCMode");
								var BLCModeOptions = $(xmlDoc).find('BLCMode').eq(0).attr("opt").split(",");
								insertOptions2Select(BLCModeOptions, ["UP", "DOWN", "LEFT", "RIGHT", "CENTER", "Region", "OPEN", "AUTO"], ["BLCModeUp", "BLCModeDown", "BLCModeLeft", "BLCModeRight", "aModeCenter", "constantBitRateOpt23", "laToOpen", "aModeAuto"], "BLCMode");
								isSupportBLCMode = true;
							} else {
								$("#laBLCMode").attr("name", "laBLC").html(getNodeValue("laBLC"));
								$("<option name='laToOpen' value='true'></option><option name='laClose' value='false'></option>").appendTo("#BLCMode");
							}
						} else {
							$("#BLCMode_tr").show();
							$("<option name='laClose' value='false'></option>").appendTo("#BLCMode");
							if ($(xmlDoc).find('BLCMode').length > 0) {
								var BLCModeOptions = $(xmlDoc).find('BLCMode').eq(0).attr("opt").split(",");
								//兼容IPC，过滤掉"CLOSE"选项
								BLCModeOptions = $.grep(BLCModeOptions, function (szMode, i) {
									return szMode != "CLOSE";
								});
								insertOptions2Select(BLCModeOptions, ["CLOSE", "UP", "DOWN", "LEFT", "RIGHT", "CENTER", "Region", "OPEN", "AUTO"], ["laClose", "BLCModeUp", "BLCModeDown", "BLCModeLeft", "BLCModeRight", "aModeCenter", "constantBitRateOpt23", "laToOpen", "aModeAuto"], "BLCMode");
								isSupportBLCMode = true;
							}
						}
						//是否支持背光补偿等级
						if ($(xmlDoc).find('BLCLevel').length > 0) {
							isSupportBLCLevel = true;
							$("#BLCLevel_tr").show();
							sliderBLCLevel.wsetValue(parseInt($(xmlDoc1).find('BLCLevel').eq(0).text(), 10));
							$("#BLCLevel_tr").hide();
						}
						var szEnableBLC = $(xmlDoc1).find('BLC').eq(0).find('enabled').eq(0).text();
						//启用背光补偿
						if (szEnableBLC == "true") {
							if (isSupportBLCMode) {
								setValueDelayIE6("BLCMode", xmlDoc1, "BLCMode");
							} else {
								setValueDelayIE6("BLCMode", null, "", "true");
							}
							if (isSupportBLCLevel) {
								if (WDRCurValue == "close" || $("#WDR_tr").css("display") == "none") {
									$("#BLCLevel_tr").show();
								}
							}
						} else {
							setValueDelayIE6("BLCMode", null, "", "false");
							$("#BLCLevel_tr").hide();
						}
					}
				}
				//白平衡
				if ($(xmlDoc).find('WhiteBalanceStyle').length > 0) {
					$("#WhiteBlanceStyle_tr").show();
					var WhiteBlanceStyleOptions = $(xmlDoc).find('WhiteBalanceStyle').eq(0).attr("opt").split(",");
					insertOptions2Select(WhiteBlanceStyleOptions, ["auto", "indoor", "outdoor", "manual", "autotrace", "sodiumlight", "mercurylight", "onece", "daylightLamp", "auto1", "auto2", "autooutdoor", "autosodiumlight", "locked", "incandescentlight", "warmlight", "naturallight"], ["WhiteBlanceStyleAuto", "SceneOptionIndoor", "SceneOptionOutdoor", "WhiteBlanceStyleManual", "autoTrack", "SodiumLight", "MercuryLight", "Onepush", "daylightLamp", "WhiteBlanceStyle1", "WhiteBlanceStyle2", "OutdoorAuto", "SodiumLightAuto", "WBLocked", "IncandescentLamp", "WarmLightLamp", "NaturalLight"], "WhiteBalanceStyle");
					setValueDelayIE6("WhiteBalanceStyle", xmlDoc1, "WhiteBalanceStyle");
				}
				//是否支持白平衡红色增益
				if ($(xmlDoc).find('WhiteBalanceRed').length > 0) {
					isSupportWhiteBlanceRed = true;
					$("#WhiteBlanceRed_tr").show();
					if ($("#WhiteBalanceRed").html() == "" || sliderWhiteBlanceRed === null) {  //未创建滑动条
						var iRedMax = $(xmlDoc).find('WhiteBalanceRed').eq(0).attr("max");
						sliderWhiteBlanceRed = new neverModules.modules.slider({
								targetId:"WhiteBalanceRed",
								sliderCss:"imageslider1",
								barCss:"imageBar2",
								boxCss:"boxBar",
								bBox:true,
								min:0,
								max:(iRedMax ? parseInt(iRedMax, 10) : 255),
								hints:""
							});
						sliderWhiteBlanceRed.create();

						sliderWhiteBlanceRed.onchange = function () {
						};
						sliderWhiteBlanceRed.onend = function () {
							SetWhiteBlance();
						};
					}
					sliderWhiteBlanceRed.wsetValue(parseInt($(xmlDoc1).find('WhiteBalanceRed').eq(0).text(), 10));
				}
				//是否支持白平衡蓝色增益
				if ($(xmlDoc).find('WhiteBalanceBlue').length > 0) {
					isSupportWhiteBlanceBlue = true;
					$("#WhiteBlanceBlue_tr").show();
					if ($("#WhiteBalanceBlue").html() == "" || sliderWhiteBlanceBlue === null) {    //未创建滑动条
						var iBlueMax = $(xmlDoc).find('WhiteBalanceBlue').eq(0).attr("max");
						sliderWhiteBlanceBlue = new neverModules.modules.slider({
								targetId:"WhiteBalanceBlue",
								sliderCss:"imageslider1",
								barCss:"imageBar2",
								boxCss:"boxBar",
								bBox:true,
								min:0,
								max:(iBlueMax ? parseInt(iBlueMax, 10) : 255),
								hints:""
							});
						sliderWhiteBlanceBlue.create();
						sliderWhiteBlanceBlue.wsetValue(parseInt($(xmlDoc1).find('WhiteBalanceBlue').eq(0).text(), 10));

						sliderWhiteBlanceBlue.onchange = function () {
						};
						sliderWhiteBlanceBlue.onend = function () {
							SetWhiteBlance();
						};
					}
					sliderWhiteBlanceBlue.wsetValue(parseInt($(xmlDoc1).find('WhiteBalanceBlue').eq(0).text(), 10));
				}
				//数字降噪
				if ($(xmlDoc).find('NoiseReduce').length > 0) {
					if ($(xmlDoc).find('NoiseReduce').eq(0).find('mode').length > 0) {
						$("#NosiseReduceExt_tr").show();
						var szNosiseReduceModeOptions = $(xmlDoc).find('NoiseReduce').eq(0).find('mode').eq(0).attr("opt").split(",");
						insertOptions2Select(szNosiseReduceModeOptions, ["general", "advanced", "*"], ["NosiseReduceGeneral", "NosiseReduceAdvanced", "laClose"], "NosiseReduceExtMode");
						//除了关闭只有一个选项，则显示为开启/关闭
						var oCloseElseOpt = $("#NosiseReduceExtMode").children("option").filter(function () {
							return $(this).attr("name") != "laClose";
						});
						if (oCloseElseOpt.length == 1) {
							oCloseElseOpt.eq(0).attr("name", "laToOpen");
						}

						var szCurNosiseMode = $(xmlDoc1).find('NoiseReduce').eq(0).find('mode').eq(0).text();
						setValueDelayIE6("NosiseReduceExtMode", null, "", szCurNosiseMode);

						$("#GeneralLevel_tr").show();
						generalLevel.wsetValue(parseInt($(xmlDoc).find('generalLevel').eq(0).text(), 10));

						$("#InterFrameNoiseReduceLevel_tr").show();
						interFrameNoiseReduceLevel.wsetValue(parseInt($(xmlDoc).find('InterFrameNoiseReduceLevel').eq(0).text(), 10));

						$("#FrameNoiseReduceLevel_tr").show();
						frameNoiseReduceLevel.wsetValue(parseInt($(xmlDoc).find('FrameNoiseReduceLevel').eq(0).text(), 10));
					}
				}
				//电子云台
				if ($(xmlDoc).find('EPTZ').length > 0) {
					$("#EPTZ_tr").show();
					var EPTZEnableOptions = $(xmlDoc).find('EPTZ').eq(0).find('enabled').eq(0).attr("opt").split(",");
					insertOptions2Select(EPTZEnableOptions, ["true", "false"], ["laToOpen", "laClose"], "selEPTZEnable");
					setValueDelayIE6("selEPTZEnable", $(xmlDoc1).find('EPTZ').eq(0), "enabled");
				}
				//室内外模式
				if ($(xmlDoc).find('Scene').length > 0) {
					$("#Scene_tr").show();
					var SceneOptions = $(xmlDoc).find('Scene').eq(0).find('mode').eq(0).attr("opt").split(",");
					insertOptions2Select(SceneOptions, ["indoor", "outdoor", "standard", "dimLight"], ["SceneOptionIndoor", "SceneOptionOutdoor", "optStandard", "optDimLight"], "selScene");
					setValueDelayIE6("selScene", $(xmlDoc1).find('Scene').eq(0), "mode");
				}
				//去雾
				if ($(xmlDoc).find("Dehaze").length > 0) {
					g_IsSupportDehaze = true;
					if ($(xmlDoc).find("DehazeMode").length > 0) {
						g_IsSupportDehazeMode = true;
					} else {
						g_IsSupportDehazeMode = false;
					}
				} else {
					g_IsSupportDehaze = false;
					g_IsSupportDehazeMode = false;
				}
				if ($(xmlDoc).find("DehazeLevel").length > 0) {
					g_IsSupportDehazeLevel = true;
				}
				if (g_IsSupportDehaze) {
					$("#dvEnableDehaze").show();
					if (g_IsSupportDehazeMode) {
						$("#selDehaze").empty();
						var aDehazeOpt = $(xmlDoc).find('DehazeMode').eq(0).attr("opt").split(",");
						insertOptions2Select(aDehazeOpt, ["open", "close", "auto"], ["laToOpen", "laClose", "aModeAuto"], "selDehaze");
						setValueDelayIE6("selDehaze", xmlDoc1, "DehazeMode");
					} else {
						$("#selDehaze").val($(xmlDoc1).find("Dehaze").eq(0).find("enabled").eq(0).text());
					}
				}
				if (g_IsSupportDehazeLevel) {
					$("#dvDehazeLevel").show();
					g_oSliderDehazeLevel.wsetValue(parseInt($(xmlDoc1).find('DehazeLevel').eq(0).text(), 10));
				}
				//变倍限制
				if ($(xmlDoc).find('ZoomLimit').length > 0) {
					$("#dvZoomLimit").show();
					var ZoomLimitOptions = $(xmlDoc).find('ZoomLimitRatio').eq(0).attr("opt").split(",");
					for (i = 0; i < ZoomLimitOptions.length; i++) {
						$("<option value='" + ZoomLimitOptions[i] + "'>" + ZoomLimitOptions[i] + "</option>").appendTo("#selZoomLimit");
					}
					setValueDelayIE6("selZoomLimit", xmlDoc1, "ZoomLimitRatio");
				}
				//电子防抖等级
				if ($(xmlDoc).find('EIS').length > 0) {
					$("#dvEIS").show();

					$("#selEnableEIS").empty();
					$("<option name='laClose' value='false'></option><option name='laToOpen' value='true'></option>").appendTo("#selEnableEIS");
					var TmpDoc = $(xmlDoc1).find("EIS").eq(0);
					setValueDelayIE6("selEnableEIS", TmpDoc, "enabled");
					//$("#selEnableEIS").val($(xmlDoc1).find("EIS").eq(0).find("enabled").eq(0).text());
					if ($(xmlDoc).find('EIS').eq(0).find("EISLevel").length > 0) {
						$("#dvEISLevel").show();
						g_oSliderEISLevel.wsetValue(parseInt($(xmlDoc1).find('EISLevel').eq(0).text(), 10));
					}

				}
				//色彩抑制等级
				if ($(xmlDoc).find('ChromaSuppress').length > 0) {
					$("#dvChromaSuppress").show();
					g_oSliderCSLevel.wsetValue(parseInt($(xmlDoc1).find('ChromaSuppressLevel').eq(0).text(), 10));
				}
				//强光抑制等级
				if ($(xmlDoc).find('HLC').length > 0) {
					$("#dvHLC").show();
					var szHLCEnable = $(xmlDoc1).find('HLC').eq(0).find('enabled').eq(0).text();
					$("#selEnableHLC").val(szHLCEnable);
					if ($(xmlDoc).find('HLCLevel').length > 0) {
						$("#dvHLCLevel").show();
						if ($("#dvHLCLevelSlider").html() == "" || g_oSliderHLCLevel === null) {
							var iHLCMin = $(xmlDoc).find('HLCLevel').eq(0).attr("min");
							var iHLCMax = $(xmlDoc).find('HLCLevel').eq(0).attr("max");
							//强光抑制
							g_oSliderHLCLevel = new neverModules.modules.slider({
									targetId:"dvHLCLevelSlider",
									sliderCss:"imageslider1",
									barCss:"imageBar2",
									boxCss:"boxBar",
									bBox:true,
									min:(iHLCMin ? parseInt(iHLCMin, 10) : 0),
									max:(iHLCMax ? parseInt(iHLCMax, 10) : 100),
									hints:""
								});
							g_oSliderHLCLevel.create();

							g_oSliderHLCLevel.onchange = function () {
							};
							g_oSliderHLCLevel.onend = function () {
								setHLCLevel();
							};
						}

						g_oSliderHLCLevel.wsetValue(parseInt($(xmlDoc1).find('HLCLevel').eq(0).text(), 10));
					}
				}
				//曝光补偿等级
				if ($(xmlDoc).find('ExpComp').length > 0) {
					$("#dvExpComp").show();
					g_oSliderExpCompLevel.wsetValue(parseInt($(xmlDoc1).find('ExpCompLevel').eq(0).text(), 10));
				}
				//伽马校正等级
				if ($(xmlDoc).find('gammaCorrection').length > 0) {
					$("#dvGamaCorrect").show();
					g_oSliderGamaCorrLevel.wsetValue(parseInt($(xmlDoc1).find('gammaCorrectionLevel').eq(0).text(), 10));
				}
				//红外灯
				if ($(xmlDoc).find('IrLight').length > 0) {
					$("#dvIRLight").show();
					//红外灯模式
					var aIRLightMode = $(xmlDoc).find('IrLight').eq(0).find("mode").eq(0).attr("opt").split(",");
					insertOptions2Select(aIRLightMode, ["auto", "manual"], ["aModeAuto", "aModeManual"], "selIRLightMode");
					setValueDelayIE6("selIRLightMode", $(xmlDoc1).find('IrLight').eq(0), "mode");
					//红外灯触发模式
					if ($(xmlDoc).find('IrLight').eq(0).find("trigMode").length > 0) {
						$("#dvIRTriggerMode").show();
						var aIRLightTriggerMode = $(xmlDoc).find('IrLight').eq(0).find("trigMode").eq(0).attr("opt").split(",");
						insertOptions2Select(aIRLightTriggerMode, ["camera", "photosensitive"], ["optCamera", "optPhotosensitive"], "selIRLightTriggerMode");
						setValueDelayIE6("selIRLightTriggerMode", $(xmlDoc).find('IrLight').eq(0), "trigMode");
					}
					//红外灯亮度限制
					if ($(xmlDoc).find('IrLight').eq(0).find("brightnessLimit").length > 0) {
						$("#dvIRLightBrightLimit").show();
						if ($("#dvIRLightBrightLimitSlider").html() == "" || g_oIRLightLimitSlider === null) {
							var iIRLightLimitMin = $(xmlDoc).find('brightnessLimit').eq(0).attr("min");
							var iIRLightLimitMax = $(xmlDoc).find('brightnessLimit').eq(0).attr("max");
							
							g_oIRLightLimitSlider = new neverModules.modules.slider({
									targetId:"dvIRLightBrightLimitSlider",
									sliderCss:"imageslider1",
									barCss:"imageBar2",
									boxCss:"boxBar",
									bBox:true,
									min:(iIRLightLimitMin ? parseInt(iIRLightLimitMin, 10) : 0),
									max:(iIRLightLimitMax ? parseInt(iIRLightLimitMax, 10) : 100),
									hints:""
								});
							g_oIRLightLimitSlider.create();

							g_oIRLightLimitSlider.onchange = function () {
							};
							g_oIRLightLimitSlider.onend = function () {
								setIR();
							};
						}
						g_oIRLightLimitSlider.wsetValue(parseInt($(xmlDoc).find('IrLight').eq(0).find('brightnessLimit').eq(0).text(), 10));
					}
					//红外灯灵敏度
					$("#dvIRLightSen").show();
					g_oIRLightSenSlider.wsetValue(parseInt($(xmlDoc).find('IrLight').eq(0).find('sensitivityLevel').eq(0).text(), 10));
					//红外灯亮度
					$("#dvIRLightBright").show();
					g_oIRLightBrightSlider.wsetValue(parseInt($(xmlDoc).find('IrLight').eq(0).find('brightnessLevel').eq(0).text(), 10));

				}
				//低照度增强
				if ($(xmlDoc).find('ImageEnhancement').length > 0) {
					$("#dvEnhancement").show();
					$("#selEnableEnHancement").val($(xmlDoc1).find('ImageEnhancement').eq(0).find("enabled").eq(0).text());
				}
				//灰度范围
				if ($(xmlDoc).find('grayScale').length > 0) {
					$("#dvGrayScale").show();
					$("#selGrayScale").val($(xmlDoc1).find("grayScaleMode").eq(0).text());
				}
				//走廊模式
				if ($(xmlDoc).find('corridor').length > 0) {
					$("#dvCorridor").show();
					$("#seCorridor").val($(xmlDoc1).find("corridor").eq(0).find("enabled").eq(0).text());
				}
				//capture mode
				if ($(xmlDoc).find("CaptureMode").length > 0) {
					$("#dvCaptureMode").show();
					var CaptureModeOptions = $(xmlDoc).find('CaptureMode').eq(0).find('mode').eq(0).attr("opt").split(",");
					for (var i = 0; i < CaptureModeOptions.length; i++) {
						if ("close" == CaptureModeOptions[i]) {
							$("<option name='laClose' value='"+CaptureModeOptions[i]+"'></option>").appendTo("#seCaptureMode");
						} else {
							$("<option value='"+CaptureModeOptions[i]+"'>"+CaptureModeOptions[i]+"</option>").appendTo("#seCaptureMode");
						}
					}
					setValueDelayIE6("seCaptureMode", $(xmlDoc1).find('CaptureMode').eq(0), "mode");
				}
				//本地输出
				if (g_bSupportLocalOutput) {
					$("#dvLocalOutput").show();
				}
				/***********关联关系 start*********/
				//锐度模式和锐度关联关系
				if ($(xmlDoc1).find('SharpnessMode').eq(0).text() == "auto") {
					$("#Sharpness_tr").hide();
				}
				//非IPC下曝光模式和增益的关联关系
				if (window.parent.g_szDeviceType != "IPCamera") {
					if ($(xmlDoc1).find("ExposureType").eq(0).text() != "manual" && $(xmlDoc1).find("ExposureType").eq(0).text() != "gainFirst") {
						$("#VideoGain_tr").hide();    //当日夜切换为"自动"时，增益无效
					}
				}
				//自动光圈和灵敏度的关联关系
				if ("auto" != $(xmlDoc1).find('ExposureType').eq(0).text()) {
					$("#AutoIrisLevel_tr").hide();
				}
				//球机下曝光模式和曝光时间的关联关系
				if (window.parent.g_szDeviceType != "IPCamera") {
					if ($(xmlDoc1).find("ExposureType").eq(0).text() != "ShutterFirst" && $(xmlDoc1).find("ExposureType").eq(0).text() != "manual") {
						$("#Shutter_tr").hide();
					}
				}
				//球机下曝光模式和光圈的关联关系
				if (window.parent.g_szDeviceType != "IPCamera") {
					if ($(xmlDoc1).find("ExposureType").eq(0).text() != "IrisFirst" && $(xmlDoc1).find("ExposureType").eq(0).text() != "manual") {
						$("#IrisLevel_tr").hide();
					}
				}
				//非球机日夜切换模式与增益的关联关系
				if (window.parent.g_szDeviceType == "IPCamera") {
					if (!isSupportGain) {  //这里看能力来
						$("#VideoGain_tr").hide();    //当日夜切换为"自动"时，增益无效
					}
					if ($(xmlDoc1).find("IrcutFilterType").eq(0).text() != "auto") {
						$("#DayToNightFilterLevel_tr").hide();
						$("#DayNightFilterTime_tr").hide();
					}
				}
				//日夜切换计划模式
				if ($(xmlDoc1).find("IrcutFilterType").eq(0).text() == "schedule") {
					$("#dvFilterStartTime").show();
					$("#dvFilterEndTime").show();
					var szStartTime = $(xmlDoc1).find('Schedule').eq(0).find('beginTime').eq(0).text();
					var szEndTime = $(xmlDoc1).find('Schedule').eq(0).find('endTime').eq(0).text();
					if (szStartTime != "") {
						$('#inFilterStartTime').val(szStartTime);
					} else {
						$('#inFilterStartTime').val('00:00:00');
					}
					if (szEndTime != "") {
						$('#inFilterEndTime').val(szEndTime);
					} else {
						$('#inFilterEndTime').val('00:00:00');
					}
				} else {
					$("#dvFilterStartTime").hide();
					$("#dvFilterEndTime").hide();
				}
				//日夜切换事件模式
				if ($(xmlDoc1).find("IrcutFilterType").eq(0).text() == "eventTrigger") {
					$("#dvDayOrNight").show();
					$("#selIrcutFilterAction").val($(xmlDoc1).find("IrcutFilterAction").eq(0).text());
				} else {
					$("#dvDayOrNight").hide();
				}
				//球机下曝光模式和日夜转换模式的关联关系
				if (window.parent.g_szDeviceType == "IPDome") {
					if ("auto" != $(xmlDoc1).find("IrcutFilterType").eq(0).text() || "auto" != $(xmlDoc1).find("ExposureType").eq(0).text()) {
						$("#DayToNightFilterLevel_tr").hide();
					}
				}
				//IPC背光补偿与宽动态关联关系
				if (window.parent.g_szDeviceType == "IPCamera") {
					if ($(xmlDoc1).find('WDR').eq(0).find('mode').length > 0 && $(xmlDoc1).find('WDR').eq(0).find('mode').eq(0).text() !== "close") {
						$("#BLCMode_tr").hide();
						$("#BLCLevel_tr").hide();
					}
					if ($(xmlDoc1).find('BLC').eq(0).find('enabled').length > 0 && $(xmlDoc1).find('BLC').eq(0).find('enabled').eq(0).text() !== "false") {
						$("#WDR_tr").hide();
						$("#WDRLevel_tr1").hide();
						$("#WDRLevel_tr2").hide();
						$("#WDRContrastLevel_tr").hide();
					}
				}
				//白平衡关联关系
				if ($(xmlDoc1).find('WhiteBalanceStyle').eq(0).text() !== "manual") {
					$("#WhiteBlanceRed_tr").hide();
					$("#WhiteBlanceBlue_tr").hide();
				}
				//数字降噪关联关系
				if (szCurNosiseMode == "general")                //普通模式
				{
					$("#InterFrameNoiseReduceLevel_tr").hide();

					$("#FrameNoiseReduceLevel_tr").hide();

					generalLevel.wsetValue(parseInt($(xmlDoc1).find('generalLevel').eq(0).text(), 10));
				} else if (szCurNosiseMode == "advanced")            //专家模式
				{
					$("#GeneralLevel_tr").hide();

					interFrameNoiseReduceLevel.wsetValue(parseInt($(xmlDoc1).find('InterFrameNoiseReduceLevel').eq(0).text(), 10));

					frameNoiseReduceLevel.wsetValue(parseInt($(xmlDoc1).find('FrameNoiseReduceLevel').eq(0).text(), 10));
				} else                                            //关闭
				{
					$("#GeneralLevel_tr").hide();

					$("#InterFrameNoiseReduceLevel_tr").hide();

					$("#FrameNoiseReduceLevel_tr").hide();
				}
				//背光补偿关联关系
				if ("none" != $("#BLCMode_tr").css("display")) {
					if ($(xmlDoc1).find('BLC').eq(0).find('BLCMode').eq(0).text() == "Region") {
						setBLCRegionToPlugin(xmlDoc1);
						/*HWP.SetDrawStatus(true);
						 $("#btnSetBLCRegion").css({"position":"absolute","left":($("#BLCMode").position().left+$("#BLCMode").width()+3)+"px","top":($("#BLCMode").position().top-2)+"px"}).show();*/
						$("#divBLCEdit").show();
					}
				}
				//强光抑制关联关系
				if ("false" == szHLCEnable) {
					$("#dvHLCLevel").hide();
				}
				//红外灯关联关系
				if ($(xmlDoc1).find('IrLight').eq(0).find("mode").eq(0).text() == "auto") {
					$("#dvIRLightBright").hide();
					$("#dvIRLightSen").show();
					if ($("#selIRLightTriggerMode").find("option").length > 0) {
						$("#dvIRTriggerMode").show();
					}
					if (g_oIRLightLimitSlider !== null) {
						$("#dvIRLightBrightLimit").show();
					}
					g_oIRLightSenSlider.wsetValue(parseInt($(xmlDoc1).find('IrLight').eq(0).find('sensitivityLevel').eq(0).text(), 10));
				} else {
					$("#dvIRLightBright").show();
					$("#dvIRLightSen").hide();
					$("#dvIRTriggerMode").hide();
					$("#dvIRLightBrightLimit").hide();
					g_oIRLightBrightSlider.wsetValue(parseInt($(xmlDoc1).find('IrLight').eq(0).find('brightnessLevel').eq(0).text(), 10));
				}
				//去雾关联关系
				if ($(xmlDoc1).find("Dehaze").eq(0).find("enabled").eq(0).text() == "true" || $(xmlDoc1).find("Dehaze").eq(0).find("DehazeMode").eq(0).text() == "open") {
					if (g_IsSupportDehazeLevel) {
						$("#dvDehazeLevel").show();
					}
				} else {
					$("#dvDehazeLevel").hide();
				}
				//防红外曝光模式关联关系
				if ("true" == $(xmlDoc1).find("OverexposeSuppress").eq(0).find("enabled").eq(0).text()) {
					if (g_oSliderExDis != null) {
						$("#dvOverExposeMode").show();
					}
					if ($("#dvOverExposeMode").css("display") != "none") {
						if ($(xmlDoc1).find("OverexposeSuppress").eq(0).find("Type").eq(0).text() == "MANUAL") {
							$("#dvOverExposeDis").show();
						} else {
							$("#dvOverExposeDis").hide();
						}
					}
				} else {
					$("#dvOverExposeMode").hide();
					$("#dvOverExposeDis").hide();
				}
				//PIris关联关系
				if ($(xmlDoc1).find("ExposureType").eq(0).text() == "pIris") {
					$("#dvPIrisMode").show();
					$("#IrisMode").attr("title", "Tamron 2.8-8mm F1.2(M13VP288-IR)");
					if ($(xmlDoc1).find("pIris").eq(0).find("pIrisType").eq(0).text() == "MANUAL") {
						$("#dvPIrisLevel").show();
					} else {
						$("#dvPIrisLevel").hide();
					}
				} else {
					$("#dvPIrisMode").hide();
					$("#dvPIrisLevel").hide();
				}

				/***********关联关系 end*********/
				//翻译页面
				g_transStack.translate();
				if (g_oSliderExDis != null) {
					g_oSliderExDis.setTitle(getNodeValue("jsSmartIRLecelTips"));
				}
				var oImageTypeSet = $("#dvISPParam").children("div .imagetype");
				//隐藏没有任何选项的分类
				oImageTypeSet.each(function (i) {
					if ($(this).children("div").eq(1).children("div:visible").length == 0) {
						$(this).hide();
					}
				});
				//显示上次的分类
				var iCurImageType = parseInt($.cookie("curImageTypeIndex"), 10);
				if (!isNaN(iCurImageType)) {
					if ("none" != oImageTypeSet.eq(iCurImageType).css("display")) {
						oImageTypeSet.eq(iCurImageType).children("div").eq(0).click().click();
					} else {
						oImageTypeSet.filter(":visible").eq(0).children("div").eq(0).click().click();
					}

				} else {
					oImageTypeSet.eq(0).children("div").eq(0).click().click();
				}
				//自适应高度
				autoResizeIframe();
			}
		});
}
/*************************************************
 Function:        SetVideoParamColor
 Description:    设置视频参数的亮度
 Input:
 Output:            无
 return:            无
 *************************************************/
function SetVideoParamColor() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var szXml = "<?xml version='1.0' encoding='UTF-8'?><Color>";
	if ($("#VideoBright_tr").css("display") != "none") {
		szXml += "<brightnessLevel>" + sliderBright.getValue() + "</brightnessLevel>";
	}
	if ($("#VideoContrast_tr").css("display") != "none") {
		szXml += "<contrastLevel>" + sliderContrast.getValue() + "</contrastLevel>";
	}
	if ($("#VideoSaturation_tr").css("display") != "none") {
		szXml += "<saturationLevel>" + sliderSaturation.getValue() + "</saturationLevel>";
	}
	if ($("#VideoHue_tr").css("display") != "none") {
		szXml += "<hueLevel>" + sliderHue.getValue() + "</hueLevel>";
	}
	szXml += "</Color>";
	var xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/color";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/color/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/color/night";
			}
		}
	}
	$.ajax({
			type:"PUT",
			beforeSend:function (xhr) {
				xhr.setRequestHeader("If-Modified-Since", "0");
				xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
			},
			url:szURL,
			processData:false,
			data:xmlDoc,
			complete:function (xhr, textStatus) {
				SaveState(xhr);
			}
		});
}
/*************************************************
 Function:        SetVideoGain
 Description:    设置增益参数
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function SetVideoGain() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var szXml = "<?xml version='1.0' encoding='UTF-8'?><Gain><GainLevel>" + sliderGain.getValue() + "</GainLevel></Gain>";
	var xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/Gain";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/Gain/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/Gain/night";
			}
		}
	}
	$.ajax({
			type:"PUT",
			beforeSend:function (xhr) {
				xhr.setRequestHeader("If-Modified-Since", "0");
				xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
			},
			url:szURL,
			processData:false,
			data:xmlDoc,
			complete:function (xhr, textStatus) {
				SaveState(xhr);
			}
		});
}
/*************************************************
 Function:        SetVideoGainLimit
 Description:    设置增益限制参数
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function SetVideoGainLimit() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var szXml = "<?xml version='1.0' encoding='UTF-8'?><Gain><GainLimit>" + sliderGainLimit.getValue() + "</GainLimit></Gain>";
	var xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/Gain";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/Gain/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/Gain/night";
			}
		}
	}
	$.ajax({
		type:"PUT",
		beforeSend:function (xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		url:szURL,
		processData:false,
		data:xmlDoc,
		complete:function (xhr, textStatus) {
			SaveState(xhr);
		}
	});
}
/*************************************************
 Function:        SetSharpness
 Description:    设置锐度参数
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function SetSharpness() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var xmlDoc = null;
	var szXml = "";
	szXml = "<?xml version='1.0' encoding='UTF-8'?><Sharpness>";
	if ($("#dvSharpnessMode").css("display") != "none") {
		if ($("#selSharpnessMode").val() == "auto") {
			szXml += "<SharpnessMode>auto</SharpnessMode><SharpnessLevel>0</SharpnessLevel></Sharpness>";
		} else {
			szXml += "<SharpnessMode>manual</SharpnessMode><SharpnessLevel>" + sliderSharpness.getValue() + "</SharpnessLevel></Sharpness>";
		}
	} else {
		szXml += "<SharpnessLevel>" + sliderSharpness.getValue() + "</SharpnessLevel></Sharpness>";
	}
	xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/sharpness";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/sharpness/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/sharpness/night";
			}
		}
	}
	$.ajax({
			type:"PUT",
			url:szURL,
			processData:false,
			data:xmlDoc,
			beforeSend:function (xhr) {
				xhr.setRequestHeader("If-Modified-Since", "0");
				xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
			},
			complete:function (xhr, textStatus) {
				SaveState(xhr);
			}
		});
}
/*************************************************
 Function:        SetIrcutFilter
 Description:    设置转换参数
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function SetIrcutFilter() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var xmlDoc = null;
	var szXml = "";
	//球机使用EXT版本
	szXml = "<?xml version='1.0' encoding='UTF-8'?><IrcutFilter>";
	if ($("#DayNightFilterType_tr").css("display") != "none") {
		szXml += "<IrcutFilterType>" + $("#DayNightFilterType").val() + "</IrcutFilterType>";
	}
	if ($("#DayNightFilterType").val() != "schedule" && $("#DayNightFilterType").val() != "eventTrigger") {
		if ($("#DayToNightFilterLevel_tr").css("display") != "none") {
			szXml += "<nightToDayFilterLevel>" + $("#DayToNightFilterLevel").val() + "</nightToDayFilterLevel>";
		}
		if ($("#DayNightFilterTime_tr").css("display") != "none") {
			if (sliderDayNightFilterTime != null) {
				szXml += "<nightToDayFilterTime>" + sliderDayNightFilterTime.getValue() + "</nightToDayFilterTime>";
			} else {
				szXml += "<nightToDayFilterTime>" + $("#seDayNightFilterTime").val() + "</nightToDayFilterTime>";
			}
		}
	} else {
		if ($("#DayNightFilterType").val() == "schedule") {
			var szBeginTime = $("#inFilterStartTime").val();
			var iBeginTimeSec = parseInt(szBeginTime.split(":")[0], 10) * 3600 + parseInt(szBeginTime.split(":")[1], 10) * 60 + parseInt(szBeginTime.split(":")[2], 10);
			var szEndTime = $("#inFilterEndTime").val();
			var iEndTimeSec = parseInt(szEndTime.split(":")[0], 10) * 3600 + parseInt(szEndTime.split(":")[1], 10) * 60 + parseInt(szEndTime.split(":")[2], 10);
			if (iEndTimeSec - iBeginTimeSec < 10) {
				$("#SetResultTips").html(m_szErrorState + getNodeValue("jsScheduleTimeRange"));
				setTimeout(function () {
					$("#SetResultTips").html("");
				}, 10000);  //10秒后自动清除
				return;
			}
			szXml += "<Schedule><scheduleType>day</scheduleType><TimeRange><beginTime>" + szBeginTime + "</beginTime><endTime>" + szEndTime + "</endTime></TimeRange></Schedule>";
			$("#inFilterStartTime").blur();
			$("#inFilterEndTime").blur();
		}
		if ($("#DayNightFilterType").val() == "eventTrigger") {
			szXml += "<EventTrigger><eventType>IO</eventType><IrcutFilterAction>" + $("#selIrcutFilterAction").val() + "</IrcutFilterAction></EventTrigger>";
		}
	}
	szXml += "</IrcutFilter>";

	xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/ircutFilter";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/ircutFilter/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/ircutFilter/night";
			}
		}
	}
	$.ajax({
			type:"PUT",
			beforeSend:function (xhr) {
				xhr.setRequestHeader("If-Modified-Since", "0");
				xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
			},
			url:szURL,
			processData:false,
			data:xmlDoc,
			success:function (xmlDoc, textStatus, xhr) {
				if (window.parent.g_szDeviceType == "IPCamera") {
					isShowGain();  //保存成功时，再次获取下能力
				}
			},
			complete:function (xhr, textStatus) {
				SaveState(xhr);
			}
		});
}
/*************************************************
 Function:        SetDefault
 Description:    恢复默认参数
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function SetDefault() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	if (!confirm(getNodeValue('jsVideoDefault'), getNodeValue('jsTrue'), getNodeValue('jsFalse'))) {
		return;
	}
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/restore";
	$.ajax({
			type:"PUT",
			beforeSend:function (xhr) {
				xhr.setRequestHeader("If-Modified-Since", "0");
				xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
			},
			url:szURL,
			success:function () {
				ia(BaseVideoSettings).update();
			},
			complete:function (xhr, textStatus) {
				SaveState(xhr);
			}
		});
}
/*************************************************
 Function:        SetShutter
 Description:    设置曝光时间
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function SetShutter() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var xmlDoc = null;
	var szXml = "";
	szXml = "<?xml version='1.0' encoding='UTF-8'?>" + "<Shutter>" + "<ShutterLevel>" + $("#Shutter").val() + "</ShutterLevel>" + "</Shutter>";
	xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/Shutter";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/Shutter/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/Shutter/night";
			}
		}
	}
	$.ajax({
			type:"PUT",
			beforeSend:function (xhr) {
				xhr.setRequestHeader("If-Modified-Since", "0");
				xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
			},
			url:szURL,
			processData:false,
			data:xmlDoc,
			complete:function (xhr, textStatus) {
				SaveState(xhr);
			}
		});
}
/*************************************************
 Function:        SetFocus
 Description:    设置聚焦模式
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function SetFocus() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var xmlDoc = null;
	var szXml = "<?xml version='1.0' encoding='UTF-8'?><FocusConfiguration><focusStyle>" + $("#FocusMode").val() + "</focusStyle>";
	if ($("#FocusLimited_tr").css("display") != "none") {
		szXml += "<focusLimited>" + $("#FocusLimited").val() + "</focusLimited>";
	}
	szXml += "</FocusConfiguration>";
	xmlDoc = parseXmlFromStr(szXml);

	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/focusConfiguration";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/focusConfiguration/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/focusConfiguration/night";
			}
		}
	}
	$.ajax({
			type:"PUT",
			beforeSend:function (xhr) {
				xhr.setRequestHeader("If-Modified-Since", "0");
				xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
			},
			url:szURL,
			processData:false,
			data:xmlDoc,
			complete:function (xhr, textStatus) {
				SaveState(xhr);
			}
		});
}
/*************************************************
 Function:        SetExposure
 Description:    设置曝光
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function SetExposure() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	//PIris关联关系
	if ($("#IrisMode").val() == "pIris") {
		$("#dvPIrisMode").show();
		if ($("#sePIrisMode").val() == "MANUAL") {
			$("#dvPIrisLevel").show();
		} else {
			$("#dvPIrisLevel").hide();
		}
	} else {
		$("#dvPIrisMode").hide();
		$("#dvPIrisLevel").hide();
	}
	var xmlDoc = null;
	var szXml = "<?xml version='1.0' encoding='UTF-8'?><Exposure><ExposureType>" + $("#IrisMode").val() + "</ExposureType></Exposure>";
	xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/exposure";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/exposure/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/exposure/night";
			}
		}
	}
	$.ajax({
		type:"PUT",
		beforeSend:function (xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		url:szURL,
		processData:false,
		data:xmlDoc,
		complete:function (xhr, textStatus) {
			SaveState(xhr);
		},
		success:function () {
			if (window.parent.g_szDeviceType == "IPCamera") {
				var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/capabilities";
				if (g_oISPSwitchTabs != null) {
					if ("schedule" == $("#seISPSwitchMode").val()) {
						if (0 == g_oISPSwitchTabs.curTab) {
							szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/common/capabilities";
						} else if (1 == g_oISPSwitchTabs.curTab) {
							szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/day/capabilities";
						} else if (2 == g_oISPSwitchTabs.curTab) {
							szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/night/capabilities";
						}
					}
				}
				$.ajax({
					type:"GET",
					url:szURL,
					beforeSend:function (xhr) {
						xhr.setRequestHeader("If-Modified-Since", "0");
						xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
					},
					success:function (xmlDoc, textStatus, xhr) {
						if ($(xmlDoc).find('autoIrisLevel').length > 0) {
							isSupportAutoIrisLevel = true;
							$("#AutoIrisLevel_tr").show();
							sliderAutoIrisLevel.wsetValue(parseInt($(xmlDoc).find('autoIrisLevel').eq(0).text(), 10));
						} else {
							isSupportAutoIrisLevel = false;
						}
						if ($("#IrisMode").val() != "auto" || !isSupportAutoIrisLevel) {
							$("#AutoIrisLevel_tr").hide();
						}
						$("#Shutter").empty();
						if ($(xmlDoc).find('ShutterLevel').length > 0) {
							g_bSupportShutter = true;
							$("#Shutter_tr").show();
							var ShutterOptions = $(xmlDoc).find('ShutterLevel').eq(0).attr("opt").split(",");
							for (i = 0; i < ShutterOptions.length; i++) {
								$("<option value='" + ShutterOptions[i] + "'>" + ShutterOptions[i] + "</option>").appendTo("#Shutter");
							}
							var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/Shutter";
							$.ajax({
								type:"GET",
								beforeSend:function (xhr) {
									xhr.setRequestHeader("If-Modified-Since", "0");
									xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
								},
								url:szURL,
								success:function (xmlDocValue, textStatus, xhr) {
									$("#Shutter").val($(xmlDocValue).find("ShutterLevel").eq(0).text());
								}
							});
						}
					}
				});
			}
		}
	});
}
/*************************************************
 Function:        SetIrisLevel
 Description:    设置光圈
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function SetIrisLevel() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var xmlDoc = null;
	var szXml = "";
	szXml = "<?xml version='1.0' encoding='UTF-8'?>" + "<Iris>" + "<IrisLevel>" + $("#IrisLevel").val() + "</IrisLevel>" + "</Iris>";
	xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/Iris";
	
	$.ajax({
			type:"PUT",
			beforeSend:function (xhr) {
				xhr.setRequestHeader("If-Modified-Since", "0");
				xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
			},
			url:szURL,
			processData:false,
			data:xmlDoc,
			complete:function (xhr, textStatus) {
				SaveState(xhr);
			}
		});
}
/*************************************************
 Function:        EnableLensInit
 Description:    镜头初始化
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function EnableLensInit() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var szXml = "<?xml version='1.0' encoding='UTF-8'?>" + "<LensInitialization>" + "<enabled>" + $("#LensInitEnabled").prop("checked").toString() + "</enabled>" + "</LensInitialization>";
	var xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/lensInitialization";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/lensInitialization/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/lensInitialization/night";
			}
		}
	}
	$.ajax({
			type:"PUT",
			beforeSend:function (xhr) {
				xhr.setRequestHeader("If-Modified-Since", "0");
				xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
			},
			url:szURL,
			processData:false,
			data:xmlDoc,
			complete:function (xhr, textStatus) {
				SaveState(xhr);
			}
		});
}
/*************************************************
 Function:        SetImageFlip
 Description:    设置镜像翻转
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function SetImageFlip() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var xmlDoc = null;
	var szXml = "";
	if ($("#ImageFlipStyle").val() != "false" && $("#ImageFlipStyle").val() != "true")  //设置镜像翻转方向
	{
		szXml = "<?xml version='1.0' encoding='UTF-8'?>" + "<ImageFlip>" + "<enabled>true</enabled>" + "<ImageFlipStyle>" + $("#ImageFlipStyle").val() + "</ImageFlipStyle>" + "</ImageFlip>";
	} else   //禁用镜像翻转
	{
		szXml = "<?xml version='1.0' encoding='UTF-8'?>" + "<ImageFlip>" + "<enabled>" + $("#ImageFlipStyle").val() + "</enabled>" + "</ImageFlip>";
	}
	xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/imageFlip";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/imageFlip/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/imageFlip/night";
			}
		}
	}
	$.ajax({
			type:"PUT",
			beforeSend:function (xhr) {
				xhr.setRequestHeader("If-Modified-Since", "0");
				xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
			},
			url:szURL,
			processData:false,
			data:xmlDoc,
			complete:function (xhr, textStatus) {
				SaveState(xhr);
			}
		});
}
/*************************************************
 Function:        SetWDR
 Description:    设置宽动态
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function SetWDR() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var xmlDoc = null;
	var szXml = "";
	var szURL = "";
	var WDRCurValue = $("#WDREnabled").val();
	
	szXml = "<?xml version='1.0' encoding='UTF-8'?><WDR><mode>" + $("#WDREnabled").val() + "</mode>";
	if ((WDRCurValue == "open") || (WDRCurValue == "auto")) {
		if (isSupportWDRLevel1) {
			szXml += "<WDRLevel>" + sliderWDRLevel1.getValue() + "</WDRLevel>";
		}
		if (isSupportWDRLevel2) {
			szXml += "<WDRLevel1>" + sliderWDRLevel2.getValue() + "</WDRLevel1>";
		}
		if (isSupportWDRContrastLevel) {
			szXml += "<WDRContrastLevel>" + sliderWDRContrastLevel.getValue() + "</WDRContrastLevel>";
		}
	}
	szXml += "</WDR>";
	szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/WDR";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/WDR/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/WDR/night";
			}
		}
	}
	xmlDoc = parseXmlFromStr(szXml);

	$.ajax({
			type:"PUT",
			beforeSend:function (xhr) {
				xhr.setRequestHeader("If-Modified-Since", "0");
				xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
			},
			url:szURL,
			processData:false,
			data:xmlDoc,
			success:function () {
				//IPC改变宽动态状态重新获取曝光时间能力
				if (window.parent.g_szDeviceType == "IPCamera") {
					var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/capabilities";
					if (g_oISPSwitchTabs != null) {
						if ("schedule" == $("#seISPSwitchMode").val()) {
							if (0 == g_oISPSwitchTabs.curTab) {
								szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/common/capabilities";
							} else if (1 == g_oISPSwitchTabs.curTab) {
								szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/day/capabilities";
							} else if (2 == g_oISPSwitchTabs.curTab) {
								szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/night/capabilities";
							}
						}
					}
					$.ajax({
						type:"GET",
						url:szURL,
						async:false,
						beforeSend:function (xhr) {
							xhr.setRequestHeader("If-Modified-Since", "0");
							xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
						},
						success:function (xmlDoc, textStatus, xhr) {
							if ($(xmlDoc).find('ShutterLevel').length > 0) {
								$("#Shutter").empty();
								g_bSupportShutter = true;
								$("#Shutter_tr").show();
								var ShutterOptions = $(xmlDoc).find('ShutterLevel').eq(0).attr("opt").split(",");
								for (i = 0; i < ShutterOptions.length; i++) {
									$("<option value='" + ShutterOptions[i] + "'>" + ShutterOptions[i] + "</option>").appendTo("#Shutter");
								}
								var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/Shutter";
								$.ajax({
									type:"GET",
									beforeSend:function (xhr) {
										xhr.setRequestHeader("If-Modified-Since", "0");
										xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
									},
									url:szURL,
									success:function (xmlDocValue, textStatus, xhr) {
										$("#Shutter").val($(xmlDocValue).find("ShutterLevel").eq(0).text());
									}
								});
							}
						}
					});
				}
			},
			complete:function (xhr, textStatus) {
				SaveState(xhr);
			}
		});
}
/*************************************************
 Function:        SetBLC
 Description:    设置背光补偿
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function SetBLC() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	if (window.parent.g_szDeviceType == "IPCamera") {
		if ($("#BLCMode").val() != 'false') {
			$("#WDR_tr").hide();
			$("#WDRLevel_tr1").hide();
			$("#WDRLevel_tr2").hide();
			$("#WDRContrastLevel_tr").hide();
		} else {
			if (isSupportWDR) {
				$("#WDR_tr").show();
				var bRes = false;
				var WDRCurVal = $("#WDREnabled").val();
				if ((WDRCurVal == "open") || (WDRCurVal == "auto")) {
					bRes = true;
				}
				if (bRes) {
					if (isSupportWDRLevel) {
						if (isSupportWDRLevel1) {
							$("#WDRLevel_tr1").show();
						}
						if (isSupportWDRLevel2) {
							$("#WDRLevel_tr2").show();
						}
					}
					if (isSupportWDRContrastLevel) {
						$("#WDRContrastLevel_tr").show();
					}
				}
			}
		}
	}
	if ($("#BLCMode").val() == "Region") {
		if (g_BLCRegionXml == null) {
			var szXml = "<?xml version='1.0' encoding='utf-8' ?><DetectionRegionInfo><videoFormat>" + m_iVideoOutNP + "</videoFormat><RegionType>roi</RegionType><ROI><HorizontalResolution>704</HorizontalResolution><VerticalResolution>" + (m_iVideoOutNP == 'PAL' ? 576 : 480) + "</VerticalResolution></ROI><DisplayMode>transparent</DisplayMode><MaxRegionNum>1</MaxRegionNum></DetectionRegionInfo>";
			HWP.SetRegionInfo(szXml);
		} else {
			setBLCRegionToPlugin(g_BLCRegionXml);
			setBLCRegion();
		}
		/*HWP.SetDrawStatus(true);
		 $("#btnSetBLCRegion").css({"position":"absolute","left":($("#BLCMode").position().left+$("#BLCMode").width()+3)+"px","top":$("#BLCMode").position().top+"px"}).show();*/
		$("#divBLCEdit").show();
		return;
	} else {
		HWP.ClearRegion();
		/*HWP.SetDrawStatus(false);
		 $("#btnSetBLCRegion").hide();*/
		$("#divBLCEdit").hide();
	}
	var xmlDoc = null;
	var szXml = "";
	if (isSupportBLCLevel) {
		if ($("#BLCMode").val() != 'false') {
			$("#BLCLevel_tr").show();
		} else {
			$("#BLCLevel_tr").hide();
		}
	}
	if ($("#BLCMode").val() != 'false' && $("#BLCMode").val() != 'true') {
		if ($("#BLCLevel_tr").css("display") != 'none') {
			szXml = "<?xml version='1.0' encoding='UTF-8'?>" + "<BLC>" + "<enabled>true</enabled>" + "<BLCMode>" + $("#BLCMode").val() + "</BLCMode>" + "<BLCLevel>" + sliderBLCLevel.getValue() + "</BLCLevel>" + "</BLC>";
		} else {
			szXml = "<?xml version='1.0' encoding='UTF-8'?>" + "<BLC>" + "<enabled>true</enabled>" + "<BLCMode>" + $("#BLCMode").val() + "</BLCMode>" + "</BLC>";
		}
	} else {
		if ($("#BLCLevel_tr").css("display") != 'none') {
			szXml = "<?xml version='1.0' encoding='UTF-8'?>" + "<BLC>" + "<enabled>" + $("#BLCMode").val() + "</enabled>" + "<BLCLevel>" + sliderBLCLevel.getValue() + "</BLCLevel>" + "</BLC>";
		} else {
			szXml = "<?xml version='1.0' encoding='UTF-8'?>" + "<BLC>" + "<enabled>" + $("#BLCMode").val() + "</enabled>" + "</BLC>";
		}
	}
	xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/BLC";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/BLC/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/BLC/night";
			}
		}
	}
	$.ajax({
			type:"PUT",
			beforeSend:function (xhr) {
				xhr.setRequestHeader("If-Modified-Since", "0");
				xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
			},
			url:szURL,
			processData:false,
			data:xmlDoc,
			complete:function (xhr, textStatus) {
				SaveState(xhr);
			},
			success:function (xmlDoc, textStatus, xhr) {

			}
		});
}
/*************************************************
 Function:        SetWhiteBlance
 Description:    设置白平衡
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function SetWhiteBlance() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var szXml = "";
	if ($("#WhiteBalanceStyle").val() == "manual") {
		szXml = "<?xml version='1.0' encoding='UTF-8'?>" + "<WhiteBalance>" + "<enabled>true</enabled>" + "<WhiteBalanceStyle>" + $("#WhiteBalanceStyle").val() + "</WhiteBalanceStyle>" + "<WhiteBalanceRed>" + sliderWhiteBlanceRed.getValue() + "</WhiteBalanceRed>" + "<WhiteBalanceBlue>" + sliderWhiteBlanceBlue.getValue() + "</WhiteBalanceBlue>" + "</WhiteBalance>";
	} else {
		szXml = "<?xml version='1.0' encoding='UTF-8'?>" + "<WhiteBalance>" + "<WhiteBalanceStyle>" + $("#WhiteBalanceStyle").val() + "</WhiteBalanceStyle>" + "</WhiteBalance>";
	}
	xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/whiteBalance";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/whiteBalance/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/whiteBalance/night";
			}
		}
	}
	$.ajax({
			type:"PUT",
			beforeSend:function (xhr) {
				xhr.setRequestHeader("If-Modified-Since", "0");
				xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
			},
			url:szURL,
			processData:false,
			data:xmlDoc,
			complete:function (xhr, textStatus) {
				SaveState(xhr);
			}
		});
}


/*************************************************
 Function:        SetPowerLineFrequencyMode
 Description:    设置视频制式
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function SetPowerLineFrequencyMode() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var xmlDoc = null;
	var szXml = "";
	szXml = "<?xml version='1.0' encoding='UTF-8'?>" + "<powerLineFrequency>" + "<powerLineFrequencyMode>" + $("#PowerLineFrequencyMode").val() + "</powerLineFrequencyMode>" + "</powerLineFrequency>";
	xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/powerLineFrequency";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/powerLineFrequency/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/powerLineFrequency/night";
			}
		}
	}
	$.ajax({
		type:"PUT",
		beforeSend:function (xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		url:szURL,
		processData:false,
		data:xmlDoc,
		complete:function (xhr, textStatus) {
			SaveState(xhr);
		},
        success:function (xhr, textStatus) {
			if ("50hz" == $("#PowerLineFrequencyMode").val()) {
				m_iVideoOutNP = "PAL";
			} else {
				m_iVideoOutNP = "NTSC";
			}
			if ($("#BLCMode").val() == "Region") {
				var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/BLC";
				if (g_oISPSwitchTabs != null) {
					if ("schedule" == $("#seISPSwitchMode").val()) {
						if (1 == g_oISPSwitchTabs.curTab) {
							szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/BLC/day";
						} else if (2 == g_oISPSwitchTabs.curTab) {
							szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/BLC/night";
						}
					}
				}
				$.ajax({
					type:"GET",
					beforeSend:function (xhr) {
						xhr.setRequestHeader("If-Modified-Since", "0");
						xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
					},
					url:szURL,
					success:function (xmlDoc, textStatus, xhr) {
						setBLCRegionToPlugin(xmlDoc);
						g_BLCRegionXml = xmlDoc;
					}
				});
			}
			var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/capabilities";
			if (g_oISPSwitchTabs != null) {
				if ("schedule" == $("#seISPSwitchMode").val()) {
					if (0 == g_oISPSwitchTabs.curTab) {
						szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/common/capabilities";
					} else if (1 == g_oISPSwitchTabs.curTab) {
						szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/day/capabilities";
					} else if (2 == g_oISPSwitchTabs.curTab) {
						szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/night/capabilities";
					}
				}
			}
			$.ajax({
				type:"GET",
				beforeSend:function (xhr) {
					xhr.setRequestHeader("If-Modified-Since", "0");
					xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
				},
				url:szURL,
				success:function (xmlDoc, textStatus, xhr) {
					if ($(xmlDoc).find('ShutterLevel').length > 0) {
						g_bSupportShutter = true;
						$("#Shutter_tr").show();
						var ShutterOptions = $(xmlDoc).find('ShutterLevel').eq(0).attr("opt").split(",");
						$("#Shutter").empty();
						for (i = 0; i < ShutterOptions.length; i++) {
							$("<option value='" + ShutterOptions[i] + "'>" + ShutterOptions[i] + "</option>").appendTo("#Shutter");
						}
						setValueDelayIE6("Shutter", xmlDoc, "ShutterLevel");
						//关联关系
						if (window.parent.g_szDeviceType != "IPCamera") {
							if ($("#IrisMode").val() != "ShutterFirst" && $("#IrisMode").val() != "manual") {
								$("#Shutter_tr").hide();
							}
						}
					}
					//Capture Mode
					if ($(xmlDoc).find("CaptureMode").length > 0) {
						$("#dvCaptureMode").show();
						$("#seCaptureMode").empty();
						var CaptureModeOptions = $(xmlDoc).find('CaptureMode').eq(0).find('mode').eq(0).attr("opt").split(",");
						for (var i = 0; i < CaptureModeOptions.length; i++) {
							if ("close" == CaptureModeOptions[i]) {
								$("<option name='laClose' value='"+CaptureModeOptions[i]+"'>"+getNodeValue("laClose")+"</option>").appendTo("#seCaptureMode");
							} else {
								$("<option value='"+CaptureModeOptions[i]+"'>"+CaptureModeOptions[i]+"</option>").appendTo("#seCaptureMode");
							}
						}
						setValueDelayIE6("seCaptureMode", $(xmlDoc).find('CaptureMode').eq(0), "mode");
					}
				}
			});
		}
	});
}
/*************************************************
 Function:        setWDRAndBLC
 Description:    设置宽动态与背光补偿
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function setWDRAndBLC() {
	var bRes = false;
	var WDRCurVal = $("#WDREnabled").val();
	if ((WDRCurVal == "open") || (WDRCurVal == "auto")) {
		bRes = true;
	}

	//宽动态
	if (bRes) {
		if (isSupportWDRLevel) {
			if (isSupportWDRLevel1) {
				$("#WDRLevel_tr1").show();
			}
			if (isSupportWDRLevel2) {
				$("#WDRLevel_tr2").show();
			}
		}
		if (isSupportWDRContrastLevel) {
			$("#WDRContrastLevel_tr").show();
		}
		/*if(WDRCurVal == "auto")
		 {
		 $("#WDRLevel_tr1").hide();
		 $("#WDRLevel_tr2").hide();
		 }*/
		if (window.parent.g_szDeviceType == "IPCamera") {
			$("#BLCMode_tr").hide();
			$("#BLCLevel_tr").hide();
		}
	} else {
		$("#WDRLevel_tr1").hide();
		$("#WDRLevel_tr2").hide();
		$("#WDRContrastLevel_tr").hide();
		if (window.parent.g_szDeviceType == "IPCamera") {
			if (isSupportBLCMode) {
				$("#BLCMode_tr").show();
			}
			if ($("#BLCMode").val() != "false" && isSupportBLCLevel) {
				$("#BLCLevel_tr").show();
			}
		}
	}
	SetWDR();
	//SetBLC();
}
/*************************************************
 Function:        ChangeWhiteBlance
 Description:    切换白平衡模式
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function ChangeWhiteBlance() {
	//白平衡
	if ($("#WhiteBalanceStyle").val() == "manual") {
		if (isSupportWhiteBlanceBlue) {
			$("#WhiteBlanceBlue_tr").show();
		}
		if (isSupportWhiteBlanceRed) {
			$("#WhiteBlanceRed_tr").show();
		}
	} else {
		$("#WhiteBlanceBlue_tr").hide();
		$("#WhiteBlanceRed_tr").hide();
	}
	SetWhiteBlance();
}


/*************************************************
 Function:        ChangeNosiseReduceExtMode
 Description:    切换数字降噪模式
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function ChangeNosiseReduceExtMode() {
	var szNosiseReduceMode = $("#NosiseReduceExtMode").val();
	if (szNosiseReduceMode == "general")              //普通模式
	{
		$("#GeneralLevel_tr").show();
		$("#InterFrameNoiseReduceLevel_tr").hide();
		$("#FrameNoiseReduceLevel_tr").hide();
	} else if (szNosiseReduceMode == "advanced")        //专家模式
	{
		$("#GeneralLevel_tr").hide();
		$("#InterFrameNoiseReduceLevel_tr").show();
		$("#FrameNoiseReduceLevel_tr").show();
	} else                                            //关闭
	{
		$("#GeneralLevel_tr").hide();
		$("#InterFrameNoiseReduceLevel_tr").hide();
		$("#FrameNoiseReduceLevel_tr").hide();
	}

	SetNosiseReduceExt();
}

/*************************************************
 Function:        SetNosiseReduceExt
 Description:    设置数字降噪
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function SetNosiseReduceExt() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var szNosiseReduceExtMode = $("#NosiseReduceExtMode").val();
	var xmlDoc = null;
	var szXml = "";
	//普通模式
	if (szNosiseReduceExtMode == "general") {
		szXml = "<?xml version='1.0' encoding='UTF-8'?>" + "<NoiseReduce>" + "<mode>general</mode>" + "<GeneralMode>" + "<generalLevel>" + generalLevel.getValue() + "</generalLevel>" + "</GeneralMode>" + "</NoiseReduce>";
	} else if (szNosiseReduceExtMode == "advanced") {
		//专家模式
		szXml = "<?xml version='1.0' encoding='UTF-8'?>" + "<NoiseReduce>" + "<mode>advanced</mode>" + "<AdvancedMode>" + "<FrameNoiseReduceLevel>" + frameNoiseReduceLevel.getValue() + "</FrameNoiseReduceLevel>" + "<InterFrameNoiseReduceLevel>" + interFrameNoiseReduceLevel.getValue() + "</InterFrameNoiseReduceLevel>" + "</AdvancedMode>" + "</NoiseReduce>";
	} else  {
		//关闭
		szXml = "<?xml version='1.0' encoding='UTF-8'?>" + "<NoiseReduce>" + "<mode>close</mode>" + "</NoiseReduce>";
	}
	xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/noiseReduce";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/noiseReduce/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/noiseReduce/night";
			}
		}
	}
	$.ajax({
			type:"PUT",
			beforeSend:function (xhr) {
				xhr.setRequestHeader("If-Modified-Since", "0");
				xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
			},
			url:szURL,
			processData:false,
			data:xmlDoc,
			complete:function (xhr, textStatus) {
				SaveState(xhr);
			}
		});
}
/*************************************************
 Function:        InitSlider
 Description:    初始化预览页面滑动条
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function InitSlider() {
	sliderBright = new neverModules.modules.slider({targetId:"VideoBright",
			sliderCss:"imageslider1",
			barCss:"imageBar2",
			boxCss:"boxBar",
			bBox:true,
			min:0,
			max:100,
			hints:""
		});
	sliderBright.create();
	//sliderBright.wsetValue(50);

	sliderBright.onchange = function () {
	};
	sliderBright.onend = function () {
		SetVideoParamColor();
	};

	sliderContrast = new neverModules.modules.slider({targetId:"VideoContrast",
			sliderCss:"imageslider1",
			barCss:"imageBar2",
			boxCss:"boxBar",
			bBox:true,
			min:0,
			max:100,
			hints:""
		});
	sliderContrast.create();
	//sliderContrast.wsetValue(50);

	sliderContrast.onchange = function () {
	};
	sliderContrast.onend = function () {
		SetVideoParamColor();
	};

	sliderSaturation = new neverModules.modules.slider({targetId:"VideoSaturation",
			sliderCss:"imageslider1",
			barCss:"imageBar2",
			boxCss:"boxBar",
			bBox:true,
			min:0,
			max:100,
			hints:""
		});
	sliderSaturation.create();
	//sliderSaturation.wsetValue(50);

	sliderSaturation.onchange = function () {
	};
	sliderSaturation.onend = function () {
		SetVideoParamColor();
	};

	sliderHue = new neverModules.modules.slider({targetId:"VideoHue",
			sliderCss:"imageslider1",
			barCss:"imageBar2",
			boxCss:"boxBar",
			bBox:true,
			min:0,
			max:100,
			hints:""
		});
	sliderHue.create();
	//sliderHue.wsetValue(50);

	sliderHue.onchange = function () {
	};
	sliderHue.onend = function () {
		SetVideoParamColor();
	};

	sliderGain = new neverModules.modules.slider({targetId:"VideoGain",
			sliderCss:"imageslider1",
			barCss:"imageBar2",
			boxCss:"boxBar",
			bBox:true,
			min:0,
			max:100,
			hints:""
		});
	sliderGain.create();
	sliderGain.wsetValue(50);

	sliderGain.onchange = function () {
	};
	sliderGain.onend = function () {
		SetVideoGain();
	};

	sliderSharpness = new neverModules.modules.slider({targetId:"Sharpness",
			sliderCss:"imageslider1",
			barCss:"imageBar2",
			boxCss:"boxBar",
			bBox:true,
			min:0,
			max:100,
			hints:""
		});
	sliderSharpness.create();
	//sliderBright.wsetValue(50);

	sliderSharpness.onchange = function () {
	};
	sliderSharpness.onend = function () {
		SetSharpness();
	};

	sliderBLCLevel = new neverModules.modules.slider({targetId:"BLCLevel",
			sliderCss:"imageslider1",
			barCss:"imageBar2",
			boxCss:"boxBar",
			bBox:true,
			min:0,
			max:100,
			hints:""
		});
	sliderBLCLevel.create();
	//sliderBright.wsetValue(50);

	sliderBLCLevel.onchange = function () {
	};
	sliderBLCLevel.onend = function () {
		SetBLC();
	};

	generalLevel = new neverModules.modules.slider({targetId:"GeneralLevel",
			sliderCss:"imageslider1",
			barCss:"imageBar2",
			boxCss:"boxBar",
			bBox:true,
			min:0,
			max:100,
			hints:""
		});
	generalLevel.create();

	generalLevel.onchange = function () {
	};
	generalLevel.onend = function () {
		SetNosiseReduceExt();
	};

	interFrameNoiseReduceLevel = new neverModules.modules.slider({targetId:"InterFrameNoiseReduceLevel",
			sliderCss:"imageslider1",
			barCss:"imageBar2",
			boxCss:"boxBar",
			bBox:true,
			min:0,
			max:100,
			hints:""
		});
	interFrameNoiseReduceLevel.create();

	interFrameNoiseReduceLevel.onchange = function () {
	};
	interFrameNoiseReduceLevel.onend = function () {
		SetNosiseReduceExt();
	};

	frameNoiseReduceLevel = new neverModules.modules.slider({targetId:"FrameNoiseReduceLevel",
			sliderCss:"imageslider1",
			barCss:"imageBar2",
			boxCss:"boxBar",
			bBox:true,
			min:0,
			max:100,
			hints:""
		});
	frameNoiseReduceLevel.create();

	frameNoiseReduceLevel.onchange = function () {
	};
	frameNoiseReduceLevel.onend = function () {
		SetNosiseReduceExt();
	};

	sliderAutoIrisLevel = new neverModules.modules.slider({targetId:"AutoIrisLevel",
			sliderCss:"imageslider1",
			barCss:"imageBar2",
			boxCss:"boxBar",
			bBox:true,
			min:0,
			max:100,
			hints:""
		});
	sliderAutoIrisLevel.create();

	sliderAutoIrisLevel.onchange = function () {
	};
	sliderAutoIrisLevel.onend = function () {
		SetAutoIrisLevel();
	};
	//去雾等级
	g_oSliderDehazeLevel = new neverModules.modules.slider({targetId:"dvDehazeLevelSlider",
			sliderCss:"imageslider1",
			barCss:"imageBar2",
			boxCss:"boxBar",
			bBox:true,
			min:0,
			max:100,
			hints:""
		});
	g_oSliderDehazeLevel.create();

	g_oSliderDehazeLevel.onchange = function () {
	};
	g_oSliderDehazeLevel.onend = function () {
		SetDehaze();
	};
	//色彩抑制
	g_oSliderCSLevel = new neverModules.modules.slider({targetId:"dvCSLevelSlider",
			sliderCss:"imageslider1",
			barCss:"imageBar2",
			boxCss:"boxBar",
			bBox:true,
			min:0,
			max:100,
			hints:""
		});
	g_oSliderCSLevel.create();

	g_oSliderCSLevel.onchange = function () {
	};
	g_oSliderCSLevel.onend = function () {
		setCSLevel();
	};

	//曝光补偿
	g_oSliderExpCompLevel = new neverModules.modules.slider({targetId:"dvExpCompLevelSlider",
			sliderCss:"imageslider1",
			barCss:"imageBar2",
			boxCss:"boxBar",
			bBox:true,
			min:0,
			max:100,
			hints:""
		});
	g_oSliderExpCompLevel.create();

	g_oSliderExpCompLevel.onchange = function () {
	};
	g_oSliderExpCompLevel.onend = function () {
		setExpCompLevel();
	};
	//电子防抖等级
	g_oSliderEISLevel = new neverModules.modules.slider({targetId:"dvEISLevelSlider",
			sliderCss:"imageslider1",
			barCss:"imageBar2",
			boxCss:"boxBar",
			bBox:true,
			min:0,
			max:100,
			hints:""
		});
	g_oSliderEISLevel.create();

	g_oSliderEISLevel.onchange = function () {
	};
	g_oSliderEISLevel.onend = function () {
		setEISLevel();
	};
	//伽马校正等级
	g_oSliderGamaCorrLevel = new neverModules.modules.slider({targetId:"dvGamaCorrectLevelSlider",
			sliderCss:"imageslider1",
			barCss:"imageBar2",
			boxCss:"boxBar",
			bBox:true,
			min:0,
			max:100,
			hints:""
		});
	g_oSliderGamaCorrLevel.create();

	g_oSliderGamaCorrLevel.onchange = function () {
	};
	g_oSliderGamaCorrLevel.onend = function () {
		setGamaCorrLevel();
	};
	//红外灯亮度
	g_oIRLightBrightSlider = new neverModules.modules.slider({targetId:"dvIRLightBrightSlider",
			sliderCss:"imageslider1",
			barCss:"imageBar2",
			boxCss:"boxBar",
			bBox:true,
			min:0,
			max:100,
			hints:""
		});
	g_oIRLightBrightSlider.create();

	g_oIRLightBrightSlider.onchange = function () {
	};
	g_oIRLightBrightSlider.onend = function () {
		setIR();
	};
	//红外灯灵敏度
	g_oIRLightSenSlider = new neverModules.modules.slider({targetId:"dvIRLightSenSlider",
			sliderCss:"imageslider1",
			barCss:"imageBar2",
			boxCss:"boxBar",
			bBox:true,
			min:0,
			max:100,
			hints:""
		});
	g_oIRLightSenSlider.create();

	g_oIRLightSenSlider.onchange = function () {
	};
	g_oIRLightSenSlider.onend = function () {
		setIR();
	};
	//低照度增强
	/*g_oSliderEnhancementLevel = new neverModules.modules.slider(
	 {targetId: "dvEnhancementLevelSlider",
	 sliderCss: "imageslider1",
	 barCss: "imageBar2",
	 boxCss: "boxBar",
	 bBox:true,
	 min: 0,
	 max: 100,
	 hints:""
	 });
	 g_oSliderEnhancementLevel.create();

	 g_oSliderEnhancementLevel.onchange = function ()
	 {
	 };
	 g_oSliderEnhancementLevel.onend = function ()
	 {
	 SetEnhancement();
	 };*/
}
/*************************************************
 Function:        ToResetimage
 Description:    机芯复位
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function ToResetimage() {
	if (!confirm(getNodeValue('jsResetimage'))) {
		return;
	} else {
		ToResetimage1();
	}
}
function ToResetimage1() {
	szXmlhttp = new getXMLHttpRequest();
	szXmlhttp.onreadystatechange = ToResetimageCallBack;
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/reset";
	szXmlhttp.open("PUT", szURL, true);
	szXmlhttp.setRequestHeader("If-Modified-Since", "0");
	szXmlhttp.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
	szXmlhttp.send(null);
}

function ToResetimageCallBack() {
	var szTips1 = getNodeValue('jsResetSucceed');
	var szTips2 = getNodeValue('jsResetFailed');
	var szTips3 = getNodeValue('jsResetWaiting');

	var szPic = "<img src='../images/config/wait.gif' class='verticalmiddle'>&nbsp;";
	$("#SetResultTips").html(szPic + szTips3);

	if (szXmlhttp.readyState == 4) {
		if (szXmlhttp.status == 403) {
			szRetInfo = m_szErrorState + m_szError8;
		} else if (szXmlhttp.status == 200) {
			var xmlDoc = parseXmlFromStr(szXmlhttp.responseText);

			if ("1" == xmlDoc.documentElement.getElementsByTagName('statusCode')[0].childNodes[0].nodeValue) {
				szRetInfo = m_szSuccessState + szTips1;
			} else {
				szRetInfo = m_szErrorState + szTips2;
			}
		} else {
			szRetInfo = m_szErrorState + m_szError9;
		}
		$("#SetResultTips").html(szRetInfo);
	}
}
/*************************************************
 Function:        ToRestoreimage()
 Description:    恢复机芯默认值
 Input:            无
 Output:            无
 return:            无
 *************************************************/
function ToRestoreimage() {
	if (!confirm(getNodeValue('jsRestoreimage'))) {
		return;
	} else {
		ToRestoreimage1();
	}
}
function ToRestoreimage1() {
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/restore";
	$.ajax({
			type:"PUT",
			beforeSend:function (xhr) {
				xhr.setRequestHeader("If-Modified-Since", "0");
				xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
			},
			url:szURL,
			complete:function (xhr, textStatus) {
				var szTips1 = getNodeValue('jsRestoreSucceed');
				var szTips2 = getNodeValue('jsRestoreFailed');
				var szTips3 = getNodeValue('jsRestoreWaiting');

				var szPic = "<img src='../images/config/wait.gif' class='verticalmiddle'>&nbsp;";
				$("#SetResultTips").html(szPic + szTips3);

				if (xhr.status == 403) {
					szRetInfo = m_szErrorState + m_szError8;
				} else if (xhr.status == 200) {
					var xmlDoc = xhr.responseXML;
					if ("1" == xmlDoc.documentElement.getElementsByTagName('statusCode')[0].childNodes[0].nodeValue) {
						szRetInfo = m_szSuccessState + szTips1;
					} else {
						szRetInfo = m_szErrorState + szTips2;
					}
				} else {
					szRetInfo = m_szErrorState + m_szError9;
				}
				$("#SetResultTips").html(szRetInfo);
			}
		});
}
/************************************************
 Function:        SetDSS
 Description:    设置低照度电子快门
 Input:            无
 Output:            无
 return:            无
 ************************************************/
function SetDSS() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var XmlDoc = new createxmlDoc();
	var Instruction = XmlDoc.createProcessingInstruction("xml", "version='1.0' encoding='utf-8'");
	XmlDoc.appendChild(Instruction);
	var Root = XmlDoc.createElement("DSS");

	var Element = XmlDoc.createElement("enabled");

	if ($("#seDSSEnabled").val() == "true") {
		var text = XmlDoc.createTextNode("true");
		Element.appendChild(text);
		$("#DSSLevel").prop("disabled", false);
	} else {
		var text = XmlDoc.createTextNode("false");
		Element.appendChild(text);
		$("#DSSLevel").prop("disabled", true);
	}
	Root.appendChild(Element);

	if (DSSLevelEnabled) {
		Element = XmlDoc.createElement("DSSLevel");
		text = XmlDoc.createTextNode($("#DSSLevel").val());
		Element.appendChild(text);
		Root.appendChild(Element);
	}

	XmlDoc.appendChild(Root);

	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/DSS";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/DSS/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/DSS/night";
			}
		}
	}
	$.ajax({
		type: "PUT",
		beforeSend: function (xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		url: szURL,
		processData: false,
		data: XmlDoc,
		complete: function (xhr, textStatus) {
			SaveState(xhr);
		}
	});
}
/************************************************
 Function:        setEPTZEnable
 Description:    设置是否启用电子云台
 Input:            无
 Output:            无
 return:            无
 ************************************************/
function SetEPTZEnable() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var szXml = "<?xml version='1.0' encoding='UTF-8'?><EPTZ version='1.0'><enabled>" + $("#selEPTZEnable").val() + "</enabled></EPTZ>";
	var xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/EPTZ";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/EPTZ/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/EPTZ/night";
			}
		}
	}
	$.ajax({
			type:"PUT",
			beforeSend:function (xhr) {
				xhr.setRequestHeader("If-Modified-Since", "0");
				xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
			},
			url:szURL,
			processData:false,
			data:xmlDoc,
			complete:function (xhr, textStatus) {
				SaveState(xhr);
			}
		});
}
/************************************************
 Function:        SetScene
 Description:    设置室内外模式
 Input:            无
 Output:            无
 return:            无
 ************************************************/
function SetScene() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var szXml = "<?xml version='1.0' encoding='UTF-8'?><Scene><mode>" + $("#selScene").val() + "</mode></Scene>";
	var xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/scene";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/scene/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/scene/night";
			}
		}
	}
	$.ajax({
		type: "PUT",
		beforeSend: function (xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		url: szURL,
		processData: false,
		data: xmlDoc,
		complete: function (xhr, textStatus) {
			SaveState(xhr);
		}
	});
}
/************************************************
 Function:        SetAutoIrisLevel
 Description:    设置自动光圈灵敏度
 Input:            无
 Output:            无
 return:            无
 ************************************************/
function SetAutoIrisLevel() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var szXml = "<?xml version='1.0' encoding='UTF-8'?><Exposure><ExposureType>auto</ExposureType><autoIrisLevel>" + sliderAutoIrisLevel.getValue() + "</autoIrisLevel></Exposure>";
	var xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/exposure";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/exposure/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/exposure/night";
			}
		}
	}
	$.ajax({
		type: "PUT",
		beforeSend: function (xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		url: szURL,
		processData: false,
		data: xmlDoc,
		complete: function (xhr, textStatus) {
			SaveState(xhr);
		}
	});
}
/************************************************
 Function:        SetDehaze
 Description:    设置去雾
 Input:            无
 Output:            无
 return:            无
 ************************************************/
function SetDehaze() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	if ($("#selDehaze").val() == "open" || $("#selDehaze").val() == "true") {
		if (g_IsSupportDehazeLevel) {
			$("#dvDehazeLevel").show();
		}
	} else {
		$("#dvDehazeLevel").hide();
	}
	var szXml = "";
	if (g_IsSupportDehazeMode) {
		szXml = "<?xml version='1.0' encoding='UTF-8'?><Dehaze><DehazeMode>" + $("#selDehaze").val() + "</DehazeMode>";
	} else {
		szXml = "<?xml version='1.0' encoding='UTF-8'?><Dehaze><enable>" + $("#selDehaze").val() + "</enable>";
	}

	if (g_IsSupportDehazeLevel) {
		szXml += "<DehazeLevel>" + g_oSliderDehazeLevel.getValue() + "</DehazeLevel>";
	}
	szXml += "</Dehaze>";
	var xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/dehaze";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/dehaze/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/dehaze/night";
			}
		}
	}
	$.ajax({
		type: "PUT",
		beforeSend: function (xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		url: szURL,
		processData: false,
		data: xmlDoc,
		complete: function (xhr, textStatus) {
			SaveState(xhr);
		}
	});
}
/************************************************
 Function:        setZoomLimit
 Description:    设置变倍限制
 Input:            无
 Output:            无
 return:            无
 ************************************************/
function setZoomLimit() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var szXml = "";
	szXml = "<?xml version='1.0' encoding='UTF-8'?><ZoomLimit><ZoomLimitRatio>" + $("#selZoomLimit").val() + "</ZoomLimitRatio></ZoomLimit>";
	var xmlDoc = parseXmlFromStr(szXml);
	$.ajax({
		type: "PUT",
		beforeSend: function (xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		url: m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/zoomLimit",
		processData: false,
		data: xmlDoc,
		complete: function (xhr, textStatus) {
			SaveState(xhr);
		}
	});
}
/************************************************
 Function:        setEISLevel
 Description:    设置电子防抖等级
 Input:            无
 Output:            无
 return:            无
 ************************************************/
function setEISLevel() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var szXml = "";
	if ($("#dvEISLevel").css("display") != "none") {
		szXml = "<?xml version='1.0' encoding='UTF-8'?><EIS><enabled>" + $("#selEnableEIS").val() + "</enabled><EISLevel>" + g_oSliderEISLevel.getValue() + "</EISLevel></EIS>";
	} else {
		szXml = "<?xml version='1.0' encoding='UTF-8'?><EIS><enabled>" + $("#selEnableEIS").val() + "</enabled></EIS>";
	}
	var xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/EIS";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/EIS/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/EIS/night";
			}
		}
	}
	$.ajax({
		type: "PUT",
		beforeSend: function (xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		url: szURL,
		processData: false,
		data: xmlDoc,
		complete: function (xhr, textStatus) {
			SaveState(xhr);
		}
	});
}
/************************************************
 Function:        setCSLevel
 Description:    色彩抑制等级
 Input:            无
 Output:            无
 return:            无
 ************************************************/
function setCSLevel() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var szXml = "";
	szXml = "<?xml version='1.0' encoding='UTF-8'?><ChromaSuppress><enabled>true</enabled><ChromaSuppressLevel>" + g_oSliderCSLevel.getValue() + "</ChromaSuppressLevel></ChromaSuppress>";
	var xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/ChromaSuppress";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/ChromaSuppress/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/ChromaSuppress/night";
			}
		}
	}
	$.ajax({
			type:"PUT",
			beforeSend:function (xhr) {
				xhr.setRequestHeader("If-Modified-Since", "0");
				xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
			},
			url:szURL,
			processData:false,
			data:xmlDoc,
			complete:function (xhr, textStatus) {
				SaveState(xhr);
			}
		});
}
/************************************************
 Function:        setHLCLevel
 Description:    强光抑制等级
 Input:            无
 Output:            无
 return:            无
 ************************************************/
function setHLCLevel() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var szXml = "";
	if ("true" == $("#selEnableHLC").val()) {
		if ($("#dvHLCLevelSlider").html() == "" || g_oSliderHLCLevel === null) {
			szXml = "<?xml version='1.0' encoding='UTF-8'?><HLC><enabled>true</enabled></HLC>";
		} else {
			$("#dvHLCLevel").show();
			szXml = "<?xml version='1.0' encoding='UTF-8'?><HLC><enabled>true</enabled><HLCLevel>" + g_oSliderHLCLevel.getValue() + "</HLCLevel></HLC>";
		}
	} else {
		$("#dvHLCLevel").hide();
		szXml = "<?xml version='1.0' encoding='UTF-8'?><HLC><enabled>false</enabled></HLC>";
	}

	var xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/HLC";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/HLC/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/HLC/night";
			}
		}
	}
	$.ajax({
			type:"PUT",
			beforeSend:function (xhr) {
				xhr.setRequestHeader("If-Modified-Since", "0");
				xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
			},
			url:szURL,
			processData:false,
			data:xmlDoc,
			complete:function (xhr, textStatus) {
				SaveState(xhr);
			}
		});
}
/************************************************
 Function:        setExpCompLevel
 Description:    曝光补偿等级
 Input:            无
 Output:            无
 return:            无
 ************************************************/
function setExpCompLevel() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var szXml = "";
	szXml = "<?xml version='1.0' encoding='UTF-8'?><ExpComp><enabled>true</enabled><ExpCompLevel>" + g_oSliderExpCompLevel.getValue() + "</ExpCompLevel></ExpComp>";
	var xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/ExpComp";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/ExpComp/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/ExpComp/night";
			}
		}
	}
	$.ajax({
			type:"PUT",
			beforeSend:function (xhr) {
				xhr.setRequestHeader("If-Modified-Since", "0");
				xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
			},
			url:szURL,
			processData:false,
			data:xmlDoc,
			complete:function (xhr, textStatus) {
				SaveState(xhr);
			}
		});
}
/************************************************
 Function:        setIR
 Description:    设置红外灯
 Input:            无
 Output:            无
 return:            无
 ************************************************/
function setIR() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var szXml = "";
	if ($("#selIRLightMode").val() == "auto") {
		$("#dvIRLightBright").hide();
		$("#dvIRLightSen").show();
		szXml = "<?xml version='1.0' encoding='UTF-8'?><IrLight><mode>auto</mode><sensitivityLevel>" + g_oIRLightSenSlider.getValue() + "</sensitivityLevel>";
		if ($("#selIRLightTriggerMode").find("option").length > 0) {
			$("#dvIRTriggerMode").show();
			szXml += "<trigMode>"+ $("#selIRLightTriggerMode").val() +"</trigMode>"
		}
		if (g_oIRLightLimitSlider !== null) {
			$("#dvIRLightBrightLimit").show();
			szXml += "<brightnessLimit>"+ g_oIRLightLimitSlider.getValue() +"</brightnessLimit>"
		}
		szXml += "</IrLight>";
	} else {
		$("#dvIRLightBright").show();
		szXml = "<?xml version='1.0' encoding='UTF-8'?><IrLight><mode>manual</mode><brightnessLevel>" + g_oIRLightBrightSlider.getValue() + "</brightnessLevel></IrLight>";
		$("#dvIRLightSen").hide();
		$("#dvIRTriggerMode").hide();
		$("#dvIRLightBrightLimit").hide();
	}

	var xmlDoc = parseXmlFromStr(szXml);
	$.ajax({
		type: "PUT",
		beforeSend: function (xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		url: m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/irLight",
		processData: false,
		data: xmlDoc,
		complete: function (xhr, textStatus) {
			SaveState(xhr);
		}
	});
}
/************************************************
 Function:        setGamaCorrLevel
 Description:    设置伽马校正
 Input:            无
 Output:            无
 return:            无
 ************************************************/
function setGamaCorrLevel() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var szXml = "<?xml version='1.0' encoding='UTF-8'?><gammaCorrection><gammaCorrectionEnabled>true</gammaCorrectionEnabled><gammaCorrectionLevel>" + g_oSliderGamaCorrLevel.getValue() + "</gammaCorrectionLevel></gammaCorrection>";
	var xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/gammaCorrection";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/gammaCorrection/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/gammaCorrection/night";
			}
		}
	}
	$.ajax({
			type:"PUT",
			beforeSend:function (xhr) {
				xhr.setRequestHeader("If-Modified-Since", "0");
				xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
			},
			url:szURL,
			processData:false,
			data:xmlDoc,
			complete:function (xhr, textStatus) {
				SaveState(xhr);
			}
		});
}
/************************************************
 Function:        SetOverExposeSuppress
 Description:    设置防过曝
 Input:            无
 Output:            无
 return:            无
 ************************************************/
function SetOverExposeSuppress() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	if ($("#seOverExposeSuppress").val() == "true") {
		if (g_oSliderExDis != null) {
			$("#dvOverExposeMode").show();
		}
	} else {
		$("#dvOverExposeMode").hide();
		$("#dvOverExposeDis").hide();
	}
	var szXml = "<?xml version='1.0' encoding='UTF-8'?><Exposure><ExposureType>" + $("#IrisMode").val() + "</ExposureType><OverexposeSuppress><enabled>" + $("#seOverExposeSuppress").val() + "</enabled>";
	if ($("#dvOverExposeMode").css("display") != "none") {
		var szOverExposeType = $("#seOverExposeMode").val();
		szXml += "<Type>" + szOverExposeType + "</Type>";
		if ("MANUAL" == szOverExposeType) {
			$("#dvOverExposeDis").show();
			szXml += "<DistanceLevel>" + g_oSliderExDis.getValue() + "</DistanceLevel>";
		} else {
			$("#dvOverExposeDis").hide();
		}
	}

	szXml += "</OverexposeSuppress></Exposure>";
	var xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/exposure";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/exposure/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/exposure/night";
			}
		}
	}
	$.ajax({
		type:"PUT",
		beforeSend:function (xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		url:szURL,
		processData:false,
		data:xmlDoc,
		complete:function (xhr, textStatus) {
			SaveState(xhr);
		}
	});
}
/************************************************
 Function:        SetEnhancement
 Description:    设置低照度增强等级
 Input:            无
 Output:            无
 return:            无
 ************************************************/
function SetEnhancement() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var szXml = "<?xml version='1.0' encoding='UTF-8'?><ImageEnhancement><enabled>" + $("#selEnableEnHancement").val() + "</enabled></ImageEnhancement>";
	var xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/imageEnhancement";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/imageEnhancement/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/imageEnhancement/night";
			}
		}
	}
	$.ajax({
			type:"PUT",
			beforeSend:function (xhr) {
				xhr.setRequestHeader("If-Modified-Since", "0");
				xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
			},
			url:szURL,
			processData:false,
			data:xmlDoc,
			complete:function (xhr, textStatus) {
				SaveState(xhr);
			}
		});
}
/************************************************
 Function:        setGrayScale
 Description:    设置灰度范围
 Input:            无
 Output:            无
 return:            无
 ************************************************/
function setGrayScale() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}
	var szXml = "<?xml version='1.0' encoding='UTF-8'?><Color><grayScale><grayScaleMode>" + $("#selGrayScale").val() + "</grayScaleMode></grayScale></Color>";
	var xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/color";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/color/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/color/night";
			}
		}
	}
	$.ajax({
			type:"PUT",
			beforeSend:function (xhr) {
				xhr.setRequestHeader("If-Modified-Since", "0");
				xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
			},
			url:szURL,
			processData:false,
			data:xmlDoc,
			complete:function (xhr, textStatus) {
				SaveState(xhr);
			}
		});
}
/************************************************
 Function:        setBLCRegionToPlugin
 Description:    设置插件自定义背光补偿区域
 Input:            无
 Output:            无
 return:            无
 ************************************************/
function setBLCRegionToPlugin(xmlDoc) {
	var oBLCRegion = $(xmlDoc).find("BLCRegion").eq(0);
	var szXml = "<?xml version='1.0' encoding='utf-8' ?><DetectionRegionInfo><videoFormat>" + m_iVideoOutNP + "</videoFormat><RegionType>roi</RegionType><ROI><HorizontalResolution>704</HorizontalResolution><VerticalResolution>" + (m_iVideoOutNP == 'PAL' ? 576 : 480) + "</VerticalResolution></ROI><DisplayMode>transparent</DisplayMode><MaxRegionNum>1</MaxRegionNum><DetectionRegionList><DetectionRegion><RegionCoordinatesList><RegionCoordinates><positionX>" + oBLCRegion.find("positionX").eq(0).text() + "</positionX><positionY>" + (oBLCRegion.find("positionY").eq(0).text()) + "</positionY></RegionCoordinates><RegionCoordinates><positionX>" + oBLCRegion.find("positionX").eq(3).text() + "</positionX><positionY>" + (oBLCRegion.find("positionY").eq(3).text()) + "</positionY></RegionCoordinates><RegionCoordinates><positionX>" + oBLCRegion.find("positionX").eq(2).text() + "</positionX><positionY>" + (oBLCRegion.find("positionY").eq(2).text()) + "</positionY></RegionCoordinates><RegionCoordinates><positionX>" + oBLCRegion.find("positionX").eq(1).text() + "</positionX><positionY>" + (oBLCRegion.find("positionY").eq(1).text()) + "</positionY></RegionCoordinates></RegionCoordinatesList></DetectionRegion></DetectionRegionList></DetectionRegionInfo>";
	HWP.SetRegionInfo(szXml);
}
/************************************************
 Function:        setBLCRegion
 Description:    设置自定义背光补偿区域
 Input:            无
 Output:            无
 return:            无
 ************************************************/
function setBLCRegion() {
	var szAreaXml = HWP.GetRegionInfo();
	var oAreaXml = parseXmlFromStr(szAreaXml);
	
		var szXml = "<?xml version='1.0' encoding='utf-8' ?><BLC><enabled>true</enabled><BLCMode>Region</BLCMode>";
		if ($("#BLCLevel_tr").css("display") != 'none') {
			szXml += "<BLCLevel>" + sliderBLCLevel.getValue() + "</BLCLevel>";
		}
		szXml += "<BLCRegionList>";
		if ($(oAreaXml).find("RegionCoordinatesList").length > 0) {
			szXml += "<BLCRegion><id>1</id><RegionCoordinatesList><RegionCoordinates><positionX>" + $(oAreaXml).find("positionX").eq(0).text() + "</positionX><positionY>" + ($(oAreaXml).find("positionY").eq(0).text()) + "</positionY></RegionCoordinates><RegionCoordinates><positionX>" + $(oAreaXml).find("positionX").eq(3).text() + "</positionX><positionY>" + ($(oAreaXml).find("positionY").eq(3).text()) + "</positionY></RegionCoordinates><RegionCoordinates><positionX>" + $(oAreaXml).find("positionX").eq(2).text() + "</positionX><positionY>" + ($(oAreaXml).find("positionY").eq(2).text()) + "</positionY></RegionCoordinates><RegionCoordinates><positionX>" + $(oAreaXml).find("positionX").eq(1).text() + "</positionX><positionY>" + ($(oAreaXml).find("positionY").eq(1).text()) + "</positionY></RegionCoordinates></RegionCoordinatesList></BLCRegion>";
		} else {
			szXml += "<BLCRegion><id>1</id><RegionCoordinatesList><RegionCoordinates><positionX>0</positionX><positionY>0</positionY></RegionCoordinates><RegionCoordinates><positionX>0</positionX><positionY>0</positionY></RegionCoordinates><RegionCoordinates><positionX>0</positionX><positionY>0</positionY></RegionCoordinates><RegionCoordinates><positionX>0</positionX><positionY>0</positionY></RegionCoordinates></RegionCoordinatesList></BLCRegion>";
		}
		szXml += "</BLCRegionList></BLC>";
		var xmlDoc = parseXmlFromStr(szXml);
		var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/BLC";
		if (g_oISPSwitchTabs != null) {
			if ("schedule" == $("#seISPSwitchMode").val()) {
				if (1 == g_oISPSwitchTabs.curTab) {
					szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/BLC/day";
				} else if (2 == g_oISPSwitchTabs.curTab) {
					szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/BLC/night";
				}
			}
		}
		$.ajax({
				type:"PUT",
				beforeSend:function (xhr) {
					xhr.setRequestHeader("If-Modified-Since", "0");
					xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
				},
				url:szURL,
				processData:false,
				data:xmlDoc,
				complete:function (xhr, textStatus) {
					SaveState(xhr);
				},
				success:function () {
					g_BLCRegionXml = xmlDoc;
				}
			});
	
}
/************************************************
 Function:        CreateTimePicker
 Description:    创建时间选择器
 Input:            callback 确认回调函数
 Output:            无
 return:            无
 ************************************************/
function CreateTimePicker(event, callback, aQuickSel) {
	var szLanguage = '';
	if (parent.translator.szCurLanguage == 'zh') {
		szLanguage = 'zh-cn';
	} else {
		$.each(parent.translator.languages, function (i) {
			if (this.value === parent.translator.szCurLanguage) {
				szLanguage = this.value;
			}
		});
		if (szLanguage === '') {
			szLanguage = 'en';
		}
	}
	if (typeof aQuickSel == "undefined") {
		aQuickSel = [];
	}
	WdatePicker({dateFmt:'HH:mm:ss', isShowToday:false, isShowClear:false, alwaysUseStartDate:false, readOnly:true, lang:szLanguage, onpicked:callback, quickSel:aQuickSel});
}
/*************************************************
 Function:        setCorridorInfo
 Description:    设置走廊模式
 Input:            无
 Output:            无
 Return:            无
 *************************************************/
function setCorridorInfo() {
	var szXml = "<?xml version='1.0' encoding='UTF-8'?><corridor><enabled>" + $("#seCorridor").val() + "</enabled></corridor>";
	var xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/corridor";
	$.ajax({
		type:"PUT",
		url:szURL,
		data:xmlDoc,
		processData:false,
		beforeSend:function (xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		complete:function (xhr, textStatus) {
			SaveState(xhr);
		}
	});
}
/************************************************
 Function:        setPIris
 Description:    设置PIris
 Input:            无
 Output:            无
 return:            无
 ************************************************/
function setPIris() {
	if (!HWP.wnds[0].isPlaying) {
		return;
	}

	var szPIrisMode = $("#sePIrisMode").val();
	var szXml = "<?xml version='1.0' encoding='UTF-8'?><Exposure><ExposureType>pIris</ExposureType><pIris><pIrisType>" + szPIrisMode + "</pIrisType>";

	if ("MANUAL" == szPIrisMode) {
		$("#dvPIrisLevel").show();
		szXml += "<IrisLevel>" + g_oSliderPIrisLevel.getValue() + "</IrisLevel>";
	} else {
		$("#dvPIrisLevel").hide();
	}

	szXml += "</pIris></Exposure>";
	var xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/exposure";
	if (g_oISPSwitchTabs != null) {
		if ("schedule" == $("#seISPSwitchMode").val()) {
			if (1 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/exposure/day";
			} else if (2 == g_oISPSwitchTabs.curTab) {
				szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/exposure/night";
			}
		}
	}
	$.ajax({
		type:"PUT",
		beforeSend:function (xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		url:szURL,
		processData:false,
		data:xmlDoc,
		complete:function (xhr, textStatus) {
			SaveState(xhr);
		}
	});
}
/************************************************
 Function:       setCaptureMode
 Description:    设置CaptureMode
 Input:          无
 Output:         无
 return:         无
 ************************************************/
function setCaptureMode() {
	var szXml = "<?xml version='1.0' encoding='UTF-8'?><CaptureMode><mode>" + $("#seCaptureMode").val() + "</mode></CaptureMode>";
	var xmlDoc = parseXmlFromStr(szXml);
	var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/capturemode";
	$.ajax({
		type:"PUT",
		url:szURL,
		data:xmlDoc,
		processData:false,
		beforeSend:function (xhr) {
			xhr.setRequestHeader("If-Modified-Since", "0");
			xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
		},
		success:function () {
			//定时模式下不需要重新获取
			if (g_oISPSwitchTabs != null) {
				if ("schedule" == $("#seISPSwitchMode").val()) {
					return;
				}
			}
			var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/capabilities";
			$.ajax({
				type:"GET",
				url:szURL,
				async:false,
				beforeSend:function (xhr) {
					xhr.setRequestHeader("If-Modified-Since", "0");
					xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
				},
				success:function (xmlDoc, textStatus, xhr) {
					isSupportWDR = false;
					isSupportWDRLevel = false;
					isSupportWDRLevel1 = false;
					isSupportWDRLevel2 = false;
					isSupportWDRContrastLevel = false;
					$("#WDR_tr").hide();
					$("#WDRLevel_tr1").hide();
					$("#WDRLevel_tr2").hide();
					$("#WDRContrastLevel_tr").hide();
					if ($(xmlDoc).find('WDR').length > 0) {
						if ($(xmlDoc).find('WDR').eq(0).find('mode').length > 0) {
							$("#WDR_tr").show();
							isSupportWDR = true;
							var szWDROptions = $(xmlDoc).find('WDR').eq(0).find('mode').eq(0).attr("opt").split(",");
							$("#WDREnabled").empty();
							insertOptions2Select(szWDROptions, ["close", "open", "auto"], ["laClose", "laToOpen", "aModeAuto"], "WDREnabled");
							parent.translator.translateElements(ia(BaseVideoSettings).getLxd(), $("#WDREnabled")[0], "option", "innerText");

							if ($(xmlDoc).find("WDR").eq(0).find('WDRLevel').length > 0) {
								isSupportWDRLevel = true;
								isSupportWDRLevel1 = true;
							}
							if ($(xmlDoc).find("WDR").eq(0).find('WDRLevel1').length > 0) {
								isSupportWDRLevel = true;
								isSupportWDRLevel2 = true;
							}
							//支持宽动态对比度等级
							if ($(xmlDoc).find("WDR").eq(0).find('WDRContrastLevel').length > 0) {
								isSupportWDRContrastLevel = true;
							}
							//支持宽动态等级
							if (isSupportWDRLevel) {
								//支持宽动态等级1
								if (isSupportWDRLevel1) {
									$("#WDRLevel_tr1").show();
									if ($("#WDRLevel1").html() == "" || sliderWDRLevel1 === null) {  //未创建滑动条
										var iMin = 0;
										var iMax = 100;
										if ($(xmlDoc).find("WDR").eq(0).find('WDRLevel[min][max]').length > 0) {
											iMin = parseInt($(xmlDoc).find("WDR").eq(0).find('WDRLevel').eq(0).attr("min"), 10);
											iMax = parseInt($(xmlDoc).find("WDR").eq(0).find('WDRLevel').eq(0).attr("max"), 10);
										}
										sliderWDRLevel1 = new neverModules.modules.slider({targetId:"WDRLevel1",
											sliderCss:"imageslider1",
											barCss:"imageBar2",
											boxCss:"boxBar",
											bBox:true,
											min:iMin,
											max:iMax,
											hints:""
										});
										sliderWDRLevel1.create();
										sliderWDRLevel1.onend = function () {
											SetWDR();
										};
									}
								}
								//支持宽动态等级2
								if (isSupportWDRLevel2) {
									$("#WDRLevel_tr2").show();
									$("#laWDRNumberOne").show();
									if ($("#WDRLevel2").html() == "" || sliderWDRLevel2 === null) {  //未创建滑动条
										var iMin = 0;
										var iMax = 100;
										if ($(xmlDoc).find("WDR").eq(0).find('WDRLevel1[min][max]').length > 0) {
											iMin = parseInt($(xmlDoc).find("WDR").eq(0).find('WDRLevel1').eq(0).attr("min"), 10);
											iMax = parseInt($(xmlDoc).find("WDR").eq(0).find('WDRLevel1').eq(0).attr("max"), 10);
										}
										sliderWDRLevel2 = new neverModules.modules.slider({targetId:"WDRLevel2",
											sliderCss:"imageslider1",
											barCss:"imageBar2",
											boxCss:"boxBar",
											bBox:true,
											min:iMin,
											max:iMax,
											hints:""
										});
										sliderWDRLevel2.create();
										sliderWDRLevel2.onend = function () {
											SetWDR();
										};
									}
								} else {
									$("#laWDRNumberOne").hide();
								}
							}
							//支持宽动态对比度等级
							if (isSupportWDRContrastLevel) {
								$("#WDRContrastLevel_tr").show();
								if ($("#WDRContrastLevel").html() == "" || sliderWDRContrastLevel === null) {  //未创建滑动条
									var iMin = 0;
									var iMax = 100;
									if ($(xmlDoc).find("WDR").eq(0).find('WDRContrastLevel[min][max]').length > 0) {
										iMin = parseInt($(xmlDoc).find("WDR").eq(0).find('WDRContrastLevel').eq(0).attr("min"), 10);
										iMax = parseInt($(xmlDoc).find("WDR").eq(0).find('WDRContrastLevel').eq(0).attr("max"), 10);
									}
									sliderWDRContrastLevel = new neverModules.modules.slider({targetId:"WDRContrastLevel",
										sliderCss:"imageslider1",
										barCss:"imageBar2",
										boxCss:"boxBar",
										bBox:true,
										min:iMin,
										max:iMax,
										hints:""
									});
									sliderWDRContrastLevel.create();
									sliderWDRContrastLevel.onend = function () {
										SetWDR();
									};
								}
							}
							var szURL = m_lHttp + m_szHostName + ":" + m_lHttpPort + "/ISAPI/Image/channels/1/WDR";
							$.ajax({
								type:"GET",
								beforeSend:function (xhr) {
									xhr.setRequestHeader("If-Modified-Since", "0");
									xhr.setRequestHeader("Authorization", "Basic " + m_szUserPwdValue);
								},
								url:szURL,
								success:function (xmlDocValue, textStatus, xhr) {
									//宽动态当前参数值
									var WDRCurValue = $(xmlDocValue).find('WDR').eq(0).find('mode').eq(0).text();
									setValueDelayIE6("WDREnabled", null, "", WDRCurValue);
									if (isSupportWDRLevel1) {
										sliderWDRLevel1.wsetValue(parseInt($(xmlDocValue).find("WDR").eq(0).find('WDRLevel').eq(0).text(), 10));
									}
									if (isSupportWDRLevel2) {
										sliderWDRLevel2.wsetValue(parseInt($(xmlDocValue).find("WDR").eq(0).find('WDRLevel1').eq(0).text(), 10));
									}
									if (isSupportWDRContrastLevel) {
										sliderWDRContrastLevel.wsetValue(parseInt($(xmlDocValue).find('WDRContrastLevel').eq(0).text(), 10));
									}
									//禁用宽动态
									if (WDRCurValue == "close") {
										$("#WDRLevel_tr1").hide();
										$("#WDRLevel_tr2").hide();
										$("#WDRContrastLevel_tr").hide();
									}
								}
							});

						}
					}
				}
			});
		},
		complete:function (xhr, textStatus) {
			SaveState(xhr);
		}
	});
}